| Release Information for earlier releases |

- Release Information for Xerces-C++ 3.2.3
- Release Information for Xerces-C++ 3.2.2
- Release Information for Xerces-C++ 3.2.1
- Release Information for Xerces-C++ 3.2.0
- Release Information for Xerces-C++ 3.1.4
- Release Information for Xerces-C++ 3.1.3
- Release Information for Xerces-C++ 3.1.2
- Release Information for Xerces-C++ 3.1.1
- Release Information for Xerces-C++ 3.1.0
- Release Information for Xerces-C++ 3.0.1
- Release Information for Xerces-C++ 3.0.0
- Release Information for Xerces-C++ 2.8.0
- Release Information for Xerces-C++ 2.7.0
- Release Information for Xerces-C++ 2.6.0
- Release Information for Xerces-C++ 2.5.0
- Release Information for Xerces-C++ 2.4.0
- Release Information for Xerces-C++ 2.3.0
- Release Information for Xerces-C++ 2.2.0
- Release Information for Xerces-C++ 2.1.0
- Release Information for Xerces-C++ 2.0.0
- Release Information for Xerces-C++ 1.7.0
- Release Information for Xerces-C++ 1.6.0
- Release Information for Xerces-C++ 1.5.2
- Release Information for Xerces-C++ 1.5.1
- Release Information for Xerces-C++ 1.5.0
- Release Information for Xerces-C++ 1.4.0
- Release Information for Xerces-C++ 1.3.0
- Release Information for Xerces-C++ 1.2.0
- Release Information for Xerces-C++ 1.1.0
- Release Information for Xerces-C++ 1.0.1
- Release Information for Xerces-C++ 1.0.0
- Release Information for Xerces-C++ BETA

| Release Information for Xerces-C++ 3.2.3 |

| For a list of bug fixes in Xerces-C++ 3.2.3, see the Release Notes

| Release Information for Xerces-C++ 3.2.2 |

| For a list of bug fixes in Xerces-C++ 3.2.2, see the Release Notes

| Release Information for Xerces-C++ 3.2.1 |

| For a list of bug fixes in Xerces-C++ 3.2.1, see the Release Notes

| Release Information for Xerces-C++ 3.2.0 |

| For a list of bug fixes in Xerces-C++ 3.2.0, see the Release Notes

| Release Information for Xerces-C++ 3.1.4 |

| For a list of bug fixes in Xerces-C++ 3.1.4, see the Release Notes

| Release Information for Xerces-C++ 3.1.3 |

| For a list of bug fixes in Xerces-C++ 3.1.3, see the Release Notes

| Release Information for Xerces-C++ 3.1.2 |

| For a list of bug fixes in Xerces-C++ 3.1.2, see the Release Notes

| Release Information for Xerces-C++ 3.1.1 |

| The following new features and bug fixes have been implemented in Xerces-C++ 3.1.1:

Date | Contributor | Description
2010-04-21 | Boris Kolpackov | Check that we have non-NULL host before trying to connect (XERCESC-1920).
2010-04-18 | Boris Kolpackov | Recover from the mismatching start/end even count which may happen when we continue parsing an invalid document (XERCESC-1919).
2010-04-16 | Boris Kolpackov | Add Visual Studio 2010 projects and solution.
2010-04-16 | Boris Kolpackov | Use proper VC++ version in PDB file name.
2010-04-13 | Alberto Massari | If the transcoder doesn't process any input, throw an exception (XERCESC-1916).
2010-04-12 | Alberto Massari | Delay the recursive expansion of includes until the document fragment has been placed in the final location (XERCESC-1918).
2010-04-12 | Alberto Massari | The code formatting a content model was skipping the cardinality indicators (*, +, ?) (XERCESC-1914).
2010-04-11 | Boris Kolpackov | Fix a few bugs and memory leaks in XInclude code.
2010-04-11 | Boris Kolpackov | Give proper name to 64-bit PDB file in static build (XERCESC-1907).
2010-04-11 | Boris Kolpackov | Spelling fixes (XERCESC-1911).
2010-04-11 | Boris Kolpackov | Don't include cpuid.h if we are using intrin.h (XERCESC-1912).
2010-04-07 | Boris Kolpackov | Fix socket leak.
2010-03-19 | Boris Kolpackov | Set scanner object on validation context. Needed during QName validation. Don't re-validate default/fixed values in preContentValidation when called from loadGrammar. This values are already validated in TraverseSchema.
2010-02-17 | Boris Kolpackov | Remove explicit setting of prefix for cloned elements and attributes since it is done properly by the create*() functions (XERCESC-1913).

| Release Information for Xerces-C++ 3.1.0 |

| The following new features and bug fixes have been implemented in Xerces-C++ 3.1.0:

Date | Contributor | Description
2010-01-26 | Boris Kolpackov | Remove the "experimental" marker from the loadGrammar API.
2010-01-20 | John Snelson | Fix an infinite loop bug in XML 1.1 NCName parsing.
2010-01-20 | Boris Kolpackov | Get rid of warnings uncovered with g++ -W -Wall.
2009-11-24 | Boris Kolpackov | Don't call u_init in ICU 3.6 and later.
2009-11-23 | Boris Kolpackov | Store the anonymous type count in the SchemaGrammar object.
2009-11-23 | Boris Kolpackov | Save the scope count to the grammar object in case we will be adding to this schema (multi-import case).
2009-11-23 | Boris Kolpackov | Mark schema DOM representation as unavailable after the call to TraverseSchema.
2009-11-23 | Alberto Massari | Don't use intrinsics in VS.NET 2003 since they are not available.
2009-11-23 | Boris Kolpackov | Redo libcurl check to avoid liking to the library when we don't use it. Also update the make pretty-printing code.
2009-11-20 | Boris Kolpackov | Fix a bug in the new LocalFileFormatTarget buffering implementation.
2009-11-20 | Boris Kolpackov | Clear the cached GrammarInfo list when calling resedCachedGrammarPool.
2009-11-20 | Boris Kolpackov | Limit the buffer growth in LocalFileFormatTarget to 64Kb. Optimize MemBufFormatTarget.
2009-11-20 | Boris Kolpackov | Make sure that imported schemas, as well as those loaded with loadGrammar or via the schemaLocation attributes get taken into account when we decide whether the schema in question has already been loaded.
2009-11-19 | Boris Kolpackov | Implement loading of multiple schemas with the same namespace in loadGrammar() when multi-import is enabled.
2009-11-19 | Boris Kolpackov | Extend multi-import support to schemas provided with the schemaLocation attributes (XERCESC-1659).
2009-11-18 | Boris Kolpackov | Try to switch to the XML Schema mode if we see xsi:type or xsi:nill (XERCESC-1263).
2009-11-18 | Boris Kolpackov | Provide a more descriptive error message for empty date-time type values (XERCESC-1703).
2009-11-18 | Boris Kolpackov | Skip the character that we just unescaped when searching for the next percent sign (XERCESC-1826).
2009-11-18 | Boris Kolpackov | Recognize a register-based authority in URI (XERCESC-1748, XERCESC-1747).
2009-11-18 | Boris Kolpackov | Commit a partial fix for XERCESC-1866 by David Bertoni.
2009-11-18 | Boris Kolpackov | Load schemas specified with the external schema location properties even if the load-schema property is set to false (XERCESC-1713).
2009-11-17 | Boris Kolpackov | Catch and ignore exceptions in destructors (XERCESC-1898).
2009-11-13 | John Snelson | Fixed DOMDocumentImpl::importNode() to copy the prefix of element and attribute nodes.
2009-11-13 | Alberto Massari | Add a variant to test for XERCESC-1893.
2009-11-13 | Boris Kolpackov | Call getDatatypeValidator before checking whether the schema has been imported.
2009-11-12 | Boris Kolpackov | Rework the way we search for and detect the ICU and libcurl libraries (XERCESC-1892).
2009-11-11 | Boris Kolpackov | Rework the binToText implementation and usage so that we don't need the XERCES_SIZEOF_* macros. This should allow using the same set of headers for 32 and 64-bit builds (XERCESC-1874).
2009-11-11 | Boris Kolpackov | Fix ICU message loader makefile to handle dist properly.
2009-11-10 | Alberto Massari | As we now generate source files for the ICU message loader, use standard automake code.
2009-11-10 | Boris Kolpackov | Rework compilation of ICU message loader resources (XERCESC-1882).
2009-11-10 | Boris Kolpackov | Do not complain that the XSD namespace is not imported (XERCESC-1896).
2009-11-05 | Boris Kolpackov | Enable multiple import handling in examples and test.
2009-11-05 | Boris Kolpackov | Allow the user to change the low water mark used by the parsers (XERCESC-1607).
2009-11-04 | Boris Kolpackov | Free resources if we throw from c-tors (XERCESC-1480).
2009-11-04 | Boris Kolpackov | Remove mentioning of XMLString::release (XERCESC-1847).
2009-11-04 | Boris Kolpackov | Use US-ASCII instead of USASCII.
2009-11-04 | Boris Kolpackov | Expand setNewLine() documentation (XERCESC-1507).
2009-11-04 | Boris Kolpackov | Disable throwing of an exception from the DOMLSParser::parse*() functions (XERCESC-1894).
2009-10-30 | Alberto Massari | Export PDB also for static builds (XERCESC-1759).
2009-10-28 | Alberto Massari | Implemented DOMLSParser::parseWithContext.
2009-10-28 | Alberto Massari | When the base type for a complex type cannot be found in an imported schema that has already been processed, check if a simple type with the same name exists (XERCESC-1893).
2009-10-27 | Boris Kolpackov | Check if glibtoolize exist. Otherwise call libtoolize.
2009-10-20 | James Berry | For builds with curl, use curl-config to get appropriate compiler and linker flags (XERCESC-1892).
2009-10-06 | Alberto Massari | Place the creation of token in the main function to avoid misalignments.
2009-09-04 | Alberto Massari | When releasing an element, remove and release also its attributes (XERCESC-646).
2009-09-04 | Alberto Massari | Improve support for DOMLSParserFilter: (1) if startElement() returned REJECT it was treated like SKIP, and it was changing the current parent node one time too much; (2) the acceptNode() callback was invoked on text nodes every time some data was added to them, potentially removing it many times; (3) the nodes rejected by the callback were not recycled, leading to the same memory footprint as they were accepted.
2009-09-02 | Alberto Massari | Performance improvements.
2009-08-28 | Alberto Massari | The test to detect if the CPU was SSE2-enabled using __get_cpuid was reversed; configure.ac was testing for the presence of emmintrin.h before detecting which compiler option turned on SSE2, and the header cannot be used until that switch has been set.
2009-08-28 | Alberto Massari | If a minOccurs/maxOccurs cannot be parsed in a valid integer because it's too big, assume it is 500.
2009-08-26 | Alberto Massari | Use SSE2 instructions to speed up bit operations used in schema validation with large maxOccurs.
2009-08-26 | Alberto Massari | The invalid xs:float is now e-46, not e-39.
2009-08-25 | Alberto Massari | Updated documentation to reflect the change in limits for xs:float datatype.
2009-08-25 | Alberto Massari | Fixed memory leak; added optimization to the bitfield enumerator.
2009-08-24 | Alberto Massari | Improved performance and reduced memory footprint of schema validation involving large maxOccurs: (1) the CMStateSet uses a sparsely allocated matrix to store the bits, resulting in less memory usage and faster bitwise operations (when analyzing an unallocated chunk, no operations are done); also, having moved the dynamic buffer data members into a separate structure, the space used by two pointers has been added to the cached bit fields, that is now 128 bits; (2) the DFA builder chooses the faster algorithm depending on the data being analyzed. The regression test for XERCESC-1051 now completes in 30 seconds instead of 80.
2009-08-21 | Alberto Massari | When testing for simple type blocked substitutions, allow list and unions when base type is anySimpleType.
2009-08-21 | Alberto Massari | When testing for blocked substitutions, check the entire inheritance chain.
2009-08-21 | Alberto Massari | Added optimizations forgotten in previous commit, plus tests.
2009-08-20 | Alberto Massari | When retrieving an attribute of a schema declaration, specify its type so that the proper whitespace collapse operation can be performed.
2009-08-20 | Alberto Massari | Improved validation of xsi:nil.
2009-08-14 | Alberto Massari | Move the list with the imported targetNamespace in TraverseSchema, so that a schema can "see" what an imported schema imports (XERCESC-1249).
2009-08-14 | Alberto Massari | When matching an XPath expression, don't accept a node only if it's the first branch of an union that matches. The XPath parser takes care of removing identical branches (XERCESC-809).
2009-08-14 | Alberto Massari | Ignore the lax directive if an element has an xsi:type directive (XERCESC-1707).
2009-08-14 | Alberto Massari | When storing a default/fixed value, use the canonical representation.
2009-08-14 | Alberto Massari | Use an entity resolver to feed the grammar for the XML namespace.
2009-08-14 | Alberto Massari | When building the key for identity constraints, use the topmost validator.
2009-08-13 | Alberto Massari | Name and reference to names should be whitespace collapsed.
2009-08-13 | Alberto Massari | Don't manipulate the XPath expression to ensure it starts with "./" before parsing; add the proper token after the scanner phase.
2009-08-13 | Alberto Massari | Complain if an identity constraint has an empty name.
2009-08-13 | Alberto Massari | When placing a value in the identity constraint map, store the actual validator used, instead of the official one.
2009-08-13 | Alberto Massari | Instead of using the FLT_MIN and FLT_MAX macros, use the XMLSchema definition of minimum and maximum value for a xs:float (XERCESC-1833).
2009-08-13 | Alberto Massari | When the xsi:type attribute is present, don't emit validation errors complaining of a missing declaration (XERCESC-1481).
2009-08-13 | Alberto Massari | Attributes in the xsi namespace were not whitespace-normalized.
2009-08-12 | Alberto Massari | Blocked substitution was not checked when defined on a complex type (XERCESC-1568): (1) Blocked substitution should not be checked when xsi:type names the same original type; (2) Blocked substitution didn't check the bit of the restriction/extension, but it performed an equality check.
2009-08-12 | Alberto Massari | When parsing a "block" attribute, an empty value means an empty set, not "use blockDefault".
2009-08-12 | Alberto Massari | When parsing a "final" attribute, an empty value means an empty set, not "use finalDefault" (XERCESC-1716).
2009-08-12 | Alberto Massari | When an identity constraint involves a QName, store the value using its Clark name so that values using different prefixes can be matched.
2009-08-11 | Alberto Massari | When validating an annotation, report the location of the error in the source schema, not inside the annotation itself.
2009-08-10 | Alberto Massari | Test that runs a few parse operations with an input stream that splits the source in bad locations.
2009-08-10 | Alberto Massari | Before assuming that a complex type has a simple type as base type simply because it has a data type validator, inspect the base type definition (XERCESC-697).
2009-08-10 | Alberto Massari | Before processing a schema location, remove the 0xFFFF characters present in the non-normalized attribute value (XERCESC-1831).
2009-08-10 | Alberto Massari | If a derived attribute is prohibited, don't check type substitution and fixed facet (XERCESC-961).
2009-08-10 | Alberto Massari | Deprecate two symbols because of a typo in the name; added a version with the correct spelling.
2009-08-10 | Alberto Massari | Add check for NULL (XERCESC-1863).
2009-08-10 | Alberto Massari | Don't report repetitions in the block/final schema attributes as errors. If a derived attribute is prohibited, don't check type substitution and fixed facet (XERCESC-961).
2009-08-05 | Alberto Massari | On Linux, iconv requires char*; on Solaris, const char*. Use autoconf to pick the correct code.
2009-08-05 | Alberto Massari | Allow GNUiconv to be compiled on Solaris (XERCESC-1856).
2009-08-04 | Alberto Massari | Allow platform with machine/endian.h to select the GNUiconv transcoder.
2009-08-04 | Alberto Massari | Add an autoconf test to verify if the compiler supports the matching operator delete (XERCESC-1380).
2009-07-30 | Alberto Massari | Before complaining that there are not enough child nodes, test the existing ones to be correct (XERCESC-1246).
2009-07-29 | Alberto Massari | Fix end position for fixed string pattern matching (XERCESC-1021).
2009-07-29 | Alberto Massari | Report an error if more than one anyAttribute declaration is found, or if it is not the last declaration (XERCESC-1717).
2009-07-29 | Alberto Massari | If an imported schema had a keyref definition, all the others keyref definition ended up in that schema, and would not be enforced (XERCESC-1583).
2009-07-29 | Alberto Massari | If there is no complex type in the stack, fallback to the schema element definition, like it is done a few lines earlier (XERCESC-1808).
2009-07-29 | Alberto Massari | When copying a context object, allocate new memory for fMatch and fOffsets only if the size of the data being copied is different, so that a user-provided fMatch object can be properly filled (XERCESC-1870).
2009-07-28 | Alberto Massari | Improve scalability of identity checking by using a hash table whose hash value is computed on the canonical values of the values (XERCESC-1878).
2009-07-08 | Alberto Massari | Added methods defined in the Element Traversal specification (http://www.w3.org/TR/2008/REC-ElementTraversal-20081222/).
2009-06-30 | Alberto Massari | Include system-dependent files only if the appropriate macro is defined (XERCESC-1852).
2009-06-30 | Alberto Massari | Fix warning (XERCESC-1872).
2009-06-03 | Alberto Massari | Avoid recursion when parsing simply nested DTD structures. This issue is referenced in the following document: CVE-2009-1885 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2009-1885). Thanks to Jukka Taimisto, Tero Rontti and Rauli Kaksonen from the CROSS project at Codenomicon Ltd. and CERT-FI for bringing this issue to our attention.
2009-06-03 | Alberto Massari | Improve XSTSHarness to also run the XML Test Suite.
2009-05-28 | Alberto Massari | Add quotes around path in custom build command (XERCESC-1868).
2009-05-28 | Alberto Massari | The PDB file for VC 9.0 used "vc80" (XERCESC-1869).
2009-05-26 | Boris Kolpackov | Check return value of getaddrinfo for non-zero instead of less-than-zero (XERCESC-1871).
2009-04-27 | Alberto Massari | The implementation of some methods didn't match exactly the signature (XERCESC-1867).
2009-04-23 | Boris Kolpackov | Save the scope count value in the SchemaGrammar object. This is necessary for the multiple import option to function correctly.
2009-03-30 | John Snelson | Initializing unitialized variables in TranscodeToStr and TranscodeFromStr (#XERCESC-1858).
2009-03-27 | John Snelson | Fixed a bug when transcoding small strings using TranscodeToStr (XERCESC-1858).
2009-03-12 | Alberto Massari | When the DOMLSInput contains a stringData buffer, the encoding of the source is XMLCh.

| Release Information for Xerces-C++ 3.0.1 |

| The following bugs have been fixed in Xerces-C++ 3.0.1:

Date | Contributor | Description
2009-02-12 | Boris Kolpackov | More robust handling of leading/trailing whitespaces (XERCESC-1838).
2009-02-12 | Boris Kolpackov | Minor documentation updates, including a fix for XERCESC-1848.
2009-02-10 | Boris Kolpackov | Add --disable-rpath configure option.
2009-01-29 | Alberto Massari | Remove class name from method declaration (XERCESC-1850).
2009-01-16 | John Snelson | Fix a bug in the socket and winsock net accessors when a redirection response does not contain a "Location" header.
2009-01-16 | John Snelson | Make XMLMutex use the correct MemoryManager when it closes it's mutex.
2008-11-12 | Boris Kolpackov | Documentation fixes (XERCESC-1841).
2008-10-30 | Alberto Massari | Backport fixes for memory leaks.
2008-10-29 | Alberto Massari | Force Borland projects to use CRLF EOL.
2008-10-39 | Alberto Massari | The wrong constructor was called, causing a memory leak (XERCESC-1840).
2008-10-23 | Alberto Massari | Fix memory leak (XERCESC-1834).
2008-10-21 | Boris Kolpackov | Update URLs in source code to point to the new pages.

| Release Information for Xerces-C++ 3.0.0 |

| The following new features and bug fixes have been implemented in Xerces-C++ 3.0.0:

Date | Contributor | Description
2008-09-22 | Vitaly Prapirny | Create Borland project for NetAccessor test.
2008-09-22 | Boris Kolpackov | Allow use of the Windows transcoder and net accessor on Cygwin but only if the user explicitly asks for it.
2008-09-19 | Alberto Massari | Avoid DOMDocument definition from Windows SDK (XERCESC-1830).
2008-09-17 | Boris Kolpackov | Pass raw names to start/endElement if namespaces are disabled. Patch by David Bertoni.
2008-09-17 | Boris Kolpackov | Reimplement skippedString logic to handle "short" and "long" strings separately.
2008-09-17 | David Bertoni | Temporary fix for XERCESC-1827 along with sanity test case.
2008-09-16 | Boris Kolpackov | Avoid pretty-printing comments only in text-only nodes.
2008-09-16 | Boris Kolpackov | Do not add any whitespaces around CDATA sections and comments since they might be non-ignorable (XERCESC-1823).
2008-09-16 | Boris Kolpackov | Add support for generating pkgconfig file. Patch by Jay Berkenbilt (XERCESC-1824).
2008-09-16 | Boris Kolpackov | Pass proper memory manager to mutex.
2008-09-15 | Boris Kolpackov | Allow changing global DOMDocument heap parameters via overloaded Initialize().
2008-07-24 | Alberto Massari | Include winnt.h from the Platform SDK instead of winres.h from MFC.
2008-07-23 | Alberto Massari | Performance improvement.
2008-07-22 | Alberto Massari | Remove the PCRE-like regular expression engine, and replace it with a XPath 2.0-compatible one (XERCESC-1816). Original patch by John Snelson, modified to fix an exception thrown when expressions negating a character class (e.g. [^\s]) were used.
2008-07-22 | Boris Kolpackov | XML to DOM parsing optimizations.
2008-07-21 | Boris Kolpackov | Various optimizations.
2008-07-21 | Boris Kolpackov | Remove repetitive calls to the getOwnerDocument() virtual function and in some cases use the data member directly. Put DOMStringPool functionality directly into DOMDocumentImpl, make getPooledString() inline.
2008-07-19 | Boris Kolpackov | Get rid of unused MemoryManager argument in hash functions.
2008-07-17 | Alberto Massari | Fixed regression in determining lax/skip/strict processing of an xsd:any preceded by another xsd:any represented using compact syntax (XERCESC-1822).
2008-07-17 | Alberto Massari | The XSTS schema allows multiple schema files to be loaded before a test.
2008-07-17 | Alberto Massari | When comparing two unions, use the validator that correctly parses both instances.
2008-07-17 | Alberto Massari | If an element cannot be found in the schema for its namespace, it is also searched in the empty namespace to see if the user mistakenly forgot about undefining the default namespace; in this case a better error report is generated and (if schema processing is allowed to continue) the empty namespace definition is taken. However, even if the empty namespace definition didn't pass a few checks, we ended up silently using it -> we changed the namespace of the element without notifying the user (XERCESC-1819).
2008-07-16 | Alberto Massari | Build a compact tree also for xsd:any nodes (XERCESC-1051). Reduce the memory required to build a DFA by creating a shallow CMNode hierarchy. Avoid stack overflow when analyzing non-compact model trees. Optimized the building of the DFA state table by avoiding linear searches.
2008-07-15 | Boris Kolpackov | Cygwin is a POSIX emulation layer so use POSIX file manager, transcoder, path delimiter, and net accessor. Still using Windows mutex manager because of the problem in Cygwin pthread emulation.
2008-07-15 | Boris Kolpackov | Require the exact match for the schema loader and storer version.
2008-07-15 | David Bertoni | Fix for XERCESC-1806.
2008-07-15 | David Bertoni | More cleanup for unsigned int/XMLSize_t changes and various compiler warnings.
2008-07-15 | David Bertoni | Fix for XERCESC-1818.
2008-07-13 | Alberto Massari | Backported fix for XERCESJ-773: build a representation of large minOccurs/maxOccurs in constant time and memory (which uses a counter during validation) for element and wildcard particles when each model group particle in the content model: has minOccurs/maxOccurs == 1 or contains only one element/wildcard particle with minOccurs/maxOccurs == 1. (XERCESC-1051).
2008-07-13 | Boris Kolpackov | Use mutex to synchronize access to global document. Fixes XERCESC-1652.
2008-07-12 | Boris Kolpackov | Disable automatic selection of ICU message loader when ICU is available (XERCESC-1769).
2008-07-11 | Boris Kolpackov | Review, cleanup and make consistent all error messages.
2008-07-09 | Boris Kolpackov | Use the ISO8859-1 encoding in net accessors. Add support for httpInfo in the curl net accessor. Patch by John Snelson (XERCESC-1805).
2008-07-09 | Alberto Massari | Added more checks to the XSD syntax.
2008-07-04 | Boris Kolpackov | Increment XERCES_GRAMMAR_SERIALIZATION_LEVEL since the size of line/column fields has changed.
2008-07-04 | Boris Kolpackov | Cleanup interfaces in parsers/ to use XMLSize_t.
2008-07-03 | Boris Kolpackov | Cleanup public interfaces in framework/ to use XMLSize_t.
2008-07-02 | Alberto Massari | Use the _wcsupr naming instead of wcsupr (only Visual C++ defines both, Borland only defines the version prefixed by the underscore).
2008-06-29 | Boris Kolpackov | Add 64-bit support.
2008-06-28 | David Bertoni | Fix for XERCESC-1813.
2008-06-27 | Boris Kolpackov | Use XMLFileLoc consistently to represent line/column. Clean up the SAX interface to use XMLSize_t instead of int/long.
2008-06-27 | Boris Kolpackov | Add XMLFileLoc type (64-bit) that represents location in a file (line/column). Use it in DOM interfaces.
2008-06-26 | Alberto Massari | Added missing "Is" in front of the "MusicalSymbols" regex group.
2008-06-26 | Boris Kolpackov | Use XMLSize_t instead of int/long for indexes and sizes in DOM interfaces. Use enum types instead of short.
2008-06-26 | Alberto Massari | Define regular expression category \w as defined by the XMLSchema specs (XERCESC-541).
2008-06-25 | Boris Kolpackov | Provide a way to disable automatic loading of schemas specified in XML documents. Patch by Wouter Coene.
2008-06-25 | Boris Kolpackov | Move XMLGrammarPoolImpl from internal/ to framework/ so that it can be instantiated directly by the use.
2008-06-24 | Alberto Massari | XSTSHarness now handles the 2006 version of the test suite.
2008-06-24 | Boris Kolpackov | Implement the revised interpretation of ##other in which unqualified names are not matched. Fixes XERCESC-1758, XERCESC-1655.
2008-06-22 | Boris Kolpackov | Add getContentType function to the BinInputStream to allow stream to report out-of-band content type. Implement it in various streams. Factor out and cleanup common code from Socket and WinSock net accessors. Fix a number of bugs. Patch by John Snelson (XERCESC-1805).
2008-06-20 | Boris Kolpackov | Change the DOMXPathResult interface to accommodate both XPath 1 and 2 models. Return DOMXPathResult* instead of void* from evaluate. Add basic auto pointer operations to JanitorMemFunCall class template.
2008-06-19 | Boris Kolpackov | Make regular expressions thread-safe and use runtime memory manager when executing. Add new allMatches() function for advanced use-cases. Patch by John Snelson (XERCESC-1803).
2008-06-19 | Boris Kolpackov | DOM XPath support: Support for resolving default namespace. Support for removing namespace-prefix bindings. Additional documentation.
2008-05-21 | Alberto Massari | Avoid that an external entity having an empty SYSTEM id is treated as internal (XERCESC-1763).
2008-05-20 | David Cargill | Schema fixes for e1-16 errata and full schema checking of any choice restricted by any.
2008-05-13 | Alberto Massari | Add addNamespaceBinding() and release() APIs to XPathNSResolver class (XERCESC-1802) - patch by John Snelson.
2008-05-13 | Alberto Massari | Don't blindly subtract a number from an unsigned int, it could overflow (XERCESC-1804).
2008-05-01 | Alberto Massari | Rewrite the storage mechanism to avoid cast (XERCESC-1678).
2008-04-07 | Alberto Massari | Avoid error messages where English words are specified at runtime.
2008-04-02 | Alberto Massari | Replace copyrighted schema with a simple test case (XERCESC-1791).
2008-03-22 | Boris Kolpackov | Fix XERCESC-1790. Other error messages cleanups.
2008-03-14 | Alberto Massari | DOMPrint now shows how to run an XPath query on a DOM tree (XERCESC-1786).
2008-03-14 | Alberto Massari | If the XPath parser returns 'false', it means the XPath is invalid. (XERCESC-1787).
2008-03-14 | Alberto Massari | Identity constraints on xs:anySimpleType instances are enforced by comparing their lexical values (XERCESC-1393).
2008-03-11 | Boris Kolpackov | Lock the mutex when performing cleanup in the WinSock net accessor.
2008-03-11 | Alberto Massari | When looking for the best encoding, match both char size and endianness.
2008-03-11 | Alberto Massari | Add UTF16-LE and UTF16-BE to the list of encodings tested by GNUiconv (XERCESC-1663).
2008-03-10 | Boris Kolpackov | Get rid of lazy initialization that relied on double-checked locking. Now every static object is initialized in Initialize() and released in Terminate() via XMLInitializer.
2008-03-09 | Boris Kolpackov | Get rid of atomic operations.
2008-03-07 | Boris Kolpackov | New RPM spec by Scott Cantor.
2008-03-03 | Boris Kolpackov | Apply the fast DOM child append patch (XERCESC-1735).
2008-03-03 | Boris Kolpackov | Adjust DOM heap allocation parameters to be the same as in 2.8.0 which appears to give the best overall performance.
2008-02-26 | Alberto Massari | Add VC9 target, remove references to deprecated DOM.
2008-02-25 | Alberto Massari | Validate the attributes of a simple type definition before trusting its content (XERCESC-1718).
2008-02-25 | Alberto Massari | Report an error when a grammar or a type is not found (XERCESC-1745).
2008-02-21 | Alberto Massari | Added configuration to VC9 project files to build Xerces with the ICU transcoder.
2008-02-21 | Alberto Massari | Added configuration to VC8 project files to build Xerces with the ICU transcoder.
2008-02-21 | Alberto Massari | Added configuration to VC7.1 project files to build Xerces with the ICU transcoder.
2008-02-20 | Alberto Massari | Check for the callback pointer to be valid before each call, as a callback could be resetting it (XERCESC-1781).
2008-02-13 | Boris Kolpackov | Make sure the base type was provided when trying to resolve the schema grammar (addition to the previous fix) (XERCESC-1777).
2008-02-12 | Boris Kolpackov | In restriction checking, when looking for a declaration of a base element, use the schema grammar corresponding to the type this element is declared in (XERCESC-1777).
2008-01-22 | Alberto Massari | Update gMaxProtoLen to reflect the addition of "https" (XERCESC-1698).
2008-01-22 | Alberto Massari | Use the same code as in the fopen.c sample from libcurl (XERCESC-1756).
2008-01-22 | Alberto Massari | Show how to release a transcoded string (XERCESC-1767).
2008-01-22 | Alberto Massari | Fixed 64 bit issue (XERCESC-1768).
2007-11-21 | Alberto Massari | Add project files for Visual Studio 2008.
2007-10-08 | David Cargill | Encode characters for anyURI using xlink 5.4 algorithm. Patch from Gilbert Chan.
2007-08-30 | Alberto Massari | - Don't allocate a stack unless the string to be matched is longer than 256 characters. Don't use backtracking if the regex pattern doesn't have ambiguities (XERCESC-1242).
2007-08-28 | Alberto Massari | - SrcOffset is a XMLFilePos (64 bit). MsgLoader and Transcode API needed some more XMLSize_t (XERCESC-1531).
2007-08-24 | Alberto Massari | Avoid recursion when checking for closures. Patch by Vitaly Prapirny (XERCESC-1242).
2007-07-30 | Alberto Massari | The GroupContentRestricted error is used for both 'sequence' and 'choice' models, so get the model at runtime (XERCESC-1724).
2007-07-18 | Alberto Massari | Parser interfaces now use XMLSize_t for characters, comment, ignorableWhitespace, docCharacters, doctypeWhitespace (XERCESC-1531).
2007-07-18 | Alberto Massari | Fixed signed/unsigned conversions (XERCESC-1531).
2007-07-18 | Alberto Massari | Send the NODE_CLONED notification for each node in the tree when cloning the entire DOMDocument (XERCESC-1722).
2007-07-17 | Alberto Massari | GNUIconv should not look at APP_NO_THREADS, and look at where endian.h is located (XERCESC-1709).
2007-07-11 | Alberto Massari | Line numbers should use unsigned long (XERCESC-1531).
2007-07-11 | Alberto Massari | XMLString, XMLBuffer and Base64 should use XMLSize_t (XERCESC-1531).
2007-07-10 | Alberto Massari | XMLTransService should use XMLSize_t (XERCESC-1531).
2007-07-09 | Alberto Massari | XSerializeEngine should use XMLSize_t (XERCESC-1531).
2007-07-06 | Alberto Massari | All lists and vectors should use unsigned int to report size and access items (XERCESC-1531).
2007-07-06 | Alberto Massari | Changed MemBufInputSource to use XMLSize_t (XERCESC-1531).
2007-07-06 | Alberto Massari | Changed XMLFormatTarget interface to have writeChars use XMLSize_t (XERCESC-1531).
2007-07-06 | Alberto Massari | Changed XMLTransService interface to have transcodeFrom and transcodeTo use XMLSize_t (XERCESC-1531).
2007-07-06 | Alberto Massari | Changed BinOutputStream interface to have curPos return a 64-bit integer, and use XMLSize_t in writeBytes (XERCESC-1531).
2007-07-06 | Alberto Massari | Changed BinInputStream interface to have curPos return a 64-bit integer, and use XMLSize_t in readBytes (XERCESC-1531).
2007-06-09 | David Cargill | Apply base whitespace facet to enumeration values. Patch from Gilbert Chan.
2007-06-09 | David Cargill | Suppress DTD error message for attribute referring to unknown entity when attribute not used. Patch from John Kim.
2007-05-21 | Alberto Massari | In the fix for XERCESC-1592, code to set xmlns="" that was moved from retrieveNamespaceMappping to preprocessSchema was not executed for imported schemas.
2007-05-15 | Alberto Massari | mblen returns 0 when given an empty string; rewrote code to only use mbstowcs (XERCESC-1702).
2007-05-08 | Alberto Massari | Add https to the list of valid protocols for XMLURL (XERCESC-1698).
2007-04-25 | Alberto Massari | Add x64 target to VC8 project files.
2007-04-17 | Alberto Massari | Fix for XERCESC-1092.
2007-04-10 | Alberto Massari | Make the header guards less obvious (XERCESC-1693).
2007-04-06 | Alberto Massari | Fix for XERCESC-1592.
2007-03-08 | Alberto Massari | Fixed infinite loop when an XPath expression contained an unexpected character (XERCESC-1682).
2007-03-06 | Alberto Massari | IconvGNU and IconvFBSD transcoders override application-set locale, XERCESC-1660 (patch by Boris Kolpackov).
2007-03-02 | Alberto Massari | Initial commit of XInclude support (by Simon Rowland).
2007-02-07 | Alberto Massari | Even if the XSTS suite thinks differently, the XMLSchema 1.1 clarifies that two values derived from the same value space should be treated as equals; so find out the common ancestor and use it to perform the comparison.
2007-02-02 | Alberto Massari | Implemented the DOML3 XPath interfaces, reusing the XPath processor used inside the XMLSchema validation; this means it understands only a limited subset of the XPath syntax, and can only return DOMElement nodes. However, it could be useful for simple navigations, or maybe be later expanded.
2007-01-30 | Alberto Massari | Allow 'list' and 'union' in the finalDefault attribute of a schema (XERCESC-1633).
2007-01-30 | Alberto Massari | Fix backport of XERCESC-1237.
2007-01-30 | Alberto Massari | Only xs:key should complain if not all the fields of an identity constraint are not found in the XML instance (XERCESC-1237).
2007-01-02 | Alberto Massari | When calling getAttributeNodeNS, ensure we are providing a localName (XERCESC-1473).
2006-12-18 | Alberto Massari | The 'dst' argument in the DOMUserDataHandler::handle callback is non-const, in order to let the application modify the newly created node (XERCESC-783).
2006-12-11 | Alberto Massari | Performance improvement: allocate memory only when the data inside the XMLElementDecl cannot be reused.
2006-12-01 | Alberto Massari | Use the algorithm from http://unicode.org/unicode/faq/utf_bom.html#35 to encode/decode surrogate pairs (XERCESC-1654).
2006-10-20 | Alberto Massari | Enable IPv6 addresses by using getaddrinfo when available [based on a patch by Ramanjaneyulu Malisetti].
2006-10-20 | Alberto Massari | Handle both IPv4 and IPv6 on Windows (to be enabled via a macro, as it is only available starting with Windows XP) [based on a patch by Ramanjaneyulu Malisetti].
2006-10-20 | Alberto Massari | Report the correct error when the XML PI has 'XML' instead of 'xml' (XERCESC-1641).
2006-10-16 | Alberto Massari | Allow the user to specify the memory manager used by LSSerializer::writeToString.
2006-09-26 | Alberto Massari | Removed warnings (XERCESC-1619).
2006-09-26 | Alberto Massari | Make some methods const (XERCESC-1628).
2006-09-26 | Alberto Massari | When checking for a valid restriction, take into account substitution groups (XERCESC-1281).
2006-08-30 | Alberto Massari | Don't crash if an external parameter entity has no SYSTEM id (XERCESC-1536).
2006-08-28 | Alberto Massari | IconvGNU transcoder now works on big endian machines.
2006-08-23 | Alberto Massari | Default or fixed attribute values should be whitespace normalized, if the datatype requires it, before being validated.
2006-08-23 | Alberto Massari | DOMLSParserImpl::loadGrammar should not release the previously loaded DOMDocument (XERCESC-1626).
2006-07-25 | Alberto Massari | Reduce the number of allocations needed by text and attribute nodes (XERCESC-1585).
2006-07-25 | Alberto Massari | Remove support for building Xerces with VC7.
2006-07-04 | Alberto Massari | Removed usage of MB_CUR_MAX from iconv transcoder; if the block-oriented APIs are available, use them (XERCESC-1444, patch by Axel Weiss).
2006-06-12 | Alberto Massari | Added parameter space-first-level-elements to DOMLSSerializer to let the user control whether the children of the document root should have an extra line feed between them (XERCESC- 1561).
2006-05-30 | Alberto Massari | SAX2XMLReader should use the prefix reported by the reader, not the one stored in the element declaration (XERCESC-1598).
2006-05-30 | Alberto Massari | DGXMLScanner was treating predefined entities inside attribute values as if they were in the element content (XERCESC-1597).
2006-05-23 | James Berry | Fix for XERCESC-1595.
2006-05-12 | Alberto Massari | Allow spaces in anyURIs, as they are 'legal but highly discouraged' (XERCESC-1581).
2006-03-19 | Alberto Massari | Factory method is no more inline to avoid including an internal header in a public one (XERCESC-1579).
2006-02-28 | Alberto Massari | Remove BOM-detection code inside refreshCharBuffer: the fix for XERCESC-1284 makes it unnecessary, and the UTF-8 part was updating the wrong index (XERCESC-1385).
2006-02-18 | Alberto Massari | When serializing attribute values, escape also carriage returns and tabs (XERCESC-1547).
2006-02-18 | Alberto Massari | If an encoding has been forced on a InputSource, ignore a compatible BOM found in the stream (XERCESC-1284).
2006-02-06 | David Bertoni | Patch from Tobias Schuette for XERCESC-1491.
2006-01-21 | David Bertoni | Fix for XERCESC-1555 from Mark Weaver.
2006-01-21 | David Bertoni | Fixes for XERCESC-1548.
2006-01-16 | David Cargill | Fix for XERCESC-1546. Canonical value of list was putting in an extra null character.
2006-01-16 | Alberto Massari | When evaluating a union in a regular expression, take the branch that matches the longest part of the input string (XERCESC-1521).
2005-12-27 | Alberto Massari | Improve validation performances when dealing with schemas with lots of top level definitions (XERCESC-1542).
2005-12-26 | Alberto Massari | Fix for XERCESC-1533 (default attributes in the definition for an element that is not validated because of errors would be added to the list of attributes even if already present).
2005-12-20 | Alberto Massari | Expose the memory allocation functionalities of DOMDocumentImpl through the DOMMemoryManager interface; this removes dangerous casts in the operator new and allows to tune the size of the memory chunks (XERCESC-1475).
2005-12-14 | Alberto Massari | When cloning or importing a node, also copy the type information (XERCESC- 1517).
2005-12-01 | Alberto Massari | Added projects for Visual Studio 2005.
2005-10-25 | Alberto Massari | Nodes that implement getFeature should also implement isSupported (XERCESC-1479).
2005-10-15 | David Cargill | Message update for qname fix and XERCESC-1515.
2005-09-28 | Alberto Massari | closesocket should be dynamically bound (XERCESC-1467).
2005-08-26 | David Cargill | Fix for XERCESC-1240.
2005-08-26 | David Cargill | Fix for XERCESC-896.
2005-08-25 | David Cargill | Fix for XERCESC-896.
2005-08-15 | David Cargill | Schema errata e2-67 fix, ported from java to allow [^+-].
2005-08-10 | David Cargill | Remove references to nonexist DOMSystemException. XERCESC-1400.
2005-08-10 | Alberto Massari | Documentation for Base64::decode now state how whitespace is treated (XERCESC-974).
2005-08-09 | Alberto Massari | Close the socket even in case of exceptions being thrown (XERCESC-1467).
2005-08-08 | gareth | Added comment to state the namespace info wont work with this parser. XERCESC-1377.
2005-07-28 | David Cargill | Follow-up fix to XERCESC-990. Allow lookup for imported schema with no namespace.
2005-07-27 | David Bertoni | Fixes for XERCESC-1463.
2005-07-27 | David Cargill | Schema errata E2-27: don't have negative sign in front of zero.
2005-07-26 | Alberto Massari | Reset the flag used to signal a trailing space if the chunk doesn't end with a space (XERCESC-1239).
2005-07-25 | Alberto Massari | After looking for the DOM element defining the required type we should use the registry to perform the lookup instead of assuming the one we just parsed is the right one (XERCESC-990).
2005-07-25 | David Cargill | Fix problem where incorrect xsmodel was generated for UseCachedGrammarInParse.
2005-07-25 | David Cargill | Fix various schema date time problems.
2005-07-20 | David Cargill | Update XMLDateTime to correctly test for timezone.
2005-07-20 | David Cargill | Empty content for Base64Binary & HexBinary should be allowed.
2005-06-29 | Alberto Massari | Added getter methods for flags (XERCESC-1450).
2005-06-29 | Alberto Massari | Fix for XERCESC-1449.
2005-06-28 | Alberto Massari | Schema errata E2-67: allow unescaped '-' at the beginning and end of a regex.
2005-06-17 | James Berry | Add const qualifier to getDocumentLocations to match interface (patch to 191040 for bug XERCESC-1153).
2005-06-17 | Alberto Massari | XMLSchemaDescriptionImpl::getLocationHints() returns a const pointer (XERCESC-1153).
2005-06-17 | Alberto Massari | DOMDocument::importNode accepts a const pointer (XERCESC-1223).
2005-06-11 | James Berry | Resolve bug XERCESC-1436. Header and implementation of OpFactory used inconsistent function signature. Thanks to Axel Weiss.
2005-06-08 | David Bertoni | Fixes for XERCESC-1409.
2005-06-08 | David Cargill | Fix for XERCESC-1423 from Christian.
2005-06-06 | David Bertoni | Fixes for XERCESC-1368.
2005-06-04 | David Bertoni | Patch for XERCESC-1420.
2005-06-03 | David Bertoni | Fixes for XERCESC-1348.
2005-06-03 | David Cargill | Fix for XERCESC-1115. Allow zero length content.
2005-06-03 | David Bertoni | Fixes for XERCESC-1417.
2005-06-02 | David Cargill | Don't treat characters 0x2028 and 0x85 as plain characters in XML 1.1.
2005-06-02 | David Cargill | Schema errata update. Ignore length, minLength and maxLength facets for qname and notation.

| Release Information for Xerces-C++ 2.8.0 |

| The following new features and bug fixes have been implemented in Xerces-C++ 2.8.0:

Date | Contributor | Description
2007-08-23 | Scott Cantor | RPM spec file update to support 64 bit builds (XERCESC-1740)
2007-08-22 | Boris Kolpackov | Remove option to explicitly link against libc.
2007-08-22 | Alberto Massari | Rename afxres.h to winres.h (XERCESC-1737).
2007-08-21 | Boris Kolpackov | Static build option.
2007-08-21 | Boris Kolpackov | Exponential growth for DOM heap.
2007-08-21 | Boris Kolpackov | Add HTTPS scheme to URI.
2007-08-21 | Boris Kolpackov | 64 bit Windows build (XERCESC-1531).
2007-08-21 | Boris Kolpackov | Explicit type conversion to get rid of a warning.
2007-08-21 | Boris Kolpackov | Auto-detect HP aCC3 vs aCC6 compiler versions.
2007-08-21 | Boris Kolpackov | Verbose mode (add VERBOSE=1 to the gmake command line).
2007-08-21 | Boris Kolpackov | Support for g++ on AIX and HP-UX.
2007-08-21 | Boris Kolpackov | Change optimization level on GNU/Linux from -O to -O2.
2007-08-21 | Boris Kolpackov | Add appendChildFast and call it in parser. Performance patch.
2007-08-21 | Boris Kolpackov | 64 bit compile/link options auto-detection for Solaris.
2007-08-21 | Boris Kolpackov | VC8 projects.
2007-07-30 | Alberto Massari | The GroupContentRestricted error is used for both 'sequence' and 'choice' models, so get the model at runtime (XERCESC-1724).
2007-07-26 | Alberto Massari | XSWildcard was always getting a 'strict' processContent when the namespace list contained more than 2 elements.
2007-07-23 | Christian Will | Performance patch for XERCESC-1657.
2007-07-23 | Anton Nikolaevsky | Patch for XERCESC-1591.
2007-07-18 | Alberto Massari | Send the NODE_CLONED notification for each node in the tree when cloning the entire DOMDocument (XERCESC-1722).
2007-06-15 | David Bertoni | Fix for null pointer dereference in the case where the expression is empty and the case-insensitive option is specified.
2007-06-09 | Gilbert Chan | Apply base whitespace facet to enumeration values.
2007-06-09 | John Kim | Suppress DTD error message for attribute referring to unknown entity when attribute not used.
2007-06-08 | Alberto Massari | Add missing include for MinGW (XERCESC-1617)
2007-06-01 | David Cargill | Schema fixes for anonymous type with mixed and substitution with bock.
2007-05-22 | David Cargill | For enumeration only check base as per spec.
2007-05-22 | David Cargill | Only complain when NOTATION is in schema namespace.
2007-05-15 | Alberto Massari | mblen returns 0 when given an empty string; rewrote code to only use mbstowcs (XERCESC-1702).
2007-04-17 | Alberto Massari | In the Windows registry, the code page for an encoding is stored in @InternetEncoding, not in @Codepage (XERCESC-1092).
2007-03-28 | David Cargill | Various schema fixes.
2007-03-27 | Alberto Massari | Performance improvements.
2007-03-27 | Alberto Massari | A decimal value of 0.0 was treated as a positive number, so it was different from 0.
2007-03-08 | Alberto Massari | Fixed infinite loop when an XPath expression contained an unexpected character (XERCESC-1682).
2007-03-06 | Boris Kolpackov | IconvGNU and IconvFBSD transcoders override application-set locale (XERCESC-1660).
2007-02-07 | Alberto Massari | Even if the XSTS suite thinks differently, the XMLSchema 1.1 clarifies that two values derived from the same value space should be treated as equals; so find out the common ancestor and use it to perform the comparison.
2007-02-06 | Alberto Massari | When invoking the userData handlers, first build a snapshot of the map, so that the callbacks can update it safely.
2007-01-31 | Alberto Massari | Equal lexical values of unrelated types must be treated as different.
2007-01-31 | Alberto Massari | Handle escaped characters in schemaLocation attributes.
2007-01-31 | Alberto Massari | Before using a local memory manager, check that we have a valid pointer.
2007-01-30 | Alberto Massari | Allow 'list' and 'union' in the finalDefault attribute of a schema (XERCESC-1633).
2007-01-30 | Alberto Massari | Only xs:key should complain if not all the fields of an identity constraint are not found in the XML instance (XERCESC-1237).
2007-01-29 | David Cargill | Complex type restriction with substation group fix.
2007-01-25 | David Cargill | Schema and UTF32 fixes.
2007-01-02 | Alberto Massari | When calling getAttributeNodeNS, ensure we are providing a localName (XERCESC-1473).
2006-12-30 | Charles McLouth | Added support for WinSock and Windows Transcoder on Mingw/msys platform (XERCESC-1617).
2006-12-27 | Alberto Massari | Detect open() failures (XERCESC-1658).
2006-12-11 | Alberto Massari | Performance improvement: allocate memory only when the data inside the XMLElementDecl cannot be reused.
2006-12-03 | David Cargill | Schema derivation fixes.
2006-12-03 | David Cargill | Case insensitive regular expression fixes.
2006-12-03 | David Cargill | Static initialization fix.
2006-10-20 | Alberto Massari | Report the correct error when the XML PI has 'XML' instead of 'xml' (XERCESC-1641).
2006-10-10 | Alberto Massari | Allow whitespace-only nodes to be added as children of a DOMDocument.
2006-10-05 | David Cargill | Handle anonymous types properly.
2006-10-05 | David Cargill | Don't add extra whitespace when validating datatypes.
2006-10-05 | David Cargill | Treat "." as invalid double/float.
2006-09-29 | David Bertoni | Removed unnecessary transcoding of file names, that resulted in round-trip transcoding. Moved calls to initializer list to avoid initializing to a default value.
2006-09-27 | David Bertoni | Fixed some bugs where the literal 0 was being used as the value of an invalid file handle. This affects platforms like Solaris, which use open/close, etc., instead of fopen/fclose, etc.
2006-09-26 | Boris Kolpackov | When checking for a valid restriction, take into account substitution groups (XERCESC-1281).
2006-09-11 | Alberto Massari | Don't crash if an external parameter entity has no SYSTEM id (XERCESC-1536).
2006-08-23 | Alberto Massari | Default or fixed attribute values should be whitespace normalized, if the datatype requires it, before being validated.
2006-08-23 | Alberto Massari | DOMLSParserImpl::loadGrammar should not release the previously loaded DOMDocument (XERCESC-1626).
2006-08-10 | Alberto Massari | Fix memory leak (XERCESC-1624).
2006-07-07 | Jay Hansen | OS400 fixes.
2006-07-06 | David Cargill | Fix crashes that can occur when a non-default memory manager tries to clean up after running out of memory.
2006-05-30 | Alberto Massari | SAX2XMLReader should use the prefix reported by the reader, not the one stored in the element declaration (XERCESC-1598)
2006-05-30 | Alberto Massari | DGXMLScanner was treating predefined entities inside attribute values as if they were in the element content (XERCESC-1597)
2006-05-08 | David Cargill | Documentation update. Default validation is never, not auto.
2006-04-29 | David Cargill | Better message for invalid boolean datatype.
2006-04-28 | David Cargill | Performance fix, don't use QName as colon location is already available.
2006-04-28 | David Cargill | Use ln -fs instead of ln -f to avoid error message during Unix build.
2006-04-19 | Alberto Massari | Fix an error that manifested itself when a DTD defined a general entity using a parameter entity for specifying the name.
2006-04-18 | Alberto Massari | setEncoding was relying on XMLRecognizer::encodingForName to return OtherEncoding when presented with a endian-neutral UTF16/UTF32 encoding, but it doesn't do it anymore.
2006-04-18 | David Cargill | Put xmlns attributes in registry to avoid errors when checking for required attributes.
2006-04-18 | David Cargill | Ensure decimal is valid on getActualValue call when toValidate is true.
2006-04-18 | David Cargill | Thread safety fix, don't do lazy evaluation of patterns.
2006-03-27 | Alberto Massari | Allow whitespace at the beginning and after the union operator in XPath expressions of identity constraints.
2006-03-23 | David Cargill | Make getCanonical for float and double have consistent behaviour with getActual.
2006-03-21 | Alberto Massari | If "entities" feature is set to TRUE, entities reference inside attribute values should be serialized as "&ent;"
2006-03-19 | Alberto Massari | Factory method is no more inline to avoid including an internal header in a public one (XERCESC-1579).
2006-03-17 | David Cargill | Display actual errorCode when reporting an error.
2006-03-05 | Alberto Massari | Allow non-standard names for the C++ compiler.
2006-03-03 | Alberto Massari | Updated Borland C++ 6 projects.
2006-02-28 | Alberto Massari | Remove BOM-detection code inside refreshCharBuffer: the fix for XERCESC-1284 makes it unnecessary, and the UTF-8 part was updating the wrong index (XERCESC-1385).
2006-02-24 | Alberto Massari | Improve performances of addRange.
2006-02-18 | Alberto Massari | When serializing attribute values, escape also carriage returns and tabs (XERCESC-1547).
2006-02-18 | Alberto Massari | If an encoding has been forced on a InputSource, ignore a compatible BOM found in the stream (XERCESC-1284).
2006-02-06 | Tobias Schuette | Fix for XERCESC-1491.
2006-02-06 | David Cargill | Put annotations for duplicate elements on the first element.
2006-02-06 | David Cargill | Update schema limitations and clarify float and double behaviour.
2006-01-30 | Khaled Noaman | Do not generate error message if switchGrammar fails when laxly validating.
2006-01-21 | Mark Weaver | Fix for XERCESC-1555.
2006-01-21 | David Bertoni | Fixes for XERCESC-1548.
2006-01-16 | David Cargill | Fix for XERCESC-1546. Canonical value of list was putting in an extra null character.
2006-01-16 | Alberto Massari | When evaluating a union in a regular expression, take the branch that matches the longest part of the input string (XERCESC-1521).
2005-12-30 | Khaled Noaman | Fix for erroneous duplicate id problem.
2005-12-28 | David Cargill | Uniconv390 fixes.
2005-12-28 | David Cargill | Put debug code under specific flag so it only gets built when needed instead of for each debug build.
2005-12-28 | David Cargill | Fix size of boolean structure.
2005-12-28 | David Cargill | Schema fixes for union of union and empty element.
2005-12-27 | Alberto Massari | Improve validation performances when dealing with schemas with lots of top level definitions (XERCESC-1542).
2005-12-26 | Alberto Massari | Fix for XERCESC-1533 (default attributes in the definition for an element that is not validated because of errors would be added to the list of attributes even if already present).
2005-12-15 | David Bertoni | Added missing parameter (XERCESC-1538).
2005-12-14 | Alberto Massari | When cloning or importing a node, also copy the type information (XERCESC-1517).
2005-11-15 | David Cargill | Treat "+" and "-" as invalid numeric schema values.
2005-11-15 | David Cargill | Fix bug where very long element names gives parsing error.
2005-11-09 | Alberto Massari | Generated static library in lowercase like the dynamic one (XERCESC-1522).
2005-10-31 | Alberto Massari | Nodes that implement getFeature should also implement isSupported (XERCESC- 1479).
2005-10-15 | David Cargill | Fix for XERCESC-1515.
2005-10-15 | David Cargill | Message update for QName fix and XERCESC-1515.
2005-10-12 | David Cargill | QName fix. Need to verify that the prefix is defined.
2005-10-12 | David Cargill | Check for valid schema characters for float and double.
2005-10-12 | David Cargill | Annotation bug fixes.
2005-09-28 | Alberto Massari | closesocket should be dynamically bound (XERCESC-1467).

| Release Information for Xerces-C++ 2.7.0 |

| Here is the list of bugs that are resolved in this release, Xerces-C++ 2.7.0.

Date | Contributor | Description
2005-05-19 | David Cargill | 390 update: use ICU table which is present with the uniconv390
2005-05-19 | David Cargill | Update table used for patterns to the Unicode 4.0.1 level.
2005-05-18 | David Cargill | For time schema datatypes, ensure milisecond only contains 0-9
2005-05-18 | Jay Hansen | OS400 updates
2005-05-08 | James Berry | Modify runConfigure to accept the names of C++ compilers that it doesn't recognize
2005-05-06 | David Bertoni | Change for loop control variable for compilers that don't enforce for scope.
2005-05-05 | David Cargill | Update XSValue to handle float and double the same way the main library does
2005-05-05 | Mike Pawlowski | Update HP 64 bit options
2005-05-04 | David Bertoni | Fix for Jira issue XERCESC-1416
2005-05-04 | David Bertoni | Fix for Jira issue XERCESC-1391
2005-04-29 | David Bertoni | Patch for Jira issue XERCESC-1407
2005-04-29 | David Bertoni | Patch for Jira issue XERCESC-1390
2005-04-28 | Alberto Massari | Move implementation of setDocument to the cpp file, where DOMDocumentImpl is a known class (jira 968)
2005-04-27 | David Cargill | Fix for problem on Solaris where open may return 0 as a valid FileHandle. Check for -1 instead.
2005-04-26 | David Cargill | Fix for xercesc-1413: invalid operator equal template signature
2005-04-26 | David Cargill | Schema updates to match spec
2005-04-26 | David Cargill | Prefix mapping update to handle schema correctly.
2005-04-24 | David Cargill | Remove collaboration graph from apiDocs
2005-04-22 | David Bertoni | Patch for Jira issue XERCESC-1411
2005-04-22 | David Cargill | Use isspace instead of isSpace as data is char not xmlch
2005-04-22 | David Bertoni | Patch for Jira issue XERCESC-1410
2005-04-21 | David Cargill | Add support for ucs-2
2005-04-14 | David Bertoni | Fix Jira 1406. Added include
2005-04-12 | Alberto Massari | Fix compiler errors on IRIX (jira 1405)
2005-04-07 | Khaled Noaman | Update chars table with an NCName char mask instead of an XML letter mask
2005-04-07 | Alberto Massari | appendChild now throws an exception when a NULL pointer is given (jira# 1401)
2005-04-05 | David Cargill | Update XSValue to handle leading and trailing whitespace
2005-04-05 | David Cargill | Change platform mutex code to do a panic
2005-04-05 | Khaled Noaman | Performance: do not make a copy of the expression to match
2005-04-05 | David Cargill | Implement version of lowercase that only check a to z
2005-04-05 | David Cargill | Update Redirect sample to use newer entity resolver callback
2005-04-05 | David Cargill | Implement support for disabling default entity resolution
2005-04-05 | Khaled Noaman | skip DTD validation feature
2005-04-05 | David Bertoni | Fix thread safety issues
2005-04-05 | Axel Weib | Fix for jira 1397. *Much* nicer make output
2005-04-05 | Gareth Reakes | Fix for Jira 1396. make distclean now removes all files
2005-04-04 | David Cargill | Fix a problem where illegal qualified names were not reported as errors
2005-04-04 | David Cargill | Fix memory leak when deserializing grammars
2005-04-04 | David Cargill | Add support for not creating xsannotations when deserializing a grammar
2005-04-01 | David Bertoni | Fix for Jira issue XERCESC-1389: memory manager
2005-04-01 | Alberto Massari | In case of a mixed-case standalone value, the flag was always set to false
2005-03-31 | Alberto Massari | Don't invoke the resolver when an empty xs:import is found
2005-03-30 | David Cargill | Allow XSAnnotation generation to be controlled by a feature
2005-03-29 | David Cargill | Begin work on adding some new features by checking in the feature handling support
2005-03-25 | Alberto Massari | On Windows, export the class from the DLL
2005-03-22 | Christian Will | Perf patches for Xercesc-1369 and 1370
2005-03-20 | David Cargill | Implement versions of uppercase and compareIstring that only check a to z
2005-03-20 | David Cargill | Add FLOAT(IEEE) to list of 390 compiler options so XSValueTest will compile
2005-03-20 | Christian Will | [jira 1381] Memory leak in GrammarResolver
2005-03-17 | Alberto Massari | Aligned method declaration (jira# 1386)
2005-03-17 | Gareth Reake | Updated doc to refect real behaviour with adoptBuffer
2005-03-17 | Alberto Massari | Remove variable declaration from 'if' statement (jira# 1379)
2005-03-17 | Alberto Massari | Fully qualify enum (jira# 1383)
2005-03-17 | Alberto Massari | Aligned method declaration (jira# 1384)
2005-03-16 | Matthew Hall | Fix possible overflow problem
2005-03-14 | Gareth Reakes | Fix for Jira 1376: wrong memory manager
2005-03-14 | Gareth Reakes | Fix to Jira 1375. Removed space char between #! and /.
2005-03-11 | Christian Will | XERCESC-1345: Reset fDTDElemeNonDeclPool in scanreset
2005-03-11 | David Earlam | XERCESC-1363: Increase size of BaseRefVectorOf based on size of data not by 32
2005-03-09 | Alberto Massari | Protected getSrcOffset to avoid crashing when parsing has finished; updated documentation
2005-03-08 | Alberto Massari | Redeclare a namespace binding if the prefix is already bound to a different namespace (jira# 1371)
2005-03-08 | Christian Will | Improve performances of XMLString::tokenizeString (jira# 1363)
2005-03-07 | Khaled Noaman | Eliminate lazy creation of attribute lists
2005-03-04 | Markus Scherer | Initialize ICU to avoid multithreading problems
2005-03-04 | Alberto Massari | The URL fragments were leaked (jira# 1362)
2005-03-03 | Steve Dulin | Update samples to use XERCESCOUT instead of XERCESCROOT
2005-03-03 | Alberto Massari | Removing makefile project, as BCB6 users should use the .bpr project (jira# 1347)
2005-03-03 | David Bertoni | Removed superfluous const qualifiers
2005-02-25 | David Cargill | Attempt to fix compiler errors
2005-02-25 | David Bertoni | Performance improvements
2005-02-25 | Alberto Massari | Fixing spelling errors
2005-02-25 | Scott Cantor | Fix for compile under gcc 4
2005-02-25 | David Bertoni | Fix thread safety issues. Jira #30380. Thanks to David Bertoni
2005-02-23 | Mike Boos | Various PSVI fixes
2005-02-23 | Steve Dulin | Allow ICU to be used for transcoding and casing
2005-02-23 | David Cargill | Copy performance change made to XMLUTF8Transcoder.cpp to the 390 version
2005-02-21 | James Berry | Bugfix: XERCESC-1074; get rid of warnings
2005-02-21 | David Cargill | Doc updates, including xercesc-1352
2005-02-21 | Christian Will | Performance fixes
2005-02-21 | Alberto Massari | Updated makefile (bug# 1346)
2005-02-19 | David Cargill | Update error message from regular expressions
2005-02-19 | David Bertoni | Prefix mapping fix
2005-02-19 | David Cargill | Store key for recreating table instead of using enclosingscope
2005-02-18 | James Berry | Update release plan with tenative 3.0 list
2005-02-14 | James Berry | Fix spelling of fgMacLCPEncodingName
2005-02-11 | James Berry | Remove from project obsolete files XObjectComparator and XTemplateComparator.
2005-02-11 | Chris Cates | Explicitly create a unicode collator for Mac
2005-02-07 | Alberto Massari | AStatic builds had incomplete MIDL command lines
2005-02-02 | Alberto Massari | Enable building of tests and samples under Interix (jira# 1330)
2005-02-02 | Alberto Massari | Mark global variables for this module as static (jira# 1331)
2005-02-02 | Alberto Massari | Added rehashing capabilities
2005-01-26 | Alberto Massari | If the option /Zc:wchar_t is specified, map XMLCh to wchar_t (jira# 413)
2005-01-26 | Alberto Massari | XMemory updates
2005-01-20 | David Cargill | Xercesc-1326: Documentation update for getTextContext.
2005-01-20 | David Cargill | Xercesc-1328: Fix spelling of XMLUni::fgXercesUseCachedGrammarInParse (missing an a in parse)
2005-01-18 | Steve Dulin | Delete memory for parser and grammarpool
2005-01-14 | Alberto Massari | When entity reference creation was on, the document created by the parser was leaked (jira# 490)
2005-01-13 | Alberto Massari | Support for UnixWare 7.1.1 (jira# 1148)
2005-01-12 | David Cargill | Fix for xercesc-1219
2005-01-12 | David Cargill | Remove warning messages.
2005-01-08 | Alberto Massari | Fixes to compile with Visual Studio 2005 (jira# 1253)
2005-01-08 | David Cargill | Fix for Xercesc-1283: incorrect case for xmluni predefined constant in doc
2005-01-07 | David Cargill | Fix for Xercesc-1314: clarify what is xercescroot.
2005-01-07 | Alberto Massari | Updated Borland makefile
2005-01-07 | Alberto Massari | scanReset() should always clear the maps used to detect duplicate attributes
2005-01-06 | Alberto Massari | Removed warnings
2005-01-06 | Alberto Massari | When emitting a "duplicate attribute" error, we were using an unitialized pointer variable
2005-01-06 | David Cargill | Update SAX2Print sample project files to add new files recently added to sample
2005-01-05 | Alberto Massari | Add icpc to the list of C++ compilers (jira# 1311)
2005-01-03 | James Berry | Add support for use of ICU with Mac OS X version
2005-01-03 | Alberto Massari | maps used to detect duplicate attributes are now cleaned
2005-01-03 | Alberto Massari | Fixed name of include file [jira#1321]
2004-12-30 | Alberto Massari | Notify advanced handlers of the whitespace before and after the root document element (jira# 729)
2004-12-30 | Alberto Massari | Delete the user data informations only after invoking all the NODE_DELETED handlers (jira# 620)
2004-12-30 | Alberto Massari | Added API to remove all entries having the same primary key
2004-12-29 | Alberto Massari | The second call to ucnv_fromUChars was causing the buffer not to be terminated (jira#1300)
2004-12-28 | James Berry | Add support for use of sockets netaccessor on Mac OS X.
2004-12-28 | James Berry | Fix syntax error caught by GCC 4
2004-12-28 | Alberto Massari | DOMDocument::cloneNode can clone the element definitions (bug# 647)
2004-12-28 | Alberto Massari | Store fAxisType as an integer, not as a XMLCh (bug# 1177)
2004-12-24 | Alberto Massari | Add support for SAX2 filters (jira# 1133)
2004-12-23 | David Cargill | XSValue Updates
2004-12-23 | Alberto Massari | Use correct prefix on end tag
2004-12-21 | David Cargill | Attempt to fix various apidoc problems
2004-12-20 | David Cargill | Add assert to avoid memory violation
2004-12-13 | Christian Will | Performance improvement
2004-12-12 | Alberto Massari | Take into account the fExpandEntityReferences setting [jira# 1303]
2004-12-10 | David Cargill | Fix problem with hexbin::decode and use XMLByte instead of XMLCh for output of decoding.
2004-12-09 | Khaled Noman | DOM L3: pass schema normalized value only when datatype-normalization feature is enabled.
2004-12-09 | Alberto Massari | Fxi for jira392
2004-12-07 | Khaled Noman | An option to ignore a cached DTD grammar
2004-12-07 | Alberto Massari | Fixed memory leak in operator= [jira# 1307]
2004-12-06 | Alberto Massari | Take into account the fExpandEntityReferences setting [jira# 1303]
2004-12-06 | David Cargill | Clean-up error text for a message that said unsupported
2004-12-05 | Alberto Massari | Added XMLString::release(void**, MemoryManager*) [jira# 1301]
2004-12-05 | Alberto Massari | entity resolver behaviour
2004-12-01 | Alberto Massari | Avoid throwing an exception when orphaning a cached grammar that has not been used yet
2004-12-01 | David Cargill | Update two error messages: add missing parameter, remove extra parameter
2004-12-01 | Stephen Dulin | Update ccsid.h for new release of icu
2004-12-01 | David Cargill | Fix for bug xercesc-1304
2004-11-29 | David Cargill | Update MS VC7.1 build options
2004-11-29 | David Cargill | Remove XObjectComparator and XTemplateComparator. These are debug files that aren't used.
2004-11-25 | Khaled Noaman | Fix for synthetic annotation generation on 'extension' element of simpleContent
2004-11-25 | Khaled Noaman | Fix problem with an All content model with minOccurs of 0.
2004-11-24 | Dave Bertoni | Fix to correctly report the boundaries of an external subset
2004-11-18 | Christian Will | Memory improvement to utility classes
2004-11-18 | David Cargill | Changes for linker problems with linux build using xlc.
2004-11-17 | Christian Will | Performance improvement to utility classes.
2004-11-15 | Alberto Massari | Add build target for VC7.1 to create a static library
2004-11-14 | PeiYong Zhang | XSValue updates
2004-11-13 | David Cargill | Fix for validate annotations.
2004-11-12 | Khaled Noaman | Fix multi threading problem.
2004-11-10 | PeiYong Zhang | To build ICU3.2 and on Linux/xlC_r
2004-11-09 | PeiYong Zhang | Storer_NewerThan_Loader
2004-11-08 | PeiYong Zhang | MSVC 7.1
2004-11-08 | Alberto Massari | Fix for jira#1298: NetBSD uses r+ to open files for reading
2004-11-07 | PeiYong Zhang | read/write Storer level
2004-11-05 | PeiYong Zhang | Msg build versioning
2004-11-02 | PeiYong Zhang | [Jira#1294] Compiler Warnings on IRIX with MIPSpro compiler ver 7.4
2004-11-02 | PeiYong Zhang | Handling OutOfMemory exception
2004-10-28 | David Cargill | Add missing parameter to three error messages.
2004-10-28 | PeiYong Zhang | Data member reshuffle and store/load
2004-10-27 | PeiYong Zhang | Optimized alignment for various data types
2004-10-27 | James Berry | MacOS build updates
2004-10-26 | PeiYong Zhang | Maintain consistent order among multiple store/load session to allow comparison
2004-10-26 | Gareth Reakes | Fixed version number
2004-10-20 | Khaled Noaman | Allow option of initializing static data in XMLPlatformUtils::Initialize
2004-10-19 | PeiYong Zhang | XercesC2_6_0 updates: build debuged libary on Windows/VC6
2004-10-19 | PeiYong Zhang | [Jira#1287] new deprecated DOM libraries not included in .spec file for Linux
2004-10-19 | Khaled Noaman | Performance improvement
2004-10-15 | David Cargill | Fix for jira bug 1234. Infinite loop in XSComplexTypeDefinition::derviedFromType.
2004-10-13 | PeiYong Zhang | using ValueHashTableOf to reduce footprint
2004-10-13 | David Cargill | Fix for jira bug 1282: empty exception message being generated
2004-10-13 | David Cargill | Serialization fix, fPVSIScope not serialized.
2004-10-12 | PeiYong Zhang | Change attribute number threshold to 100
2004-10-04 | PeiYong Zhang | Support to build ICU3.0 on Solaris2.8 64-bit
2004-10-04 | Alberto Massari | Fix for Jira 866

| Release Information for Xerces-C++ 2.6.0 |

| Here is the list of bugs that are resolved in this release, Xerces-C++ 2.6.0.

Date | Contributor | Description
2004-09-29 | Khaled Noaman | Bug 1209
2004-09-29 | David Cargill | Mark SAXParser as deprecated.
2004-09-29 | David Cargill | jira1217
2004-09-29 | Dan Rosen | jira1207
2004-09-28 | Khaled Noaman, Anthony O'Dowd | Performance: improve src offset calculation.
2004-09-28 | PeiYong Zhang | Optimized duplicated attributes checking for large number of attributes
2004-09-28 | Alberto Massari | BCC 511 updates
2004-09-27 | David Cargill | Update sample to use an error handler and only generate xsmodel when a schema document has been loaded successfully.
2004-09-27 | David Cargill | Update documentation to describe new features
2004-09-27 | Khaled Noaman, David Cargill | Validate annotations
2004-09-27 | Khaled Noaman | Reset datatype validator
2004-09-27 | David Cargill | XERCESC-1277
2004-09-26 | Khaled Noaman | [Bug 1197]
2004-09-25 | Gareth Reakes, Adam Heinz | Fix to 1264. All refererences to public headers now use the include files.
2004-09-25 | James Littlejohn | Fix documentation generation problem.
2004-09-23 | Alberto Massari | jira1259
2004-09-22 | David Cargill | Add support for generating synthetic XSAnnotations.
2004-09-22 | David Cargill | Fix memory leak in PSVIWriter sample.
2004-09-22 | John Hibbert | Bug fixes
2004-09-22 | David Cargill | Remove unused variable and data member.
2004-09-22 | Alberto Massari | Reorder initialization of variables in constructor
2004-09-21 | PeiYong Zhang | Do not build/ship debug version lib on Windows
2004-09-21 | PeiYong Zhang | Change lib name on Windows from 2_5_0 to 2_5
2004-09-21 | David Cargill | Documentation Updates.
2004-09-21 | PeiYong Zhang | Handle partial PSVIElement
2004-09-20 | James Berry | Mac updates
2004-09-20 | Alberto Massari | Added a setCreateSchemaInfo method to the DOM parsers, to store PSVI informations in element and attribute nodes
2004-09-20 | Alberto Massari | Mark some methods as deprecated
2004-09-16 | Alberto Massari | Remove XercesMessages_en_US.hpp from the Win32 projects (they use the WinRC MsgLoader)
2004-09-16 | PeiYong Zhang | provide default implementation for CreateDocumentType
2004-09-16 | Alberto Massari | Don't include icudata.lib to the Windows projects: ICU 3.0 has renamed and it's no more needed since ICU 2.0
2004-09-16 | Alberto Massari | Updated error message for UPA to also state the complex type that is failing the test
2004-09-14 | Alberto Massari, Ron Romero | jira 855)
2004-09-14 | Alberto Massari | jira1248
2004-09-14 | Alberto Massari | jira1261
2004-09-13 | PeiYong Zhang | new method: getActualValue()
2004-09-10 | David Bertoni | Performance improvement fix to more efficiently findattdef.
2004-09-10 | David Bertoni | Return bool as described in the interface for cacheGrammar instead of throwing an exception.
2004-09-09 | David Cargill, Steve Dulin | 0S/390 build updates
2004-09-08 | PeiYong Zhang | Apache License Version 2.0
2004-09-04 | David Cargill | XercesC-1269 Fix: Remove extra comma.
2004-09-02 | David Cargill | Fix API Doc warning message
2004-09-02 | David Cargill, Patrick Townsend and Jay Hansen | OS400 Build updates
2004-09-02 | David Cargill | Specify bmaxdata for AIX samples and tests.
2004-09-02 | David Cargill | Add OutOfMemoryException block to samples and tests.
2004-08-31 | David Cargill | Thread safety change for getTypeLocalName and getTypeUri
2004-08-30 | Alberto Massari | Reduce memory footprint of DOMNode::setUserData
2004-08-30 | Alberto Massari | Don't allocate a DOMTypeInfo object if there is no type info to store
2004-08-30 | Alberto Massari | Added transferElement API
2004-08-27 | Alberto Massari | getXSModel fix
2004-08-20 | David Cargill | Jira bug XERCESC-1257
2004-08-19 | PeiYong Zhang | Add XSValue test
2004-08-11 | Andrew Fang | Fixing Xerces-C crash when creating a MixedContentModel
2004-08-11 | PeiYong Zhang | Externalised validation, actual/canonical value production for Schema built-in data types
2004-07-27 | PeiYong Zhang | build on aix xlC_r v6 with v5 comptiable name mangling scheme
2004-07-26 | Alberto Massari | reset() was not resetting the stack of types (jira1245)
2004-07-23 | Anders Hybertz | calcRequiredSize assumed all the characters were of the same size (jira1142)
2004-07-23 | Alberto Massari | jira1179
2004-07-23 | Alberto Massari | jira1206
2004-07-23 | Alberto Massari | A global mutex was not cleaned up
2004-07-23 | Alberto Massari | jira 862
2004-07-22 | Bob Buck | jira1186
2004-07-22 | Khaled Noaman | Use file static instance instead of local static instance
2004-07-22 | Khaled Noaman | Eliminate the need to create a temporary content model when performing UPA checking
2004-07-21 | PeiYong Zhang | use the supplied memory manager
2004-07-16 | Alberto Massari | Enable libWWW on Solaris
2004-07-13 | Joanne Bogart | Fixed bugzilla bug 23100.
2004-07-12 | PeiYong Zhang | Increment patnIndex only when a match is found
2004-07-12 | David Bertoni | IGXMLScanner::fErrorStack not cleared if an exception is thrown
2004-07-09 | PeiYong Zhang | Build on HP-Itanium, aCC A.05.52
2004-07-09 | Syam Gadde | jira957
2004-07-08 | Alberto Massari | jira1236
2004-07-08 | Alberto Massari | Force the destruction of an XMLBuffer before terminating Xerces
2004-07-08 | David Cargill, Khaled Noaman, Steve Dulin | ThreadTest updates
2004-07-07 | PeiYong Zhang | Upgrade to ICU3.0
2004-07-07 | Alberto Massari | Fix for jira1170
2004-07-07 | Ray Logel | Fir for jira1136
2004-07-06 | Alberto Massari | Fix for jira1226
2004-07-06 | Alberto Massari | Fix for jira1238
2004-07-06 | Alberto Massari | Fix for jira1210
2004-07-06 | David Cargill | Rename VALUE_CONSTRAINT enumeration names
2004-06-28 | David Cargill | Initialize memory manager to default.
2004-06-24 | PeiYong Zhang | Schema-Errata
2004-06-23 | Neil Graham | fix for compilation under gcc 3.5
2004-06-22 | Alberto Massari | Fix for jira1181
2004-06-21 | Neil Graham | don't switch grammars unnecessarily
2004-06-21 | Alberto Massari | Fixed memory leak (jira1228)
2004-06-15 | David Bertoni | Memory Leakage Fixed
2004-06-15 | Steve Dulin | make sure tables are properly aligned
2004-06-15 | Neil Graham | supported C++ namespaces doc update
2004-06-14 | PeiYong Zhang | Consolidated End Of Line Handling
2004-06-09 | John Snelson | Fixed null pointer bug
2004-06-02 | Neil Graham | Fix bug where scanners would accept malformed tags and perf improvements
2004-06-01 | David Cargill | Fix memory leak.
2004-05-31 | PeiYong Zhang | XML 1.1
2004-05-27 | Neil Graham | Performance fix: clearing the undeclared attribute maps on start tags
2004-05-25 | PeiYong Zhang | normalizeURI() added
2004-05-25 | PeiYong Zhang | XMLString::removeChar added
2004-05-21 | David Bertoni | [jira1216] GrammarResolver never clears internal cache of Grammar instances
2004-05-19 | PeiYong Zhang | MingGW updates
2004-05-14 | PeiYong Zhang | UTF-8 new error message
2004-05-11 | Alberto Massari | The net accessor input source now can be used to get data using PUT or POST
2004-05-10 | Alberto Massari | Performance: push a new map on the namespace stack only when an element has a xmlns attribute
2004-05-05 | Alberto Massari | Enable libWWW on Linux
2004-05-05 | Alberto Massari | Added error message for the HTTP NetAccessor
2004-05-05 | Alberto Massari | xlat doesn't compile on Windows
2004-05-04 | David Cargill | Enable IDs to work on all kinds of schema components
2004-05-03 | David Bertoni | To resolveGrammar correctly
2004-04-22 | Steve Dulin | not all 390 processors support the new transcoding instructions
2004-04-22 | David Cargill | Misc fix to update fCount in the correct place.
2004-04-22 | David Cargill | Schema bug with group redefined
2004-04-22 | David Cargill | Misc doc updates
2004-04-20 | PeiYong Zhang | xlat generate code for private default constructor
2004-04-20 | PeiYong Zhang | XML1.0 3rd Edition Updates
2004-04-19 | Shin'ya MORINO | Add "UTF16" as a synonym for UTF-16 (bug #XERCESC-1198)
2004-04-16 | David Cargill | Doc updates for Jira
2004-04-15 | James Berry | Various MAC fixes
2004-04-14 | David Cargill | Various PSVI Fixes
2004-04-13 | PeiYong Zhang | Identity Constraints
2004-04-12 | David Cargill | Doc updates
2004-04-07 | PeiYong Zhang | Add createDocumentType
2004-04-07 | PeiYong Zhang | Grammar caching of DTD internal subsets
2004-04-06 | Steve Dulin | fix for file resolution problems on OS/390
2004-04-06 | Alberto Massari | DTDs included from XML Schema were not opened using the entity resolver specified by the user (bug# 27008)
2004-04-05 | PeiYong Zhang | make comparison case insensitive, typo in error message corrected.
2004-04-02 | PeiYong Zhang | Annotation reporting improvements
2004-04-02 | Berin Lautenbach | item() was could only return items found in the first non-empty bucket
2004-04-01 | PeiYong Zhang | Add Messages to DOMExceptions
2004-03-30 | PeiYong Zhang | packageBinaries.pl improvements
2004-03-24 | Alberto Massari | importNode bug fix
2004-03-19 | PeiYong Zhang | Serialization Changes
2004-03-17 | PeiYong Zhang | Deprecated DOM
2004-03-17 | Alberto Massari | Inside attribute values, new lines must be escaped (bug#20858)
2004-03-15 | Alberto Massari | Added support for MinGW (bug#23176)
2004-03-10 | Alberto Massari | Fix documentation for binToText (bug# 9207)
2004-03-09 | PeiYong Zhang | Serialization changes
2004-03-05 | Alberto Massari | DOMNamedNodeMap Performance Improvements
2004-03-05 | Michael Boos | PSVI Fixes
2004-03-05 | Alberto Massari | The maps inside the DTD are declared of the right type, removing the need for casts
2004-03-05 | Alberto Massari | Removed unnecessary inclusion of implementation headers
2004-03-03 | Alberto Massari | DOMNodeVector is used only to store attributes; save memory
2004-03-03 | Alberto Massari | WFXMLScanner was throwing an index out of bound exception
2004-03-03 | Alberto Massari | [bug# 7051] The "hash" argument clashes with STL hash
2004-03-02 | PeiYong Zhang | save/load TypeUri/TypeLocalName more accurately
2004-03-02 | PeiYong Zhang | eliminate leakage
2004-03-02 | Alberto Massari | Check for errors when saving a document to a file (bug# 2594)
2004-03-02 | Steve Dulin | OS/390 transcoder update
2004-03-02 | Alberto Massari | Added test for bug# 26919
2004-03-02 | Alberto Massari | If insertBefore(A,A) is invoked, a crash would occur (bug# 26919)
2004-03-02 | Alberto Massari | When cloning a DOMDocument, clone also the encoding, version and standalone info (bug#13056)
2004-03-01 | PeiYong Zhang | Instantiate XSerializeEngine with GrammarPool
2004-03-01 | Khaled Noaman | Fix for UPA checking
2004-03-01 | PeiYong Zhang | new getter: getHashModulus
2004-02-28 | James Berry | Revise the Mac OS Transcoder to use the Mac Text Encoding Converter
2004-02-28 | James Berry | Update Mac OS Projects for newly added files
2004-02-27 | Alberto Massari | Fixed memory leaks
2004-02-26 | Alberto Massari | Fix for bug# 27263 (extra = in registration script
2004-02-25 | Alberto Massari | The COM wrapper doesn't use the deprecated DOM anymore
2004-02-25 | Alberto Massari | Fixed typo in documentation
2004-02-25 | PeiYong Zhang | Bug#27209: Xerces 2.5.0 does not build with option -t IconvGNU because of syntax errors!
2004-02-24 | PeiYong Zhang | XercesDeprecatedDOMLib
2004-02-20 | David Bertoni | Bug#27046
2004-02-18 | PeiYong Zhang | Doxyfile update to 2.5.0
2004-02-17 | Abe Backus, Neil Graham | fix for bug 25035: cygwin support
2004-02-17 | Neil Graham | fix potential memory leak

| Release Information for Xerces-C++ 2.5.0 |

| Below is the list of fixed bugzilla bugs that are resolved in this release, Xerces-C++ 2.5.0.

Date | Contributor | Description
2004-02-15 | Neil Graham | make first parameter of BinOutputStream::writeBytes const * const; bug 26936
2004-02-13 | Khaled Noaman | Remove the limitation on providing PSVI information
2004-02-13 | David Cargill | Update threadtest to accept -init option instead of using compiler directive.
2004-02-13 | David Cargill | Remove unnecessary if statement
2004-02-13 | David Cargill | Bug#26900 fix, remove virtual on destructor
2004-02-12 | Alberto Massari | Xercesc2_5_0 Updates
2004-02-12 | PeiYong Zhang | Xercesc2_5_0 Updates
2004-02-12 | David Cargill | PSVIWriter documentation updates
2004-02-12 | Merlin | Bug#26607 fix
2004-02-12 | Alberto Massari | Bug#21965: A substitution group with no type is always valid
2004-02-12 | David Cargill | SCMPrint build error fix
2004-02-12 | Alberto Massari | Xercesc2_5_0: com updates
2004-02-12 | Erik Rydgren | Implemented setTextContent
2004-02-11 | PeiYong Zhang | Project SUMPrint
2004-02-11 | PeiYong Zhang | PSVIWriter to build with intel
2004-02-11 | David Cargill | PSVIWriter to build on AIX
2004-02-11 | David Bertoni | Bug#26648 fix
2004-02-11 | David Cargill | Bug#26131fix.
2004-02-11 | David Cargill | Bug#25541fix
2004-02-10 | David Cargill | PSVIWriter build fix
2004-02-09 | C-J Berg | Bug#20684 fix
2004-02-09 | David Cargill | PSVIWriter build fix and usage update
2004-02-06 | PeiYong Zhang | Project PSVIWriter
2004-02-06 | David Cargill | Misc 390 changes.
2004-02-06 | David Cargill | Intrinsic transcoding support for 390.
2004-02-05 | David Cargill | Fix a seg fault with PSVI and set basetype of anysimpletype to be anytype.
2004-02-05 | David Cargill | Code cleanup changes to get rid of various compiler diagnostic messages.
2004-02-04 | Alberto Massari | Added support for the Interix platform (Windows Services for Unix 3.5)
2004-02-04 | Berin Lautenbach | Bug#26426 fix
2004-02-03 | PeiYong Zhang | Bug#26315 fix
2004-02-03 | PeiYong Zhang | put back the parameter to build debug
2004-01-31 | David Cargill | Update script to flush buffer
2004-01-29 | David Cargill | Update sanity tests so that each test result can be uniquely identified
2004-01-29 | David Cargill | Code cleanup changes to get rid of various compiler diagnostic messages.
2004-01-28 | James Berry | Add include for unistd.h
2004-01-28 | James Berry | Define away some gcc garbage so that /usr/include/unistd.h will compile with the CodeWarrior MachO target
2004-01-26 | James Berry | Add a check for a corner-case buffer condition
2004-01-25 | James Berry | Bug #26419 fix
2004-01-25 | James Berry | Step around CodeWarrior compiler warning
2004-01-25 | James Berry | Update Mac OS Xcode project to reflect recent file additions
2004-01-25 | James Berry | Update Mac OS CodeWarrior project to reflect recent file additions
2004-01-21 | PeiYong Zhang | Bug#25751fix
2004-01-19 | Alberto Massari | WideCharToMultiByte and MultiByteToWideChar return 0 on failure, not -1
2004-01-16 | PeiYong Zhang | maintain the same size on both 32/64 bit architecture
2004-01-16 | PeiYong Zhang | Project XSerializerTest
2004-01-16 | Alberto Massari | In the Win32LCPTranscoder, don't use wcstombs or mbstowcs, as they don't pick up the correct local code page; use the Win32 API using CP_ACP as the code page
2004-01-16 | Alberto Massari | Removed usage of undeclared macro MIN
2004-01-15 | PeiYong Zhang | proper allignment for built-in datatype read/write
2004-01-15 | Khaled Noaman | HP compiler (after upgrade) is no longer complaining about placement delete
2004-01-15 | Alberto Massari | Bug#18341 fix
2004-01-15 | Michael Wuschek | Bug#24929 fix
2004-01-13 | PeiYong Zhang | revert code back to previous version
2004-01-13 | Kahled Noaman | Remove unnecessary local static data
2004-01-13 | PeiYong Zhang | set optimization level#2 on hp aCC
2004-01-13 | David Cargill | Misc build updates
2004-01-13 | David Cargill | Undo previous change memory management changes.
2004-01-13 | David Cargill | Misc memory management changes
2004-01-13 | Khaled Noaman | For sanity, use class name to qualify method
2004-01-13 | Khaled Noaman | Fix wrong size of allocation
2004-01-12 | Neil Graham | remove unused static member
2004-01-12 | Neil Graham | update Copyright year
2004-01-12 | David Cargill | Minor performance change for handling reserved and unreserved characters.
2004-01-12 | David Cargill | Fix 390 compilation errors.
2004-01-12 | Khaled Noaman | Use a global static mutex for locking when creating local static mutexes instead of compareAndSwap
2004-01-12 | Neil Graham | remove use of static buffers
2004-01-12 | David Cargill | Avoid throwing malformedurl exceptions in XMLURL to avoid a threading problem on AIX.
2004-01-06 | Khaled Noaman | PSVI: inherit facets from base type
2004-01-06 | Neil Graham | Bug#25660 fix
2004-01-06 | Joanne Bogart, Neil Graham | Bug#25542 fix
2004-01-06 | Alberto Massari | Bug#25768 fix: Replaced the call to wcstombs using a NULL target buffer with the equivalent call to WideCharToMultiByte ()
2004-01-06 | Jeroen Witmond, Neil Graham | Bug#25412 fix
2004-01-06 | Khaled Noaman | Fix segfault when adding S4S
2004-01-06 | Khaled Noaman | Reset list of grammars after building XSModel
2004-01-06 | PeiYong Zhang | using the no-exception-thrown ctor
2004-01-06 | Reid Spencer, Neil Graham | Bug#28517 static initialization problems
2004-01-06 | Neil Graham | make sure locally-declared attributes have declarations in the PSVI
2004-01-06 | Neil Graham | On some platforms, it is problematic to throw a different exception from inside the catch block of another exception
2004-01-05 | Khaled Noaman | Various PSVI fixes
2004-01-03 | PeiYong Zhang | using ctor/parseContent to avoid exception thrown from ctor
2003-12-31 | David Cargill | Update AIX build to generate .a libraries as -brtl is no longer used so that a build generated without using packageBinaires.pl will be clean.
2003-12-31 | David Cargill | Release memory when an error is encountered.
2003-12-31 | Alberto Massari | Updated project for BCC551
2003-12-31 | Alberto Massari | Made virtual function checkAdditionalFacet 'const', so that it matches the declaration in a derived class
2003-12-30 | Neil Graham | Even if the resolver has no grammars, since all schema processors are aware of the schema-for-schemas, an XSModel should be produced.
2003-12-30 | Neil Graham | fix one more buffer overrun, affecting boolean lists
2003-12-30 | Neil Graham | enable production of canonical representations for dates with negative years, or years >9999
2003-12-30 | Neil Graham | ensure an XSModel
2003-12-30 | Neil Graham | even if there are no grammars to add to an XSModel, the S4S grammar must be included
2003-12-30 | Neil Graham | do not report anything about default/fixed values for non-global attribute declarations
2003-12-30 | Neil Graham | use a null-terminated string when tokenizing pattern facets
2003-12-30 | Neil Graham | more PSVI bug fixes
2003-12-30 | Neil Graham | some indices in the PSVIAttributeList were 1 off
2003-12-30 | Neil Graham | fix segfault when validation of a union type fails
2003-12-30 | Neil Graham | initialize undeclared attribute registry appropriately for its local use in scanStartTag
2003-12-30 | Neil Graham | allow schema normalized values to be associated with a PSVIAttribute after it is reset
2003-12-29 | PeiYong Zhang | use the original memory manager to deallocate in assignment operator
2003-12-29 | Khaled Noaman | PSVI: return value constraint only if global declaration
2003-12-29 | Khaled Noaman | PSVI: add whitespace facet if missing
2003-12-29 | Khaled Noaman | More PSVI updates
2003-12-29 | Alberto Massari | When parsing a new element, clear the maps holding the unparsed attribute we have seen. This because these maps keep pointers to the name of the attributes object that gets recycled for every element (and their name is deallocated when recycled)
2003-12-24 | David Cargill | Memory management update.
2003-12-24 | David Cargill | Improved algorithm for finding derivedFrom.
2003-12-24 | David Cargill | More updates to memory management so that the static memory manager.
2003-12-23 | PeiYong Zhang | Absorb exception thrown in getCanonicalRepresentation and return 0, only validate when required
2003-12-22 | Michael Glavassevich | Bug#18611 fix.
2003-12-22 | Gareth Reakes | Bug #25699 fix: made getRootElemID const.
2003-12-22 | Jeroen N. Witmond, Gareth Reakes | Bug#25164: Patch for doc enhancement
2003-12-20 | Neil Graham | add attribute names to PSVIAttributeList and fix some problems with calculation of canonical values in element content
2003-12-20 | Neil Graham | fix canonical representation production
2003-12-20 | Neil Graham | store name/namespace of corresponding attribute in PSVIAttributeList; not all PSVIAttributes have XSAttributeDeclarations
2003-12-19 | David Cargill | Fix compiler messages on OS390.
2003-12-19 | David Cargill | More memory management updates.
2003-12-19 | Khaled Noaman | PSVI: process 'final' information
2003-12-19 | Neil Graham | when validating a skipped element or attribute, we should not look for a declaration.
2003-12-19 | Neil Graham | remove a throw clause inserted during debugging
2003-12-18 | PeiYong Zhang | do not assert memorymanager in placement delete.
2003-12-17 | David Cargill | Fix AIX compiler error.
2003-12-17 | Khaled Noaman | PSVI: Use complex type info if present, otherwise use datatype validator
2003-12-17 | Khaled Noaman | PSVI: fix for annotation of attributes in attributeGroup/derived types
2003-12-17 | Neil Graham | fix two overflow conditions
2003-12-17 | Neil Graham | fix a segfault and a possible buffer overflow condition
2003-12-17 | David Cargill | Update for memory management so that the static memory manager (one used to call Initialize) is only for static data.
2003-12-17 | Khaled Noaman | Check for NULL when building XSParticle
2003-12-16 | Neil Graham | fix compilation error
2003-12-16 | Neil Graham | ensure all uses of ArrayJanitor use a memory manager
2003-12-16 | Neil Graham | add default memory manager parameter to loadMsg method that uses char * parameters
2003-12-16 | David Cargill | Fix memhandlertest failure (memory not deleted).
2003-12-16 | PeiYong Zhang | XSerializerTest updates
2003-12-16 | PeiYong Zhang | exception thrown upon invalid number, thanks Gareth Reakes.
2003-12-16 | Khaled Noaman | Make IC_Field stateless, fMayMatch is no longer a data member of IC_Field
2003-12-16 | Khaled Noaman | Add nextElementKey method
2003-12- |  | BinMemOutputStream
2003-12-16 | Alberto Massari | The DOMTypeInfo should have a NULL namespace and type name when DTD validation is used, not empty strings
2003-12-16 | PeiYong Zhang | don't expand ContextSpecNode when deserilized
2003-12-16 | Steve Dulin, Neil Graham | update
2003-12-16 | David Cargill | Change a conditional expression to an if-else to avoid a compiler problem.
2003-12-15 | Neil Graham | fix segfault when a writeAnnotation() method was called
2003-12-15 | David Cargill | psvi updates; cleanup revisits and bug fixes
2003-12-14 | Neil Graham | make use of XMLDocumentHandler::elementTypeInfo instead of non-thread-safe XMLElementDecl methods
2003-12-13 | Han Ming, Neil Graham | Bug#25494 fix
2003-12-13 | Neil Graham | fix compilation errors under gcc
2003-12-13 | Neil Graham | configure scripts need to be told about XSerializerTests before they can build its Makefile
2003-12-12 | Michael Glavassevich, Neil Graham | fix small bugs that made sanity tests fails
2003-12-12 | PeiYong Zhang | Project XSerializerTest
2003-12-11 | PeiYong Zhang | trailing zeros for double/float w/o decimal point
2003-12- | Michael Glavassevich, Neil Graham | fixes for the URI implementation to take registry names into account
2003-12-11 | PeiYong Zhang | Canonical Representation Support
2003-12-11 | Khaled Noaman | Store non schema attributes from parent in XSAnnotation
2003-12-10 | Steve Dulin, Neil Graham | OS/390 updates
2003-12-10 | Steve Dulin, Neil Graham | make documentation accord with what Xerces-C supports
2003-12-10 | Steve Dulin, Neil Graham | ICU has deprecated the -s390 encoding suffix. This patch uses the new convention for XML documents that make use of this suffix
2003-12-10 | Steve Dulin, Neil Graham | make CreateDOMDocument sample more robust
2003-12-10 | Neil Graham | fixes for canonical value production; memory management was not implemented correctly
2003-12-10 | Stephen Dulin | Eliminate the preparsing stage
2003-12-10 | Neil Graham | change some hash constants
2003-12-10 | Neil Graham | fix seg fault caused when a complex type had simple content; we were not processing the complex type itself, only its base
2003-12-09 | James Berry | Remove GCC2 build styles from xcode samples
2003-12-09 | Han Ming Ong | Bug #25343 Add xcode project for SEnumVal sample
2003-12-09 | Han Ming Ong | Bug#25337: Enable DEPLOYMENT_POSTPROCESSING for Mac OS X GCC3 Deployment Build.
2003-12-07 | Neil Graham | fix bug in PSVI where a segfault would occur if an attribute was not defined
2003-12-07 | Neil Graham | fix duplicate attribute detection when namespaces are disabled
2003-12-03 | Neil Graham | PSVI fix: cannot allow validator to reset its element content buffer before exposing it to the application
2003-12-03 | Neil Graham | uninitialize panic handlers so they will be ready for subsequent initalizations
2003-12-03 | Pete Lloyd, Neil Graham | when an empty element is valid, it will not have a datatype validator
2003-12-02 | Jeroen Whitmond, Neil Graham | Bug#25118, additional fix once again
2003-12-02 | Neil Graham | since there are certain things, such as schemaLocation attributes, that have a datatype and which we nonetheless do not validate, make canonical-value production dependent on validity being valid
2003-12-02 | Pete Lloyd, Neil Graham | fix for ArrayIndexOutOfBoundsException in PSVIAttributeList
2003-12-02 | Alberto Massari | Bug#20169, openFile was opening the file for read and write, while only read was required
2003-12-02 | Alberto Massari | Removed /version option from the linker
2003-12-02 | Alberto Massari | Don't use the word "exception" as a variable name, as VC 7.1 complains about it
2003-12-02 | Alberto Massari | Bug#16055 fix, Make the code compilable on Windows when UNICODE is defined
2003-12-01 | Khaled Noaman | Properly set fAnnotation data member

| Release Information for Xerces-C++ 2.4.0 Dec. 2, 2003 |

| Below is the list of fixed bugzilla bugs that are resolved in this release, Xerces-C++ 2.4.0.

Date | Contributor | Description
2003-12-01 | Jeroen Witmond/Neil Graham | fix Doxygen warnings; bug 25118
2003-12-01 | Neil Graham | fix bug 28084
2003-11-28 | Khaled Noaman | Set root element if not previpusly set, Use memory manager when creating root element name
2003-11-27 | Neil Graham | in preparation for stateless DOMTypeInfo for elements
2003-11-27 | Neil Graham | Fix state-ful duplicate attribute detection when the integrated scanner is in use and namespaces are off. Also, implement change to PSVIHandler interface to remove prefix passing.
2003-11-27 | Khaled Noaman | PSVIElement implementation
2003-11-27 | David Cargill | implement writeAnnotation
2003-11-27 | Neil Graham | create XSModels if a PSVIHandler has been set on the scanner. Make PSVI production more robust
2003-11-27 | Pete Lloyd | implement isSpecified
2003-11-27 | David Cargill | fixes for segfaults and infinite loops in schema component model implementation;
2003-11-26 | Neil Graham | mark DOMTypeInfo-related methods on XMLElementDecl deprecated since they are not thread-safe
2003-11-26 | Vitaly Prapirny | Bug#24983: Proposed changes of bcc.551 and bcb6 project files for forthcoming 2.4.0 release
2003-11-26 | PeiYong Zhang | DOMPrint run result updated.
2003-11-26 | Neil Graham | more complete implementation of PSVIAttributeList; remove some problematic const-ness
2003-11-26 | Khaled Noaman | Store XSModel.
2003-11-25 | Neil Graham | remove XMLIBM1047Transcoder's dependence on iostream
2003-11-25 | Khaled Noaman | Add a method to return the XSObject mapped to a schema grammar component
2003-11-25 | James Berry | Update Mac OS Codewarrior project, Cleanup build errors/warnings from CodeWarrior
2003-11-25 | David Cargill | Serialize enclosing complex type, Check for out of memory exception and document updates
2003-11-25 | David Cargill | Make XSObjectFactory inherit from XMemory
2003-11-25 | David Cargill | Misc. PSVI updates
2003-11-25 | David Cargill | Update expected result
2003-11-25 | Khaled Noaman | Fix AIX linking error
2003-11-25 | James Berry | Add Mac OS project for Xcode, Revise build instructions to reflect deprecation of Project Builder projects, and elevation of the Xcode projects.
2003-11-24 | James Berry | Eliminate some compiler warnings concerning comments inside of comments
2003-11-24 | Hongguo He | add IBM1047 to the list of intrinsic transcoders
2003-11-24 | Neil Graham | allow classes derived from XMLTransService to tailor the intrinsic maps to their taste.
2003-11-24 | Khaled Noaman | Reset memory manager in Terminate
2003-11-24 | Khaled Noaman | PSVI: finish construction of XSSimpleTypeDefinition
2003-11-24 | Gareth Reakes | added in support for xml-declaration feature.
2003-11-24 | Adam Heinz | Fix for bug 22917
2003-11-23 | Neil Graham | update method documentation
2003-11-23 | Neil Graham | DatatypeValidator support for PSVI
2003-11-23 | Khaled Noaman | PSVI updates
2003-11- | David Cargill | Enable grammar pools and grammar resolvers to manufacture XSModels. This also cleans up handling in the parser classes by eliminating the need to tell the grammar pool that schema compoments need to be produced.
2003-11-21 | David Cargill | Setting the stage for PSVI (element and attribute) implementation: pointing out all places in scanners where validation updates need to occur
2003-11-21 | David Cargill | More schema component model implementation, In particular, this cleans up and completes the XSModel, XSNamespaceItem, XSAttributeDeclaration and XSAttributeGroup implementations.
2003-11-21 | Khaled Noaman | PSVI: Use XSObjectFactory to create various components.
2003-11-21 | Alberto Massari | insertElementAt was not checking if there was room for the new element (bug#24714)
2003-11-21 | Jeroen Witmond | Wrong filename in error messages (bug#24883)
2003-11-21 | Alberto Massari | Protect getEntityDeclPool from invoking a method on a NULL pointer (bug#24881)
2003-11-21 | Alberto Massari | Updated COM for xerces-c_2_4_0
2003-11-21 | Alberto Massari | Updated project to copy xerces-c_2_4_0, not xerces-c_2_3_0
2003-11-20 | Khaled Noaman | PSVI: element declaration, content model, PSVIutil
2003-11-20 | Alberto Massari | Updated Borland makefile
2003-11-20 | Neil Graham | PSVI: store name and namespace information
2003-11-20 | PeiYong Zhang | build xercesc2_4_0 with icu2.6.1
2003-11-19 | Neil Graham | increment version to 2.4.0 in docs
2003-11-19 | PeiYong Zhang | build xercesc2_4_0
2003-11-17 | Pete Lloyd, Neil Graham | PSVIAttributeList needs to be included by PSVIHandler
2003-11-17 | PeiYong Zhang | Fix to #4556
2003-11-17 | Ronald Landheer-Cieslak | Fix for bug 23930
2003-11-17 | Alberto Massari | Fixed documentation bug#24746
2003-11-14 | David Cargill | changes in support of second phase of XSModel implementation
2003-11-14 | David Cargill | removed methods made unnecessary by new XSModel implementation design
2003-11-14 | Neil Graham | PSVI updates
2003-11-14 | Alberto Massari | When invoking resolveEntity, specify the current document as the base URI
2003-11-14 | Graham Bennett | Fix to bug #4556
2003-11-13 | PeiYong Zhang | Pass correct initSize to container during deserialization
2003-11-13 | PeiYong Zhang | Solve Compilation/Linkage error on AIX/Solaris/HP/Linux
2003-11-12 | PeiYong Zhang | Stateless Grammar: Validation Context
2003-11-11 | Khaled Noaman | Serialization of XSAnnotation.
2003-11-10 | Neil Graham | implementation for new stateless means of traversing attribute definition lists
2003-11-10 | Alberto Massari | Fixed memory leak
2003-11-08 | Abe Backus | fix for bug 24287
2003-11-07 | David Cargill | PSVI/schema component model implementation
2003-11-07 | David Cargill | fix compilation errors on AIX and HPUX
2003-11-07 | Khaled Noaman | For PSVI support, distinguish wildcard elements with namespace lists.
2003-11-06 | Neil Graham | update KEYS file with public key as newly-signed by two other Apache-ites
2003-11-06 | James Berry | Add Mac OS X DYLD_LIBRARY_PATH notes to unix build instructions
2003-11-06 | Neil Graham | update grammar pool interface so that cacheGrammar(Grammar) can tell the caller whether the grammar was accepted. Also fix some documentation errors.
2003-11-06 | PeiYong Zhang | Patch to Solaris compiler error
2003-11-06 | Khaled Noaman | PSVI support for annotations.
2003-11-06 | David Cargill | first part of PSVI/schema component model implementation.
2003-11-05 | PeiYong Zhang | Grammar Pool Specification updates
2003-11-05 | PeiYong Zhang |
2003-11-05 | PeiYong Zhang | don't serialize built-in baseValidator, and don't serialize localName/uriName
2003-11-04 | Alberto Massari | When invoking resolveEntity, specify the base URI
2003-11-04 | Alberto Massari | When loading a grammar that's going to be cached, re-use the grammars already in the cache
2003-11-03 | Alberto Massari | A version of lastIndexOf would crash the application if the character to be searched was not found in the string
2003-11-01 | Alberto Massari | Updated BCB6 project
2003-10-31 | PeiYong Zhang | Serialization test fix
2003-10-30 | David Cargill | Enhanced Entity Resolver Support.
2003-10-29 | PeiYong Zhang | GrammarPool serialization/deserialization
2003-10-29 | PeiYong Zhang | Support for Template serialization/deserialization added
2003-10-29 | PeiYong Zhang | XObjectComparator/XTemplateComparator
2003-10-27 | James Berry | Add comment regarding permissible values for XML_PLATFORM_NEW_BLOCK_ALIGNMENT.
2003-10-24 | David Cargill. | Fix for bug #24207
2003-10-23 | Khaled Noaman | Fix memory leak
2003-10-22 | Khaled Noaman | Annotation support
2003-10-21 | Alberto Massari | Fixed memory leak [bug 23073]
2003-10-21 | Alberto Massari | Update COM project files
2003-10-21 | PeiYong Zhang | update XercesLib.mak
2003-10-21 | Alberto Massari | Inside a schema, the properties "fixed" and "default" for a reference to an attribute were ignored unless the "required" property were also present [bug 11767]
2003-10-20 | Khaled Noaman | Fix multithreading problem
2003-10-20 | Gareth Reakes | Pass in memory manager to constructors and use for creation of enumerators.
2003-10-18 | James Berry | Open files for reading as "r", not "r+". on MacOS
2003-10-18 | PeiYong Zhang | Support for Template class serialization/deserialization
2003-10-17 | Khaled Noaman | Fix multithreading problem for regular expression.
2003-10-15 | PeiYong Zhang | Implementation of Serialization/Deserialization for Schema components
2003-10-10 | Neil Graham | update XSModel and XSObject interface so that IDs can be used to query components in XSModels, and so that those IDs can be recovered from components
2003-10-10 | PeiYong Zhang | Implementation of Serialization/Deserialization for Grammar components
2003-10-09 | David Cargill | fix for bug 21780
2003-10-09 | Neil Graham | Synchronized StringPool for thread-safe updates.
2003-10-08 | PeiYong Zhang | Synchronize ContentSpec/ContentModel/FormattedModel
2003-10-07 | PeiYong Zhang | API for Template_Class Object Serialization/Deserialization
2003-10-07 | David Cargill. | Fix #23413
2003-10-06 | Mike Pawlowski | Rewrite packageSources
2003-10-04 | Neil Graham | Stateless Grammar
2003-10-02 | PeiYong Zhang | Implementation of Serialization/Deserialization for Datatype Validators
2003-10-02 | Gareth Reakes | Removed ^Z from end of files which was preventing compilation under gcc 2.96.
2003-10-01 | David Cargill. | improve handling of out of memory conditions, bug #23415
2003-10-01 | Khaled Noaman | Refactoring of some code to improve performance.
2003-09-26 | PeiYong Zhang | Synchronize ContentSpecNode and formattedModel
2003-09-26 | David Cargill | fix for bug #23427
2003-09-25 | PeiYong Zhang | Loose the assert condition so that Serializable class need NOT to check the actual string length before read/write.
2003-09-24 | Alby | useImplementation should use memory maneger.
2003-09-23 | PeiYong Zhang | Inplementation for Serialization/Deserialization
2003-09-23 | PeiYong Zhang | Macro re-organized: provide create/nocreate macros for abstract and nonabstract classes
2003-09-22 | Neil Graham | change Grammar::putElemDecl(XMLElementDecl, bool) so that it does not require the Grammar object to be const. Also, mark findOrAddGrammar as being dangerous in multithreaded situations
2003-09-22 | Gareth Reakes | doc fix
2003-09-18 | PeiYong Zhang | OSU: Object Serialization Utilities
2003-09-18 | Gareth Reakes | updated the distribution directory.
2003-09-16 | Neil Graham | make Grammar pool be responsible for creating and owning URI string pools. This is one more step towards having grammars be independent of the parsers involved in their creation
2003-09-16 | Neil Graham | PSVI/schema component model classes
2003-09-12 | Jay Hansen | enable MemParse to work on OS400.
2003-09-10 | Neil Graham | fix compiler warnings on ISeries; add Apache copyright notice
2003-09-08 | PeiYong Zhang | Restore pre2.3 constructors
2003-09-06 | Dave Bertoni | Fix bug #22938. Deletion of void* is illegal.
2003-09-04 | Gareth Reakes | Fix for bug #22008. Removed the ability to adopt the DOMObject.
2003-09-04 | David Cargill. | Fix bug #19605. Problem with CDATA END TAG
2003-09-01 | Gareth Reakes | added API to get an enumerator for the cached grammars.
2003-08-31 | Shin'ya Morino. | Fix for bug 21990
2003-08-29 | Gareth Reakes | If a type was explicitly declared as anyType that now gets set in DOMTypeInfo. Added test cases.
2003-08-27 | James Berry | Add new static global that always points to array-allocating memory manager
2003-08-27 | Gareth Reakes | Fixed a bug where multiple invalid elements with the same name/uri were not being set with appropriate PSVI info. Added a test case to expose the problem.
2003-08-26 | James Berry | Add new memory allocator that allocates using new[], for use where returned memory must be able to be deleted using delete []. This saves duplicated code in cases where a routine is optionally called with a specific memory manager, such as in the case of transcode
2003-08-26 | Neil Graham | fix compilation errors on HPUX and Solaris
2003-08-26 | benoit.blaquiere@ign.fr | Fix bug #22697; transcodeFrom incorrectly throws on kTECOutputBufferFullStatus.
2003-08-25 | Alberto Massari | fix for bug 22178
2003-08-22 | Alberto Massari | keep the fGrammarFromPool in sync to avoid problems when parseing multiple times.
2003-08-22 | Gareth Reakes | Not all unknown attributes are faulted in. In these cases the DOMTypeINfo should report AnySimpleType, not AnyURI as they were.
2003-08-21 | Neil Graham | add the Apache license to various Perl scripts that did not have it
2003-08-21 | PeiYong Zhang | use PlatformUtils::panic()
2003-08-20 | Neil Graham | Added a method for use in XercesDOMParser (and others derived from AbstractDOMParser) and a feature in DOMBuilder that allows the creation of the document during parse to be from an DOMImplementation other than the default.
2003-08-20 | Gareth Reakes | Changed constuctors to protected to be derivatable
2003-08-20 | Gareth Reakes | Reorderd initializer list to prevent compiler warning.
2003-08-20 | Steven White | A basic perl script that takes a DOM header file and creates the format used in HTML bindings file.
2003-08-20 | Gareth Reakes | Added Level 3 XPath interfaces.
2003-08-20 | David Cargill | fix for bug 22565
2003-08-19 | David Cargill | fixing bug 21001
2003-08-19 | Neil Graham | fix for bug 22537
2003-08-16 | Neil Graham | fix for bug 22457. Union types that are restrictions of other union types were previously considered not to inherit their parents member types. This is at variance with the behaviour of the Java parser and apparently with the spec.
2003-08-14 | Gareth Reakes | Method added to allow serilization of custom nodes from derived classes.
2003-08-14 | Vitaly Prapirny | patch for bug 16933
2003-08-13 | Khaled Noaman | Code refactoring to improve performance of validation.
2003-08-13 | Alberto Massari | fix to bug 22177
2003-08-13 | David Cargill | fix for bug 20058
2003-08-12 | Caroline Rioux. | Added serialization for attribute nodes
2003-08-08 | Steve Dulin. | fixes to make OS390PlatformUtils.cpp compile
2003-08-07 | Neil Graham | fix segmentation faults that may arise when the parser throws exceptions during document parsing. In general, XMLPlatformUtils::Terminate() should not be called from within a catch statement.
2003-08-04 | Zeid Derhally | Update Win32 CodeWarrior project for recent file additions/deletions;
2003-08-04 | James Berry | Update Mac OS ProjectBuilder project for recent file additions/deletions
2003-07-31 | James Berry | Resolve bug #21623; document that XMLParsePath... routines may fail if the file doesn't exist
2003-07-31 | PeiYong Zhang | GrammarPool
2003-07-28 | Steve Dulin | fix to permit the samples source to be copied from a non-writable to a writable part of the filesystem, then compiled. Binaries will also be dropped in a writable directory. This should make experimentation easier on multi-user systems.
2003-07-25 | Michael Glavassevich | The patch fixes Bugzilla #19787, #20006, #20009, #20010 and #20287, and several other issues.
2003-07-24 | Michael Glavassevich | Fix for bug #20005
2003-07-24 | David Cargill | Patch for bug #20530 - Attributes which have the same expanded name are not considered duplicates.
2003-07-24 | Erik Rydgren | getTextContent fix
2003-07-22 | Steven White. | Fix build under VC7
2003-07-21 | June Ng | fixing bug 21573
2003-07-17 | Pedro Lopes and Vitaly Prapirny | fix for bug 18860
2003-07-16 | PeiYong Zhang | Documentation on system call, strtod
2003-07-14 | Vitaly Prapirny and Anthon Pang | patch to bug 20353
2003-07-14 | Abe Backus | patch to bug 21527
2003-07-10 | PeiYong Zhang | Stateless Grammar: create grammar components with grammarPool's memory Manager
2003-07-10 | PeiYong Zhang | Stateless Grammar: Initialize scanner with grammarResolver
2003-07-04 | PeiYong Zhang | specify library with version on AIX
2003-06-26 | PeiYong Zhang | GrammarPool
2003-06-23 | PeiYong Zhang | to solve unresolved symbol on Solaris
2003-06-23 | PeiYong Zhang | clean up temporary XMLGrammarDescription to make MemoryTest happy
2003-06-20 | PeiYong Zhang | Stateless Grammar Pool :: Part I
2003-06-16 | Tuan Hoang | update xerces-c.spec file
2003-06-10 | James Berry | Add support to threadtest for Mac OS X
2003-06-09 | James Berry | Add DYLIB_LIBRARY_PATH directions for running samples under Mac OS X.
2003-06-06 | Robort Buck | Bug#20552 Updated VC7 Project files.
2003-06-03 | PeiYong Zhang | for build on WinXP.NET and Intel Electron
2003-06-02 | Neil Graham | new test for the pluggable memory management mechanism.
2003-06-02 | Berin Lautenbach | fix for bug #20092
2003-06-02 | Berin Lautenbach | Bug 20413 Xerces 2.3 does not compile under NetBSD 1.6
2003-05-30 | Alberto Massari | Fixes so we compile under VC7.1.
2003-05-30 | Gareth Reakes | Use new macros for iostream.h and std:: issues.
2003-05-30 | Sean McInerney | fix to bug #20350. Fix 2 typos.
2003-05-29 | Gareth Reakes | fixed typo for version number
2003-05-29 | Khaled Noaman | Fix memory leak when using deprecated dom.
2003-05-29 | Nathan Codding | Fix to bug #16817. Non leaf nodes and attributes now get notified of release
2003-05-29 | Gareth Reakes | fix to bug #20325. Removed unused file and updated Projects.
2003-05-29 | Gareth Reakes | Added macros in so we can determine whether to do things like iostream as opposed to iostream.h and whether to use std:: or not.
2003-05-28 | Neil Graham | update copyright notice
2003-05-27 | Neil Graham | upload public key used for signing releases
2003-05-27 | Michael Glavassevich | fix typo that could have been impacting correct operation of reference counting.
2003-05-26 | PeiYong Zhang | Use memory manager embedded in rather than the one passed in to de-allocate memory.
2003-05-24 | Neil Graham | fix segfault on GCC 2.9x. The depreacted DOM attribute implementation had a cute trick where a void * field could be either a NodeChild pointer or a DOMString; the latter played havoc with the new memory management paradigm. Now a union of a DOMString * and a ChildNode * is used.
2003-05-22 | Neil Graham | make GCC happy and make it clearer what we actually use alignPointerForNewBlockAllocation() for in our code.
2003-05-22 | James Berry | Move pointer alignment functionality into XMLPlatform header; revise XMemory and DOMDocumentImpl to return blocks aligned by this function
2003-05-22 | PeiYong Zhang | removal of isOwnerDocSingleton
2003-05-22 | PeiYong Zhang | Build memory manager on hp
2003-05-22 | Neil Graham | PanicHandler interface should not inherit from XMemory
2003-05-22 | Gareth Reakes | Removed usage of std to compile under gcc and other platforms
2003-05-22 | Magnus Strand | Fix another case where use of fallback characters during transcode could cause undesired failure of transcode
2003-05-21 | James Berry | Ensure proper block alignment for blocks allocated with XMemory new operators
2003-05-21 | Khaled Noaman | Handle allocation of document types not created by a DOM document
2003-05-21 | Khaled Noaman | Fix to HP-UX compiler's complaint about the duplicate overload of delete
2003-05-21 | Khaled Noaman | fix to gcc 2.95.x internal error for some template definitions
2003-05-21 | PeiYong Zhang | release document
2003-05-21 | James Berry | Mac OS LCP transcoder fix
2003-05-21 | James Berry | CodeWarrior Mac OS Project File updates
2003-05-21 | Zeid Derhally | CodeWarror Win32 Project File updates
2003-05-21 | James Berry | First cut at Mac OS X Project Builder changes
2003-05-20 | PeiYong Zhang | Apply Memory Manager to Base64
2003-05-20 | Khaled Noaman | Initialize ValueVectorOf
2003-05-19 | Gareth Reakes | NetBSD compilation fix

| Release Information for Xerces-C++ 2.3.0: May 23, 2003 |

| Below is the list of fixed bugzilla bugs that are resolved in this release, Xerces-C++ 2.3.0.

Date | Contributor | Description
2003-05-16 | Khaled Noaman | Configurable Memory Management
2003-05-15 | Gareth Reakes | Partial Document::normalizeDocument() Implementaion
2003-05-15 | Nathan Codding | Optimization. We now resize the hash when appropriate.
2003-05-14 | Alberto Massari | Fix to problem with multiple default namespace attributes being serialized
2003-05-14 | Hiramatsu Yoshifumi | port to NetBSD
2003-05-13 | Neil Graham | Fix a bug that caused ComplexTypeInfo#elementCount() to report values including references to global elements only when the schema-full-checking flag was true
2003-05-12 | Alberto Massari | [Bug 18832] Corrected serilization with regards to namespace nodes
2003-05-10 | Zeid Derhally | Fix bugs 19816, 19817, 19818;
2003-05-06 | Neil Graham | Fix GCC compilation problem and incorrect #include
2003-05-05 | Urs Muff/Neil Graham | Adding optional support for reference counting of nodes within the DOM
2003-05-01 | James Devries | Socket support added on OS400
2003-04-30 | Khaled Noaman | MemoryManager and XMemory
2003-04-30 | Andrew Hefford | [Bug 19472]Spelling mistake correction.
2003-04-29 | Khaled Noaman | Cut link to XMLBigInteger
2003-04-28 | Neil Graham | Implement namespaces 1.1
2003-04-28 | Ailian Ding | [Bug 19402] OS2PlatformUtils.cpp compareAndSwap() need to return retVal.
2003-04-28 | James Berry | Add function prototype to eliminate compiler warning
2003-04-27 | James Berry | Add new files to Mac OS CodeWarrior project
2003-04-27 | James Berry | Add include for stdlib to pull in size_t declaration
2003-04-27 | James Berry | Add new files to Mac OS ProjectBuilder projects
2003-04-27 | James Berry | PanicHandler, GetCurrentDir() and isAnySlash() on MAC
2003-04-25 | Khaled Noaman | Replicate key2 and key3 when putting an item in the list
2003-04-25 | PeiYong Zhang | throw exception if getcwd() fails
2003-04-25 | Neil Graham | Win32PlatformUtils: use WIN API to make it compilable on Windows with both cygwin and MSVC++
2003-04-24 | PeiYong Zhang | Logical Path Resolution
2003-04-22 | Khaled Noaman | Initialize security manager in Scanner constructor
2003-04-22 | Neil Graham | change const static member (in SecurityManager) to an enum to make MSVC happy
2003-04-21 | Khaled Noaman | Use XMLString::release to prepare for configurable memory manager.
2003-04-21 | Khaled Noaman | Performance: use memcpy in moveChars and replicate.
2003-04-21 | Khaled Noaman | MemoryManager and MemoryManagerImpl
2003-04-21 | PeiYong Zhang | Performance tuning to XMLPlatformUtils::getFullPath()
2003-04-17 | Neil Graham | new property, http://apache.org/xml/properties/security-manager
2003-04-15 | Berin Lautenbach | [Bug 17096] XMLUri relative path calculation badly broken
2003-04-09 | Pedro Lopes | [Bug 18860] Samples on Borland C++ 6 - access violations and build errors
2003-04-09 | Guido Gagliardi | [Bug 18856] Example code do not compile
2003-04-07 | Vasily Tchekalkin | [Bug 18672] IconvGNUTranscoder can't be build when namespaces is on.
2003-04-04 | Neil Graham | Update to project file: DOMConfigurationImpl
2003-04-03 | PeiYong Zhang | Revised Implementation of getTextContent() to use castToNodeImpl()
2003-04-02 | Erik Rydgren | Implementation of getTextContent().
2003-04-02 | Neil Graham | Fix to personal.xsd to permit xml:base on on elements
2003-04-01 | PeiYong Zhang | [Bug 18594] DOMWriter does not recognize Document Fragment
2003-04-01 | PeiYong Zhang | Link in version numbered ICU on AIX
2003-03-31 | Gareth Reakes | Changed the API for document normalization to the new Level 3 WD
2003-03-31 | Caroline Rioux | DOMConfiguration
2003-03-27 | Tinny Ng | use __IBMCPP__ instead of __xlC__ to determine xlC compiler
2003-03-25 | Khaled Noaman | Fix typo in program-others.xml
2003-03-24 | Tinny Ng | Link in version numbered ICU so that multiple version of XML4C can coexist
2003-03-23 | PeiYong Zhang | Invalid second values in XMLDateTime
2003-03-21 | Khaled Noaman | Should reset reader manager before returning loaded grammar
2003-03-20 | PeiYong Zhang | Fix to 'genrb' on Linux
2003-03-20 | Neil Graham | [Bug 12436] Add detection of invalid UTF-8 byte sequences
2003-03-19 | Vinayak | Added flag (p) and code to the countChildElements fn to enable printing of nodes and all associated attributes
2003-03-18 | PeiYong Zhang | Build versioned shared library, libXercesMessages on UNIX
2003-03-18 | Khaled Noaman | Schema Errata E2-18.
2003-03-18 | Alberto Massari | [Bug 18063] References to attributeGroup/group definition are not allowed to have annotations
2003-03-17 | PeiYong Zhang | Build versioned Message on Windows
2003-03-16 | PeiYong Zhang | [Bug 18051] Memory leak in Formatter
2003-03-15 | PeiYong | [Bug 17983] Formatter does not escape control characters
2003-03-14 | PeiYong Zhang | Copy non-versioned libXercesMessages to target directory
2003-03-14 | PeiYong Zhang | Enable to locate libXercesMessage
2003-03-14 | Tinny Ng | Change to 2.3
2003-03-14 | Tinny Ng | [Bug 17147] C++ namespace breaks build of XercesCOM DLL.
2003-03-13 | Chris McKillop | [Bug 17858] Support for QNX/Neutrino.
2003-03-13 | Vitaly Prapirny | [Bug 11974] mak-files for bcc32 v.5.5.1 (free or from BCB5).
2003-03-11 | PeiYong Zhang | Build versioned dll for ICU message files.
2003-03-11 | Khaled Noaman | Schema Fix: Check that target namespace of global/local attribute declarations is not the xsi uri.
2003-03-11 | Khaled Noaman | Schema Fix for circular substitution group check.
2003-03-10 | Khaled Noaman | Schema Fix for complex type declarations with mixed content.
2003-03-10 | PeiYong Zhang | Schema Errata E2-40 double/float.
2003-03-10 | Khaled Noaman | Schema Fix for types referred to without explicitly specifying its namespace.
2003-03-10 | Tinny Ng | XML1.0 Errata E38.
2003-03-09 | PeiYong Zhang | Pluggable PanicHandler.
2003-03-07 | Jacques Legare | [Bug 17589] Refactoring ....
2003-03-07 | Peter Crozier | [Bug 17774] Unixware platform utils not implemented.
2003-03-07 | Tinny Ng | [Bug 11692] Unimplement the hidden constructors and assignment operator to remove warnings from gcc.
2003-03-07 | Tinny Ng | Return a reference instead of void for operator=.
2003-03-07 | Bjoern A. Zeeb | [Bug 17571] fix building IconvFBSD (namespaces).
2003-03-07 | Bjoern A. Zeeb | [Bug 17570] IconvFBSD build on alpha,sparc.
2003-03-06 | Alberto Massari | [Bug 17633] Empty complex type definition is always non-mixed even if declaration says otherwise.
2003-03-04 | Khaled Noaman | [Bug 17516] Thread safety problems in ../util/ and ../util/regx.
2003-03-04 | Khaled Noaman | RegEx: fix for character category escape.
2003-03-01 | PeiYong Zhang | Schema Fix: TotalDigits value must be a positiveInteger.
2003-02-26 | Khaled Noaman | [Bug 17425] Schema using cyclic import fails validation.
2003-02-26 | PeiYong Zhang | Schema Errata E2-43: disallow trailing decimal point and a new pattern added to the Integer definition.
2003-02-25 | Tinny Ng | [Bug 12192] File named 'CVS' should be deleted.
2003-02-25 | Steve Dulin | Modify UnixHTTPURLInputStream for it to work on ebcdic platform.
2003-02-25 | James Berry | Fixes to runConfigure which was worrying overmuch if no C++ compiler was specified. and fix the test for TRU64
2003-02-25 | PeiYong Zhang | Schema Errata: E2-44 totalDigits/fractDigits.
2003-02-25 | Tinny Ng | [Bug 13491] avoid deleting through void* in DOMDocumentImpl.cpp.
2003-02-25 | Tinny Ng | [Bug 7072] Documentation for XMLString::transcode states invalid return value.
2003-02-25 | Tinny Ng | [Bug 13493] Use const on static data in DOMWriterImpl.cpp.
2003-02-25 | Duncan Stodart | [Bug 12350] Xerces compilation problems on Tandem (HP Nonstop).
2003-02-25 | Dan Gohman | [Bug 13492] Unintended comma expression in DOMRangeImpl.cpp.
2003-02-25 | Michael Cahill | [Bug 17358] C++ namespace support in IconvFBSD doesn't compile.
2003-02-22 | James Berry | Improvements to Mac OS port: - Refactor Mac OS file handling into distinct files per file type. - Add Posix file handling to use posix file apis directly where possible. - Carbon file access is now used only where posix files aren't available. - Tweaks to FSSpec/FSRef routines to handle directories better.
2003-02-22 | PeiYong Zhang | Schema Errata E2-35 Length, minLength and maxLength in different derivation steps.
2003-02-21 | Neil Graham | Fix packageBinaries.pl so that it pays attention when you set the compiler to gcc under cygwin.
2003-02-21 | Neil Graham | [Bug 13429] Text in part of the Programming/Parsing FAQ is truncated/missing.
2003-02-20 | PeiYong Zhang | [Bug 7077] build error message shared library for ICUMsgLoader.
2003-02-19 | Khaled Noaman | Schema errata E2-38.
2003-02-17 | Dan Egnor | [Bug 17131] File writing on Win32 very very very slow.
2003/02/17 | PeiYong Zhang | Allow set user specified error message file location in PlatformUtils::Initialize().
2003-02-10 | PeiYong Zhang | Remove -weol from the command line option list of sample DOMPrint.

| Release Information for Xerces-C++ 2.2.0: February 7, 2003 |

| Below is the list of fixed bugzilla bugs that are resolved in this release, Xerces-C++ 2.2.0.

Date | Contributor | Description
2003-02-06 | Khaled Noaman | Schema Errata: 1. E1-2 2. E1-10 3. E1-15 4. E1-16
5. E1-20
6. E1-21
7. E1-22
8. E1-23
9. E1-27
2003-02-06 | PeiYong Zhang | Schema Errata: 1. E2-9 Base64. 2. E2-12 gMonth. 3. E2-16 maxExclusive. 4. E2-23 seconds part shall have at least one digit after the dot if it appears.
5. E2-24 Duration 'T': allow SchemaDateTimeException be propogated to client.
6. E2-25 language.
2003-02-06 | Khaled Noaman | Performance: Scanner Reorganization. Create XMLScannerResolver, WFXMLScanner, IGXMLScanner, DGXMLScanner, and SGXMLScanner.
2003-02-06 | Khaled Noaman | Performance: 1. [Bug 13695] Performance problem with large text nodes and XMLFormatter.cpp. 2. Make getNextChar/peekNextChar inline. 3. Reduce instruction counts in XMLReader. 4. Do not call XMLString::stringLen in XMLString::indexOf.
5. Use existing QName in XMLElementDecl instead of creating a new one everytime.
6. Allow creating/setting of XMLAttr using a rawname (i.e. 'prefix:localpart').
7. Enable/disable calculation of src offset.
8. No need to use temporary buffer to hold namespace value in SAX2XMLReaderImpl.
9. Eliminate unnecessary condition in compareNString.
10. Use global buffer to eliminate repetitive memory creation/deletion
2003-02-06 | Tinny Ng | Performance: 1. DOM: call fParent.fOwnerDocument directly instead of fNode.getOwnerDocument. 2. Check for null string directly isntead of calling XMLString::stringLen. 3. New inline function XMLString::equals that simply returns true or false, use it instead of XMLString::compareString wherever applicable.
4. XERCES_XMLCH should not be classified as XMLRecognizer::OtherEncodings.
5. Pre uppercase the encodingString before calling encodingForName to avoid calling compareIString.
6. Use XMLRecognizer::Encodings enum to make new transcode, faster than comparing the encoding string every time.
7. Reduce some instruction counts in XMLUTF8Transcoder.
8. [Bug 13447] Using LocalFileFormatTarget with DOMWriter is very slow.
9. Define fGlobalDeclarations as an array of ValueVectorOf to avoid string comparison.
2003-02-06 | David Bertoni | [Bug 16826] RefVectorOf.c has errors in strict ANSI mode.
2003-02-06 | Gareth Reakes | Schema Fix: bug with multiple attributes being validated by the same union type.
2003-02-05 | Tinny Ng | [Bug 7592] XMLURL::lookupByName() should be static.
2003-02-05 | Tinny Ng | [Bug 3111] Problem with LexicalHandler::startDTD() and LexicalHandler::endDTD().
2003-02-05 | Tinny Ng | [Bug 16322] DOMDocumentImpl::replaceChild should honor fDocElement.
2003-02-05 | Tinny Ng | [Bug 11915] Utility for freeing memory.
2003-02-05 | Tinny Ng | [Bug 13437] Incorrect memory management in XXXPlatformUtils.cpp.
2003-02-05 | Zeid Derhally | [Bug 14599] Metrowerks in support of CodeWarrior for Windows.
2003-02-05 | PeiYong Zhang | [Bug 16796] Possible out of bounds memory read in XMLRecognizer::basicEncodingProbe.
2003-02-05 | Khaled Noaman | [Bug 16747] Parser loses ValidationScheme setting between parse attempts.
2003-02-04 | PeiYong Zhang | [Bug 16784] Obsolete documentation on XMLTranscoder
2003-02-04 | PeiYong Zhang | [Bug 16652] data from CDATA section is not passed for validation.
2003-01-30 | Tinny Ng | [Bug 3041] wrong PLATFORM_IMPORT in MVSCPPDefs.hpp.
2003-01-29 | Gareth Reakes | Partial PSVI Support.
2003-01-29 | Gareth Reakes | DOM L3: DOMTypeInfo and an associated test case.
2003-01-29 | Lenny Hoffman | [Bug 6271] Invalid Precondition Test.
2003-01-29 | Khaled Noaman | [Bug 15787] Reduce array size to reduce memory footprint.
2003-01-28 | PeiYong Zhang | [Bug 13694]: Allow Xerces to write the BOM to XML files.
2003-01-23 | Tinny Ng | [Bug 16188] Consistent crashes with BCB6.
2003-01-23 | Tinny Ng | [Bug 16277] Readme should make note of threaded library problems in BCB6.
2003-01-16 | David Bertoni | [Bug 16151] Memory leak in DTDScanner with ill-formed DTD declaration.
2003-01-13 | Khaled Noaman | [Bug 16024] SchemaSymbols.hpp conflicts C++ Builder 6 dir.h.
2003-01-13 | Khaled Noaman | [Bug 14390] C++ Indentifier collision with Python.
2003-01-13 | Khaled Noaman | [Bug 14469] Validator doesn't enforce xsd:key.
2003-01-10 | Tinny Ng | [Bug 13909] Use of non standard mbstowcs feature.
2003-01-10 | Tinny Ng | [Bug 14545] samples/Makefile.incl has bad -L for linux.
2003-01-10 | Alberto Massari | [Bug 14912] crashes inside UnionDatatypeValidator::isSubstitutableBy.
2003-01-10 | Albert Strasheim | [Bug 5854] Patches and .spec file for rpm creation of 2.2.0.
2003-01-09 | Tinny Ng | [Bug 14955] error validating parser.
2003-01-09 | Tinny Ng | [Bug 15928] Output with LocalFileFormatTarget fails silently.
2003-01-09 | Tinny Ng | [Bug 15371] Fix documentation. The default of schema processing shoud be false.
2003-01-09 | Tinny Ng | [Bug 15372] DOMBuilder::parseFromURI ignores result of handleErrors.
2003-01-09 | Tinny Ng | [Bug 15802] Add "const" qualifier to getURIText.
2003-01-09 | Tinny Ng | [Bug 15427] DOMWriter dose not flush the output stream.
2003-01-09 | Colin Adams | [Bug 15796] surroundContents seg-faults.
2003-01-03 | Tinny Ng | New feature StandardUriConformant to force strict standard uri conformance.
2002-12-31 | Tinny Ng | [Bug 15590] BeOSDefs.hpp has wrong case in CVS.
2002-12-31 | Tinny Ng | [Bug 15608] IconvLCPTranscoder::transcode() is wrong at wcstombs() usage.
2002-12-30 | Gareth Reakes | Added isDocumentAdopted API and recognize feature fgXercesUserAdoptsDOMDocument in DOMBuilder::getFeature/canSetFeature.
2002-12-24 | Tinny Ng | Build with ICU 2.4.
2002-12-24 | Tinny Ng | [Bug 15160] TrueCoverage build fails in Window.
2002-12-23 | Khaled Noaman | New public api to various parsers to return the src offset within the input source.
2002-12-20 | Tinny Ng | XML 1.1
2002-12-19 | Peter A. Volchek | Schema: get/set methods to see if the represented type is anonymous.
2002-12-18 | Gareth Reakes | [Bug 13438] Mismatched new[]/delete in template vector class. Added new abstract base class BaseRefVectorOf from which both RefVectorOf and the new class RefArrayVectorOf inherit from it.
2002-12-18 | Jennifer Schachter | New Regx functionality - tokenize and replace.
2002-12-16 | James Berry | [Bug 14805] Mac OS transcoder should return pointer to zero length string (rather than NULL) on receipt of zero length input.
2002-12-10 | PeiYong Zhang | Validating Schema Float/Double in value space. Converting out-of-bound value into special values.
2002-12-10 | Tinny Ng | NLS: DOMWriter should use message loader to load message instead of using hardcoded static stirng.
2002-12-06 | Kevin King | [Bug 13840] DOMWriter: more pretty-print format feature.
2002-12-06 | Tinny Ng | Fix: for file protocol, need to manually replace any character reference %xx first.
2002-12-06 | Tinny Ng | [Bug 9083] Make some classes be exportable.
2002-12-06 | Tinny Ng | [Bug 9697] Make GrammarResolver to be exportable.
2002-12-02 | Andrew Bachmann | [Bug 12490] Patches required to build Xerces-C++ on BeOS R5.
2002-12-02 | Adam Zell | [Bug 14723] Memory leak in atomicOpsMutex.
2002-12-02 | Abe Backus | [Bug 13804] Update build and installation docs for cygwin.
2002-12-02 | Peter A. Volchek | [Bug 14960] Opened up interface to expose user defined and built in registries.
2002-12-02 | Gareth Reakes and Peter A. Volchek | [Bug 12188] Create NMTOKEN, ID, IDREF, ENTITY, NAME, NCNAME with appropriate base types. Some reordering of creation was required where dependencies resulted.
2002-12-02 | Peter A. Volchek | [Bug 12238] Attributes without type declarations should be validated using AnySimpleTypeValidator, not the string validator.
2002-11-26 | Tinny Ng | Namespace Check: 1. xmlns:a="" where namespace URI is null is not valid. 2. xmlns:doc where xmlns is used as element prefix is not valid. 3. xmlns:xmlns where xmlns is used as prefix is not valid. 4. xmlns:xml="a" where xml is used as prefix but URI does not match the xml uri (http://www.w3.org/XML/1999/namespace) is not valid.
5. if validation is on, attribute values declared to be of types ID, IDREF(S), ENTITY(IES), and NOTATION are also Names, and thus should be colon-free.
2002-11-25 | Tinny Ng | Thread-safe the static variable TransService::gMappings.
2002-11-22 | Robert Buck | Add autodetection of MSVC++ version in packageBinaries.pl.
2002-11-22 | Chris Larsson and Stephen Dulin | 390: support record-oriented MVS datasets with the DOM Level 3 serialization APIs.
2002-11-22 | Chris Larsson and Stephen Dulin | 390: Uniconv390 support.
2002-11-21 | Jennifer Schachter | Fixed bug in Token::analyzeFirstCharacter so that . matches new line with head character optimisation enabled.
2002-11-21 | Gareth Reakes and Jennifer Schachter | DOM L3: isId, setIdAttribute, setIdAttributeNS and setIdAttributeNode.
2002-11-21 | PeiYong Zhang | Schema Fix: validate content as a whole against pattern.
2002-11-20 | PeiYong Zhang | Update ThreadTest to use DOMWriter to dump DOM.
2002-11-19 | Tinny Ng | [Bug 13487] Linux runs on many non-i386 platforms.
2002-11-19 | Cameron Dorrat | [Bug 14661] Caldera implemented openFileToWrite and writeBufferToFile.
2002-11-18 | Steven White | Problems using make tarball under linux.
2002-11-18 | Abe Backus | [Bug 14612] GCCDefs clashes with cygwin's string.h for stricmp and strnicmp.
2002-11-15 | Abe Backus | [Bug 13801] cygwin libxerces-c.dll symlinks misleading.
2002-11-15 | Tinny Ng | [Bug 13751] Documentation for DOMNamedNodeMap incorrect.
2002-11-15 | Richard Balint | [Bug 14598] IRIX 6.5 / g++ 3.0.4 compilation bugs.
2002-11-14 | Tinny Ng | [Bug 14265] Access violation with Null systemId/publicId in DTDScanner.
2002-11-14 | Tinny Ng | [Bug 14479] XMLString::subString failure when len(source)==0.
2002-11-14 | Tinny Ng | [Bug 14389] DOMPrint - gDoCreate - wrong default value.
2002-11-13 | PeiYong Zhang | [Bug 14528] Encounters of the end tag "]]>" are ignored.
2002-11-13 | James Berry | [Bug 14260] MacOSUnicodeConverter::upperCase() passes wrong arguments to Carbon function.
2002-11-13 | James Berry | Update Mac OS build for compatiblity with namespace additions.
2002-11-12 | Tinny Ng | DOM Message: make use of the non-standard extension DOMImplementation::loadDOMExceptionMsg to load the default error text message for the correspond Exception Code.
2002-11-12 | Tinny Ng | DOM Message: introduce a new message domain, XMLDOMMsg, for DOM Messages.
2002-11-04 | PeiYong Zhang | New feature XMLPlatformUtils::Initialize(const char* const locale) to set the locale for message loader.
2002-11-04 | Tinny Ng | C++ Namespace Support
2002-10-30 | Tinny Ng | [Bug 13641] compiler-generated copy-constructor for QName doesn't do the right thing.
2002-10-29 | Chris Larsson | Modify DOMPrint to accept a file name as a parameter.
2002-10-29 | Tinny Ng | Support for Linux/390 which is big endian.
2002-10-23 | PeiYong Zhang | [Bug 13213] DOMImplementation::hasFeature() should be const.
2002-10-17 | PeiYong Zhang | [Bug 13640] Getter methods not public in DecimalDatatypeValidator.
2002-10-16 | Khaled Noaman | [Bug 13293] Schema ID validation can fail depending on declaration ordering.
2002-10-15 | Khaled Noaman | [Bug 13604] while loop never terminates.
2002-10-15 | Khaled Noaman | [Bug 13639] Failure to parse xsi:schemaLocation attribute value correctly.
2002-10-15 | Khaled Noaman | [Bug 13494] use unsigned instead of signed in TraverseSchema.cpp.
2002-10-15 | Khaled Noaman | [Bug 13490] new[]/delete mismatch in RangeToken.cpp.
2002-10-15 | Khaled Noaman | [Bug 13489] missing 'return' in Token.cpp.
2002-10-15 | Khaled Noaman | [Bug 13485] incorrect return from getWSstring.
2002-10-04 | Duncan Stodart | [Bug 12560] Use const in DOMWriter.
2002-10-01 | Tinny Ng | [Bug 13139] Building Promblems on HP-UX.
2002-09-30 | PeiYong Zhang | Support ICU Message Loader.
2002-09-30 | PeiYong Zhang | Xlat: To generate icu resource file (in text) for error message.
2002-09-30 | Tinny Ng | [Bug 13109] DOMRange::toString eventually cycles forever.
2002-09-27 | Guillaume Morin | [Bug 12547] Xerces C++ 2.1 fails to build on Linux 64 bits arch with -tlinux.
2002-09-27 | Tinny Ng | [Bug 13073] GeneralAttributeCheck.cpp : compilation fails with Sun C++ 4.2 on Solaris2.7 system.
2002-09-27 | Peter Volchek | [Bug 12740] Extra include.
2002-09-27 | Gareth Reakes | [Bug 12847] bulid warning for non-virtual constuctor.
2002-09-27 | Gareth Reakes | [Bug 12848] newline warning whist building.
2002-09-26 | Gareth Reakes | [Bug 12849] comparison is always false warning.
2002-09-26 | Erik Rydgren | [Bug 12914] Bug in AbstractDOMParser::resetPool().
2002-09-26 | Gareth Reakes | DOM L3: Add const to isSameNode, isEqualNode, compareTreePosition.
2002-09-23 | PeiYong Zhang | Issue Panic_CantLoadMsgDomain if loadAMsgSet() fails.
2002-09-23 | PeiYong Zhang | Support MsgCatalog Message Loader.
2002-09-23 | Gareth Reakes, Thomas Ford and Tinny Ng | DOM L3: Support baseURI.
2002-09-18 | Stephen Dulin | OS390 Performance Enhancement: instead of calling isPosixOn everytime, store the information in a static flag during initialization.
2002-09-17 | Thomas Woerner | RPM for Linux.
2002-09-16 | Tinny Ng | Infinite loop for malformed xml (e.g. simple has "XXXX") w/ setexitonfirstfatal(false).
2002-09-16 | Tinny Ng | [Bug 12442] Fix typo: "Mode:" which should be "Model".
2002-09-09 | PeiYong Zhang | [Bug 12369] invalid output from DOMWriter using MemBufFormatTarget.
2002-09-05 | James Berry | Add export directives for Mac OS path utility routines .
2002-09-05 | Tinny Ng | [Bug 12232] Make operator to be constant.
2002-09-05 | Tinny Ng | [Bug 12290] example on webpage won't compile.
2002-09-05 | Tinny Ng | [Bug 12279] Makefiles contain tabs causing "commands commence" error.
2002-09-05 | Tinny Ng | [Bug 12275] DOMCount -n gives DOM Error.
2002-09-03 | Tinny Ng | [Bug 12897] System ID is missing inside DOCTYPE.
2002/08/27 | Khaled Noaman | Identity Constraint: handle case of recursive elements.
2002-08-27 | Tom Ford | [Bug 12087] XMLString::patternMatch() is not accurate.

| Release Information for Xerces-C++ 2.1.0: August 26, 2002 |

| Below is the list of fixed bugzilla bugs that are resolved in this release, Xerces-C++ 2.1.0.

Date | Contributor | Description
2002-08-26 | Abe Backus | [Bug 12004] Samples/Tests don't build under cygwin.
2002-08-23 | Tinny Ng | [Bug 11981] inproper "AND" operator in AutoSense.hpp
2002-08-23 | Tinny Ng | Memory leak fix: enums is not deleted if an error occurred.
2002-08-23 | Tinny Ng | Memory leak fix: XMLUri data not deleted if constructor failed.
2002-08-23 | James Berry | Begin addition of support for Codewarrior MachO build of Xerces framework.
2002-08-23 | James Berry | [Bug 11776] MacOSUnicodeConvertor::upperCase doesn't work correctly.
2002-08-23 | Robert Buck | [Bug 11975] Update to XercesLib VC7 Project File.
2002-08-22 | Tinny Ng | [Bug 7512] Wrong error message created.
2002-08-22 | Tinny Ng | [Bug 11448] DomCount has problems with XHTML1.1 DTD.
2002-08-22 | Robert Buck | [Bug 11946] Updated VC7 Project Files for Xerces-C 2.1.
2002-08-22 | Khaled Noaman | [Bug 11906] Wrong comparison in TraverseSchema.
2002-08-22 | PeiYong Zhang | [Bug 10653] XMLString::parseInt possible overflow.
2002-08-21 | Tinny Ng | [Bug 11869] Add the const modifier (XMLBuffer.hpp).
2002-08-21 | Tinny Ng | [Bug 7087] compiler warnings when using gcc.
2002-08-20 | Benjamin Piwowarski | [Bug 11515] Exponential time using DOMTreeWalker.
2002-08-20 | Tinny Ng | [Bug 6251] Info during compilation.
2002-08-19 | Vasily Tchekalkin | [Bug 11771] Linux specific IconvGNU transcoder.
2002-08-19 | Derek Harmon and Abe Backus | [Bug 6467] Installing Xerces C++ on cygwin environment.
2002-08-19 | Tinny Ng | [Bug 11229] bogus -I statements order in CXXFLAGS.
2002-08-19 | Tinny Ng | [Bug 1471] getInternalSubset returns NDATA with quote. Also fix internalsubset to include notation.
2002-08-19 | Khaled Noaman | [Bug 11770] - Xerces does not validate the XMLSchema's root element name.
2002-08-16 | Khaled Noaman | [Bug 7698] Filenames with embedded spaces in schemaLocation strings not handled properly.
2002-08-16 | PeiYong Zhang | New Configure: Win64 Debug for samples Project / Makefiles.
2002-08-16 | Gareth Reakes | DOM L3: support lookupNamespacePrefix, lookupNamespaceURL, isDefaultNamespace.
2002-08-16 | Tinny Ng | [Bug 11360] Release user data using handler.
2002-08-14 | Khaled Noaman | [Bug 3111] Problem with LexicalHandler::startDTD() and LexicalHandler::endDTD().
2002-08-13 | PeiYong Zhang | [Bug 9442] minInclusive factet validation alters value.
2002-08-13 | Khaled Noaman | Recognize UTF16.
2002-08-12 | PeiYong Zhang | [Bug 11462] MemBufFormatTarget issues (2) - const-ness, thread-safety.
2002-08-12 | Tinny Ng | Support Intel IA32 C++ Compiler, icc.
2002-08-09 | Gareth Reakes | DOM L3: support compareTreePosition.
2002-08-08 | Stephen Dulin | DOMWriter support on z/OS.
2002-08-08 | Tinny Ng | DOM Fix: Recycle node value buffer to avoid memory growth.
2002-08-07 | PeiYong Zhang | [Bug 11534] Wrong CDATA Terminator in DOMWriterImpl.
2002-08-07 | Khaled Noaman | Pass proper value of actual encoding to XMLDecl callback.
2002-08-01 | Khaled Noaman | If the NamespaceURI, qualifiedName, and doctype are null, the returned Document is empty with no document element.
2002-08-01 | Khaled Noaman | Ensure that we add only DOM Attr nodes to the attributes NamedNodeMap.
2002-08-01 | Khaled Noaman | DOM L2 does not support editing DocumentType nodes.
2002-07-31 | Tinny Ng | [Bug 11338] missing const keyword for DOMNodeList methods.
2002-07-31 | Tinny Ng | [Bug 6227] Make method getLastExtLocation() constant.
2002-07-31 | Tinny Ng | [Bug 3788] very long lines in CppErrMsgs_EN_US.hpp causes problems for OS390 compiler.
2002-07-31 | Eric Zurcher | [Bug 11099] BCB6 project for Xerceslib 2.0 has wrong files.
2002-07-31 | Tinny Ng | [Bug 6321] gmake error in regx/Makefile.in.
2002-07-30 | Tinny Ng | [Bug 8550] No explanation of XMLFormatter escape options.
2002-07-30 | Khaled Noaman | Create default attributes with the namespace URI mapped to the attributes' prefixes.
2002-07-29 | PeiYong Zhang | Build Xerces with ICU -- Itanium/WinXP/IntelC++Compiler.
2002-07-29 | Tinny Ng | [Bug 9084] scripts/packageBinaries -j option not well documented.
2002-07-29 | Tom Keane | [Bug 9533] Win32TransService does not recognize aliases for encodings.
2002-07-26 | Tinny Ng | Memory Leak in DOMDocumentTypeImpl.
2002-07-26 | Joé St-Germain | [Bug 10337] XMLString::patternMatch doesn't find pattern in particular context.
2002-07-26 | David Bertoni | [Bug 11189] Tru64 utilities missing implementation of new functions.
2002-07-26 | Jonathan Lennox | [Bug 2681] Can't build with gcc/g++ not named 'gcc'/'g++'.
2002-07-26 | Khaled Noaman | For a given DOM Element and DOM DocumentType node, explicitly cast to the implementation of that DOM node when calling setReadOnly.
2002-07-26 | Khaled Noaman | Public/System id for notations should be stored as NULL if missing.
2002-07-25 | Robert Buck | [Bug 11141] Fix To Broken VC7 Builds.
2002-07-25 | Khaled Noaman | [Bug 11153] getOwnerDocument() on PI that's child of Document returns NULL.
2002-07-24 | Khaled Noaman | Remove check for disallowed encodings - not needed anymore.
2002/07/23 | Tinny Ng | Build with ICU 2.2.

| Release Information for Xerces-C++ 2.0.0: July 23, 2002 |

| Below is the list of fixed bugzilla bugs that are resolved in this release, Xerces-C++ 2.0.0.

Date | Contributor | Description
2002-07-19 | Tinny Ng | [Bug 10968] Default attributes from Schema not restored by removeAttribute.
2002-07-18 | Khaled Noaman | Feature to control strict IANA encoding name.
2002-07-18 | Tinny Ng | [Bug 9707] config.guess out of date. From AutoConf dated July 18, 2002, CVS Tag AUTOCONF-2_53b.
2002-07-17 | PeiYong Zhang | Add Win64 to Windows VC6 Project files
2002-07-16 | Tinny Ng | [Bug 6070] warning unused variable in HandlerBase.hpp.
2002-07-16 | Tinny Ng | [Bug 6576] Exception on processing UTF-16 InputSource buffer with set encoding.
2002-07-16 | Tinny Ng | [Bug 6590] Improper Internal subset filling.
2002-07-16 | Alberto Massari | [Bug 7458] Schema validator does not automatically associate the xml prefix to the "http://www.w3.org/XML/1998/namespace" URI.
2002-07-16 | Case Larsen | [Bug 9502] purify UMR in DocumentImpl::DocumentImpl.
2002-07-16 | Case Larsen | [Bug 9553] purify UMR in XMLRecognizer::basicEncodingProbe.
2002-07-16 | Tinny Ng | [Bug 10651] CMStateSet.hpp includes both memory.h and string.h.
2002-07-16 | Tinny Ng | [Bug 10648] DOMDocumentImpl misaligned allocations on machines with a 64 bits 'long' type.
2002-07-15 | Tinny Ng | DOM Level 3 C++ Binding.
2002-07-15 | Tinny Ng | DOM L3: DOMText::getIsWhitespaceInElementContent, DOMDocument::set/getStrictErrorChecking.
2002-07-15 | Robert Buck | [Bug 10834] Update version header to handle two digit revision and patch levels.
2002-07-12 | Khaled Noaman | Grammar caching/preparsing.
2002-07-12 | Khaled Noaman | Add getRootGrammar and modify SEnumVal.
2002-07-12 | James Berry | Add some support for testing of Mac OS X builds with GCC3 compiler.
2002-07-12 | James Berry | [Bug 10649] XercesDefs.hpp and AutoSense.hpp assume CodeWarrior is MacOS.
2002-07-10 | Tinny Ng | Enable embedded path link option in HP.
2002-07-10 | Robert Buck | [Bug 9154] Requesting Xerces Version Macro.
2002-07-08 | PeiYong Zhang | [Bug 10525] runConfigure fails to recognize '-d' flag.
2002-07-05 | Max Gotlib | [Bug 10250]: Implementation of new platform methods in FreeBSD.
2002-07-05 | Tinny Ng | [Bug 9788] VecAttrListImpl::getValue skips prefix if SAX namespace validation is on.
2002-07-05 | Robert Buck | [Bug 10065] xml4com bugs found when porting to Visual Studio .NET project files.
2002-07-05 | Tinny Ng | [Bug 10105] Exception in parse() despite setErrorHandler().
2002-07-05 | Tinny Ng | [Bug 10119] Grammar::getGrammarType need a const modifier.
2002-07-05 | Max Gotlib | [Bug 10252] Modify FreeBSD build environment for the samples.
2002-07-04 | PeiYong Zhang | [Bug 10482] XMLUri crashes with empty fragment.
2002-07-04 | Max Gotlib | [Bug 10253] Bugfix for the IconvFBSD transcoder.
2002-07-04 | Tinny Ng | [Bug 10336] Error in Error Message (set 3, #56, English).
2002-07-04 | Tinny Ng | DOM L3: Add DOMDocument::renameNode.
2002-06-27 | Tinny Ng | DOM L3: Add DOMNode::isSameNode and DOMNode::isEqualNode.
2002-06-25 | Tinny Ng | Add "adoptDocument" to XercesDOMParser so that document can optionally live outside the parser.
2002-06-25 | Tinny Ng | [Bug 7675] IDOM memory management problem.
2002-06-25 | Tinny Ng | DOM C++ Binding: add function release().
2002-06-24 | James Berry | Support CodeWarrior 8. (Important Note: Since Codewarrior 8 at long last supports HFS+ long file names, these projects now directly reference the src/xercesc files instead of the previously shortened file names in the MacSrc directory. With CodeWarrior 8 and these projects it is no longer necessary to run the perl script ShortenNames.pl to generate that MacSrc directory.)
2002-06-24 | Robert Buck | [Bug 10067] SEnumVal bugs found when porting to Visual Studio .NET.
2002-06-24 | Robert Buck | [Bug 10180] New Visual Studio .NET Project Files.
2002-06-18 | Khaled Noaman | DOM L3: Add Wrapper4DOMInputSource and Wrapper4InputSource.
2002-06-18 | Khaled Noaman | DOM L3: Modify DOMCount to modify DOMBuilder.
2002-06-18 | Peter A. Volchek | Bug#9950: Compilation error on MSVC5.
2002-06-17 | Tinny Ng | Add feature "http://apache.org/xml/features/validation-error-as-fatal", and users should use setFeature instead of setValidationConstraintFatal in SAX2XMLReader.
2002-06-17 | Tinny Ng | Add feature "http://apache.org/xml/features/continue-after-fatal-error", and users should use setFeature instead of setExitOnFirstFatalError in SAX2XMLReader.
2002-06-17 | Tinny Ng | Name Xerces features as XMLUni::fgXercesXXXX instead of XMLUni::fgSAX2XercesXXXX so that they can be shared with DOM parser.
2002-06-14 | PeiYong Zhang | Build 64bit production on Itaniums platform (Windows and Linux) using Intel Compiler.
2002-06-12 | Tinny Ng | DOM L3: Add DOMUserDataHandler, DOMNode::set/getUserData.
2002-06-12 | Tinny Ng | Fix: Thread-safety in DOMString. The reference or update to DOMString::gLiveStringHandleCount should be synchronized (locked).
2002-06-07 | Tinny Ng | DOM L3: Add Entity::get/setActualEncoding, get/setEncoding, get/setVersion.
2002-06-07 | Tinny Ng | DOM L3: Add Document::get/setActualEncoding, get/setEncoding, get/setVersion, get/setStandalone, get/setDocumentURI.
2002-06-03 | Tinny Ng | DOM L3: Add DOMImplementationRegistry and DOMImplementationSource.
2002-05-30 | Tinny Ng | Add feature http://apache.org/xml/features/nonvalidating/load-external-dtd to optionally ignore external DTD.
2002-05-29 | Khaled Noaman | DOM L3: Add DOMInputSource, DOMEntityResolver, DOMImplementationLS and DOMBuilder.
2002-05-29 | Gereon Steffens | [Bug 9489] Malformed HTTP GET Requests in UnixHTTPUrlInputStream.
2002-05-28 | PeiYong Zhang | DOM L3: Modify DOMPrint to use DOMWriter.
2002-05-28 | PeiYong Zhang | DOM L3: Add DOMWriter, DOMWriterFilter, LocalFileFormatTarget, StdOutFormatTarget, and MemBufFormatTarget.
2002-05-28 | Tinny Ng | [Bug 9104] prefixes dissapearing when schema validation turned on.
2002-05-27 | Tinny Ng | Add DOMDocumentRange and DOMDocumentTraversal.
2002-05-27 | Khaled Noaman | Performance: Lazily store top-level components to eliminate unnecessary traversal of DOM tree when looking up for a top level component.
2002-05-27 | Khaled Noaman | Performance: Use pre-built element-attribute map table.
2002-05-27 | Tinny Ng | To get ready for 64 bit large file, use XMLSSize_t to represent line and column number.
2002-05-27 | Tinny Ng | Define XMLSize, XMLSSize_t and their associate MAX.
2002-05-24 | Khaled Noaman | Performance: Eliminate mulitple calls to addRange and sort in regx.
2002-05-23 | Khaled Noaman | Performance: Use XMLBufferMgr instead of local creation of XMLBuffer(s).
2002-05-22 | Khaled Noaman | DOM L3: Add AbstractDOMParser, DOMError, DOMErrorHandler, and DOMLocator.
2002-05-21 | Tinny Ng | DOM Reorganization (rename IDOM and deprecate old DOM) and other documentation update.
2002-05-19 | James Berry | [Bug 9237] Encoding spec in lower case (DTD/XML) not recognized.
2002-05-10 | Tinny Ng | [Bug 8967] Default element behaviour is incorrect (schema only).
2002-05-08 | Martin Kalen | [Bug 7701] NameIdPoolEnumerator copy constructor should call base class.
2002-05-08 | PeiYong Zhang | [Bug 8899] Missing implementation of Op::Op(const Op&) causes Intel C++ Win32 link to fail.
2002-05-08 | Khaled Noaman | [Bug 8301] INFINITY used as enum member.
2002-05-08 | David Bertoni | [Bug 8381] XMLScanner performance fixes.
2002-05-08 | PeiYong Zhang | [Bug 8898] SchemaElementDecl doesn't compile with Intel C++ for IA32.
2002-05-07 | Tinny Ng | Schema Fix: re-add the ID, IDREF ... datatype validators only if they were not there.
2002-05-07 | Khaled Noaman | Update SAX2 documentation to tell users it is necessary to delete the parser returned by XMLReaderFactory::createXMLReader.
2002-05-07 | David Bertoni | [Bug 8852] UnixHTTPURLInputStream.cpp includes unneeded file.
2002-05-06 | David Bertoni | [Bug 8492] Incorrect HP link options.
2002-05-03 | Martin Kalen | [Bug 7341] Missing newline at end of util and DOM source files.
2002-05-03 | Martin Kalen | [Bug 7261] Remove obsolete define in UnixWareDefs.hpp.
2002-05-03 | PeiYong Zhang | [Bug 8769] UMR (uninitialized memory read) detected by memory tool.
2002-05-01 | Tinny Ng | [Bug 7265] UnixWare port broken in platformTerm().
2002-04-24 | Jason Stewart | [Bug 8495] URLInputSource constructor initializes fURL member incorrectly.
2002-04-22 | PeiYong Zhang | Build AIX 64 bit binary.
2002-04-19 | Khaled Noaman | [Bug 8236] Problem with recursive and derived elements.
2002-04-18 | PeiYong Zhang | [Bug 7301] Redundant range-check in HexBin.cpp.
2002-04-17 | Tinny Ng | [Bug 7583] Build warnings with MS Visual Studio .NET.
2002-04-17 | Tinny Ng | [Bug 7493] The word "occured" is misspelled and it is a global error.
2002-04-17 | PeiYong Zhang | [Bug 8195] Invalid path to build 'samples' target.
2002-04-16 | PeiYong Zhang | [Bug 8156] Bad path name breaks build.
2002-04-16 | PeiYong Zhang | [Bug 8168] Error when attempting to build NetAccessors.
2002-04-09 | Khaled Noaman | [Bug 7706] XMLString::lowerCase() does not work.
2002-04-09 | PeiYong Zhang | [Bug 6095] Modify .so name to have version number.
2002-04-08 | Tinny Ng | ICU 2.0.2 Update.
2002-04-04 | Khaled Noaman | Change min/maxOccurs from unsigned int to int.
2002-04-03 | Khaled Noaman | [Bug 7565] Attributes in different namespaces produce a Fatal Exception.
2002-04-03 | Tinny Ng | check null string first in isWSCollapsed and fix [Bug 6902] Typo in XMLString.cpp.
2002-04-02 | Martin Kalen | [Bug 7555] Enable AIX build with newer xlC versions.
2002-04-02 | Khaled Noaman | Modiy QName comparison (operator==).
2002-04-01 | Tinny Ng | According to DOM spec, setNodeValue by default is no-op.
2002-04-01 | Tinny Ng | Do not issue DOM_DOMException::INUSE_ATTRIBUTE_ERR if the owner is the same.
2002-04-01 | Tinny Ng | DOMString problem with Asian codepages.
2002-04-01 | PeiYong Zhang | [Bug 7551] Exceptions are caught by value, rather than by reference.
2002-04-01 | Tinny Ng | [Bug 7585] xml4com.dsp - Cannot open source file.
2002-04-01 | Khaled Noaman | [Bug 7297] Validation of schema included in document fails with improper error.
2002-04-01 | Khaled Noaman | Move Element Consistency checking (ref to global declarations) to SchemaValidator.
2002-03-27 | Tinny Ng | [Bug 1173] DOMParser entity resolution property is messed about.
2002-03-27 | Tinny Ng | Fix: not all the children of EntityReference Node is set to readOnly.
2002-03-27 | Tinny Ng | Should call setReadOnly instead of isReadOnly to populate the flag.
2002-03-27 | Tinny Ng | [Bug 3010] DocumentImpl::importNode - Missed Readonly Flag Restore.
2002-03-27 | Tinny Ng | Correct count element routine in IDOMCount.
2002-03-26 | Khaled Noaman | [Bug 7471] Failed to validate correctly when schema has <xsd:extension> and the base has an attribute.
2002-03-25 | Khaled Noaman | Move particle derivation checking from TraverseSchema to SchemaValidator.
2002-03-22 | Khaled Noaman | [Bug 7358] About TraverseSchema::traverseSimpleTypeDecl member function.
2002-03-21 | Khaled Noaman | Add support for reporting line/column numbers of schema errors.
2002-03-19 | PeiYong Zhang | [Bug 7164] DOMParser with a DTD leak!
2002-03-19 | Khaled Noaman | Fix for declarations referenced from a different NS in the case of a circular import.
2002-03-19 | PeiYong Zhang | [Bug 7243] Base64 encoding is not working.
2002-03-19 | Khaled Noaman | [Bug 7074] Unwarranted error regarding "no circular definitions allowed".
2002-03-18 | Khaled Noaman | [Regx Fix] Change constant names to eliminate possible conflict with user defined ones.
2002-03-18 | Tinny Ng | [Bug 7162] IconvFreeBSDTransService.cpp needs an #include statement fixed to use xercesc.
2002-03-15 | Tinny Ng | [Bug 6888] NodeIterator. Retrofit this typo that was applied to Xerces-J, although this function "matchNodeOrParent" is not used in Xerces-C++.
2002-03-15 | Tinny Ng | DOMString Thread safe Fix: should lock the entire deleter function where freeListPtr and blockListPtr are modified.
2002-03-15 | Tinny Ng | Issue DOMException::INDEX_SIZE_ERR if count is greater than length, equal to length is ok.
2002-03-14 | Tinny Ng | IDOM Fix: Issue IDOM_DOMException::INDEX_SIZE_ERR if count or offset is negative.
2002-03-14 | Tinny Ng | IDOM Fix: Initialize fPublic/fSystemId to zero in IDNotationImpl.
2002-03-14 | Tinny Ng | Certain IDOM Node should call fParent.normalize().
2002-03-14 | Tinny Ng | Run methods test[NodeType] in the IDOMTest and other fixes.
2002-03-12 | Mark Russell | [Bug 1687] resValue not always updated when making a transcoder.
2002/03/11 | PeiYong Zhang | [Bug 7000] The URL is corrupted in UnixHTTPURLInputStream.cpp.

| Release Information for Xerces-C++ 1.7.0: March 8, 2002 |

| Below is the list of fixed bugzilla bugs that are resolved in this release, Xerces-C++ 1.7.0.

Date | Contributor | Description
2002-03-07 | Tinny Ng | Add a keys file to store public key of committers who sign and upload packages to Apache.
2002-03-07 | PeiYong Zhang | Call Terminate() to avoid memory tools reporting memory leak in Traversal test cases.
2002-03-06 | PeiYong Zhang | Schema: Allow [+]? [0]* '.'? [0]* and normalize the input to positive zero string. And similarly input conforming to '-' [0]* '.'? [0]* is normalized to negative zero.
2002-03-04 | Tinny Ng | [Bug 2869] AIX 4.3.3 mutex/atomic-operation changes for build.
2002-03-04 | Khaled Noaman | [Bug 6834] apparently correct schema/instance not validating.
2002-03-01 | Tinny Ng | NodeIDMap informational message about growing only be printed if debug is on. Besides the throw message should be encap in the XMLErrList_EN_US.Xml, not hardcoded in the code.
2002-02-28 | PeiYong Zhang | [Bug 2717] Unterminated INCLUDE section causes infinite loop with setExitOnFirstFatalError(false)
2002-02-28 | Tinny Ng | Fix: ReaderMgr Should check if XMLReader is created successfully.
2002-02-28 | Tinny Ng | [Bug 1368] improper DOMStringHandle locking.
2002-02-28 | Martin Kalen | [Bug 6445] Caldera (SCO) OpenServer Port.
2002-02-27 | Tinny Ng | Fix: default attribute are not added when namespace is on and validation is off.
2002-02-27 | Tinny Ng | Fix: SAX AttributeList::getName should attach prefix if present
2002-02-26 | Tinny Ng | [Bug 6672] SAXValidator results in an access violation when validating against schema with empty element that has default value.
2002-02-26 | Khaled Noaman | Fix: Create ZeroOrOne node for PCDATA only if needed.
2002-02-25 | Tinny Ng | Schema Fix: Thread-safe the built-in datatype validator registry.
2002-02-25 | Tinny Ng | Schema Fix: Ensure no invalid uri index for UPA checking.
2002-02-25 | Tinny Ng | Merge IThreadTest and ThreadTest. Modify ThreadTest to do schema processing, and add ThreadTest to sanityTest.pl
2002-02-20 | Don Mastrovito | Project files for BCB6.
2002-02-20 | Tinny Ng | [Bug 2845] HP-UX 10.20 with CC A.10.40 needs +Z instead of +z.
2002-02-20 | Tinny Ng | [Bug 5977] Warnings on generating apiDocs.
2002-02-18 | PeiYong Zhang | Fix: Add code for ContentSpecNode::All in formatNode.
2002-02-18 | James Berry | Add support for building with new MacOSURLAccessCF NetAccessor that doesn't require Carbon but can allow Xerces to live solely within CoreServices layer.
2002-02-17 | James Berry | [Bug 6092] stricmp and strnicmp not present in FreeBSD.
2002-02-17 | James Berry | Update Mac OS projects to reflect "sane includes" changes.
2002-02-15 | Tinny Ng | Add IDOM to API documentation.
2002-02-15 | PeiYong Zhang | Base64 interface redefined for conversion in XMLByte.
2002-02-14 | PeiYong Zhang | Add getEnumString to DatatypeValidator.
2002-02-14 | Khaled Noaman | [Bug 6461] Unexpected recursion errors reported against schema.
2002-02-13 | Khaled Noaman | Add constraint checking for the extension of an 'all' content model.
2002-02-13 | Khaled Noaman | [Bug 4581] erroneous static cast in programming examples.
2002-02-13 | Khaled Noaman | [Bug 6336] Output of XMLString::transcode not freed?
2002-02-13 | Khaled Noaman | Update samples to use SAX2 features/properties constants from XMLUni.
2002-02-11 | PeiYong Zhang | [Bug 6330] Base64::encode does not work.
2002-02-11 | Tinny Ng | [Bug 2715] Build recursion suppresses make failures.
2002-02-11 | Tinny Ng | [Bug 2496] libxerces-c1_5_0 fails to build correctly on Solaris.
2002-02-06 | Khaled Noaman | Added a new flag '-p' to SAX2 samples to set the 'namespace-prefixes' feature.
2002-02-06 | Khaled Noaman | Use IDOM for schema processing.
2002-02-05 | Tinny Ng | Remove 3rd party jar style-apachexmljar, expand into physical files.
2002-02-05 | Tinny Ng | Add IDOMMemTest.
2002-02-05 | Tinny Ng | Modify InitTermTest to take option flag like -s, -f , and -n.
2002-02-05 | Tinny Ng | [Bug 5716] Can't parse with Validation more than one file.
2002-02-05 | Tinny Ng | Recognize IBM01140 (IANA encoding) as alias of intrinsic encoding IBM1140.
2002-02-04 | Tinny Ng | [Bug 6114] Memory leaks on IDOM getElementsByTagName().
2002-02-04 | Tinny Ng | Add DOM Level2 missing functions: NodeIterator::getRoot, TreeWalker::getRoot Element::hasAttribute, Element::hasAttributeNS and Node::hasAttribute
2002-02-04 | Tinny Ng | Memory leak fix in samples / test cases.
2002-02-01 | PeiYong Zhang | src and include folder reorganization for "sane_include".
2002-01-28 | Khaled Noaman | Fix: some SAX calls were not passed to the LexicalHandler.
2002-01-29 | Tinny Ng | Remove those jar files that are not clear in license issue.
2002-01-28 | Khaled Noaman | Add a 'null' string constant in XMLUni.
2002-01-28 | Khaled Noaman | Add SAX2-ext's DeclHandler support.
2002-01-28 | Khaled Noaman | The namespace-prefixes feature in SAX2 should be off by default.
2002-01-24 | Tinny Ng | [Bug 3111] Problem with LexicalHandler::startDTD() and LexicalHandler::endDTD().
2002-01-23 | Tinny Ng | Progressive parse does not do post-validation and thus ID/IDREF are not checked.
2002-01-23 | Tinny Ng | [Bug 5545] Progressive Parse trashes when encountering "<! ... "
2002-01-23 | Tinny Ng | Update DOM/IDOM hasFeature method to correctly reflect current status. And add more hasFeature test to DOMMemTest.
2002-01-21 | Tinny Ng | Some intrinsic encodings support (e.g. UTF-16) only work as input encoding while reading in XML data; but do not work as output encoding in XMLformatter.
2002-01-21 | Tinny Ng | Document encoding alias for intrinsic encoding support.
2002-01-21 | Tinny Ng | [Bug 5847] ICUMsgLoader can't be compiled with gcc 3.0.3 and ICU2. And also fix the memory leak introduced by Bug 2730 fix.
2002-01-18 | Max Gotlib | Adds the capability to compile the tests under FreeBSD and either ICU or IconvFBSD transservice (the transcoding service is automatically detected during configuration stage), with or without pthreads.
2002-01-18 | Tinny Ng | [Bug 5371] runConfigure extra linker options ignored in Makefiles for tests and samples.
2002-01-18 | Tinny Ng | Break program.xml which takes too long to load, into program-sax.xml, program-sax2.xml program-dom.xml, program-idom.xml.
2002-01-18 | Tinny Ng | Break faq-parse.xml which becomes longer and longer into faq-parse.xml and faq-build.xml to better categorize the FAQ, and update the FAQ
2002-01-18 | Tinny Ng | Create symbolic link to those duplicate ICU libraries, instead of physical duplicate copies.
2002-01-15 | Khaled Noaman | [Bug 5807] Parser produces unexpected errors from 'Good' document.
2002-01-14 | PeiYong Zhang | XMLURi bug fix: related to Authority and wellformedAddress
2002-01-14 | Max Gotlib | [Bug 5570] DOM_Range lacks the copy constructor.
2002-01-14 | Max Gotlib | Support IconvFBSD in multi-threading environment with all the possible combinations of threading and transcoding options.
2002-01-10 | Khaled Noaman | [Bug 5786] Unexpected Schema errors.
2002-01-03 | Khaled Noaman | Fix for identity constraints - union operation.
2002-01-03 | Khaled Noaman | Resolve namespace first before resolving the schema location in <import>.
2002-01-03 | Khaled Noaman | [Bug 5675] Use of setExternalSchemaLocation() yields inconsistent behavior.
2002-01-02 | Khaled Noaman | Fix for validity constraint check for standalone documents.
2002-01-02 | Khaled Noaman | Fix for regular expression patterns that begin with ".".
2002-01-02 | Khaled Noaman | Fix for error message when checking for attributes with a namespace prefix.
2002-01-02 | Khaled Noaman | [Bug 5569] <extension> does not work -- ancestor elements not recognized.
2002-01-02 | Tinny Ng | Schema Fix: should not store a temp value as the key in the element pool and the attribute pool.
2001-12-22 | Jason Stewart | [Bug 4953] Propagate existing CFLAGS and CXXFLAGS.
2001-12-21 | Jason Stewart | [Bug 5514] XMLEnumerator needs virtual destructor.
2001-12-21 | Tinny Ng | [Bug 2680] Remove '-instances=static' from the compile step.
2001-12-21 | Tinny Ng | [Bug 1833] LexicalHandler::startDTD not called correctly.
2001-12-21 | Frank Balluffi | [Bug 5466] Memory Leak: ElementImpl.cpp's ElementImpl::ElementImpl copy constructor does not cleanup attributes before assignment.
2001-12-21 | Frank Balluffi | [Bug 5464] Memory Leak: DocumentImpl::importNode does not delete old attribute if its reference count equals zero.
2001-12-21 | Tinny Ng | Schema fix: leading whitespace should be preserved for CData type.
2001-12-14 | Khaled Noaman | Add surrogate support to comments and processing instructions.
2001-12-14 | Tinny Ng | Performance: Do not transcode twice in DOMString constructor.
2001-12-14 | Tinny Ng | update BUILDINSTRUCTIONS.TXT to be in sync with build instruction in build*.xml.
2001-12-13 | PeiYong Zhang | Fix: Invalid Argument to FreeLibrary (Hint: 0x0000000).
2001-12-13 | Linda Swan | iSeries (AS/400) documentation update and other iSeries related fixes.
2001-12-13 | Khaled Noaman | [Bug 5410] non-schema <attribute> attributes cause error.
2001-12-12 | Tinny Ng | Fix typos in messages.
2001-12-12 | PeiYong Zhang | Memory leak: fRedefineList.
2001-12-12 | Tinny Ng | [Bug 5367] Progressive parse does not throw error when file is empty.
2001-12-12 | Tinny Ng | Performance: Remove obsolete code in ElemStack.
2001-12-11 | Max Gotlib | More changes to IconvFBSDTransService. Allow using "old" TransServece implementation (via '-t native' option to runConfigure) or to employ libiconv (it is a part of FreeBSD ports-collection) services.
2001-12-11 | Christopher Just | [Bug 5320] 1.5.2 Build fails on IRIX. The variable "atomicOpsMutex" has been defined twice.
2001/12/10 | PeiYong Zhang | Swap checking to avoid "dangling pointer" reported by BoundsChecker.
2001-12-10 | PeiYong Zhang | Memory Leak: fLeafNameTypeVector.

| Release Information for Xerces-C++ 1.6.0: December 6, 2001 |

| Below is the list of fixed bugzilla bugs that are resolved in this release, Xerces-C++ 1.6.0.

Date | Contributor | Description
2001-12-06 | Khaled Noaman | Schema: Add Identity Constraint(Key, KeyRef, Unique, Selector, Field, and Partial XPath Support). Add XPathSymbols, XPathMatcherStack, XPathMatcher, XPathException,
XercesXPath,
ValueStoreCache,
ValueStore,
IdentityConstraint,
IC_Unique,
IC_Selector,
IC_KeyRef,
IC_Key,
IC_Field,
FieldValueMap,
FieldActivator.
Support Particle Derivation Constraint Checking.
2001-12-06 | PeiYong Zhang | DatatypeValidator: Support DateTimeValidator, DateTimeDatatypeValidator, DateDatatypeValidator, TimeDatatypeValidator,
DayDatatypeValidator,
MonthDatatypeValidator,
MonthDayDatatypeValidator,
YearDatatypeValidator,
YearMonthDatatypeValidator,
DurationDatatypeValidator.
Add SchemaDataTimeException,
XMLAbstractDoubleFloat,
XMLDateTime.
2001-12-06 | Tinny Ng | [Bug 1959] setNodeValue throws exception when spec specifies NOP.
2001-12-06 | Erik Rydgren | [Bug 2174] Bug in NamedNodeMapImpl.
2001-12-06 | Henry Zongaro | Performance Enhancement. Added setNPrefix and setNLocalPart methods in QName that allow code to take advantage of the fact that it knows the length of the prefix and local name, when possible.
2001-12-06 | Henry Zongaro | Performance Enhancement. Added a second ContentSpecNode constructor that allows the QName to be just assigned, not copied.
2001-12-06 | Henry Zongaro | Performance Enhancement. Added a second CMLeaf constructor that indicated the QName passed in was to be adopted.
2001-12-06 | Henry Zongaro | Performance Enhancement. Modify the handling of the fNEL option so that it results in fgCharCharsTable being modified, instead of having all of the low-level routines check the option.
2001-12-06 | Tinny Ng | Make the runConfigure and associated config*, Makefile* in folders tests, samples and src more consistent.
2001-12-05 | Khaled Noaman | [Bug 1236] Incorrect NMTOKENS attribute normalization.
2001-12-05 | Khaled Noaman | [Bug 2752] Surrogate support incomplete.
2001-12-05 | Edward Avis | Fix runConfigure which can run into infinite loop with invalid argument
2001-12-05 | Tinny Ng | Generate linker map for certain platforms
2001-12-03 | Tinny Ng | [Bug 5237] PATH_MAX undefined during build without threading support.
2001-12-03 | Tinny Ng | [Bug 5179] Misprint in downcasting description.
2001-12-03 | Max Gotlib | Add FreeBSD native transcoder (IconvFBSD).
2001-11-30 | PeiYong Zhang | Build all tests on HP-UX 11.
2001-11-29 | Michael Huedepohl | Add FreeBSD Support.
2001-11-28 | PeiYong Zhang | DOMMemTest: delete compiler generated temporary DOMString object "Hello Goodbye".
2001-11-28 | Tinny Ng | Fix broken ParserTest.
2001-11-28 | Tinny Ng | Do not increment the error count if it is a warning.
2001-11-28 | Phil Brown | [Bug 4019] XMLReader::getNextChar can over read (UTF-16).
2001-11-28 | Tinny Ng | [Bug 4544] DOM_NodeList::getLength incorrect when called twice for empty list.
2001-11-28 | Artur Klauser | [Bug 2238]libWWW problems with broken proxys and range requests.
2001-11-28 | Artur Klauser | [Bug 2237] libWWW redirect error.
2001-11-28 | Matt Lovett | [Bug 4422] BinMemInputStream::readBytes is inefficient.
2001-11-28 | Tinny Ng | [Bug 3683] Access Violations when performing custom schema validation.
2001-11-28 | Tinny Ng | Check tohash pointer before accessing content in XMLString::hash.
2001-11-27 | Tinny Ng | Fix packageBinaries.pl to correctly strip the zip file name from the target directory which has "." dot in it.
2001-11-26 | Don Mastrovito | BCB4 can use wchar_t.
2001-11-23 | Tinny Ng | Support ICU 2.0.
2001-11-23 | Tinny Ng | Eliminate Warning from Solaris Forte C++: Warning (Anachronism): Formal argument start_routine of type extern "C".
2001-11-23 | Tinny Ng | Eliminate Warning from Solaris Forte C++: Warning: String literal converted to char* in initialization.
2001-11-23 | Tinny Ng | Eliminate Warning from AIX xlC 3.6:1540-399.
2001-11-23 | Tinny Ng | [Bug 4655] config.status be included in all future binary releases.
2001-11-23 | Tinny Ng | [Bug 4873] ICU 2.0 breaks Xerces 1.5.2 build.
2001-11-22 | PeiYong Zhang | Eliminate Visual C++ compiler warning C4273.
2001-11-22 | PeiYong Zhang | Schema: Allow "0.0" to be a valid lexcial representation of ZERO.
2001-11-21 | Peter A. Volchek and PeiYong Zhang | Add sample SEnumVal.
2001-11-21 | Tinny Ng | New method InputSource::get/setIssueFatalErrorIfNotFound to tell the parser whether to issue fatal error or not if cannot find it (the InputSource). This is required for schema processing as it shouldn't be a fatal error if the schema is not found.
2001-11-20 | Tinny Ng | Allow schemaLocation and noNamespaceSchemaLocation to be specified outside the instance document. New methods setExternalSchemaLocation and setExternalNoNamespaceSchemaLocation are added (for SAX2, two new properties are added).
2001-11-19 | PeiYong Zhang | XMLFloat and XMLDouble boundary Values updated.
2001-11-16 | Tinny Ng | Add test case InitTermTest to test XMLPlatformUtils:Initialize/Terminate() pair.
2001-11-16 | Khaled Noaman | Design change: GeneralAttributeCheck is not longer a singleton class.
2001-11-15 | Khaled Noaman | Re-organize constant values in XMLAttDef.
2001-11-13 | Tinny Ng | Move root element check from XMLValidator to XMLScanner and deprecate XMLValidator::checkRootElement().
2001-11-13 | Tinny Ng | Update documentation for SAX2XMLReader, DefaultHandler and DOMParser.
2001-11-09 | Tinny Ng | Regular Expression: Update the Block Names and Block Range to comply to the latest standard.
2001-11-09 | Carolyn Weiss | DOMIDTest/MemParse fix: Pulled the hardcoded encoding out of the document itself and made it a #define to make it easier to support other encodings.
2001-11-09 | Carolyn Weiss | DOMMemTest fix: Changed some literal values to their equivalent hex values so they work correctly on both ASCII and EBCDIC systems.
2001-11-09 | Linda Swan | Bug Fix: maxChars in XMLString::copyNString is more related to the target than the src.
2001-11-07 | Tinny Ng | Performance: Create QName in ContentSpecNode only if it is a leaf/Any/PCDataNode.
2001-11-07 | Tinny Ng | Performance: move getRawName() to outer loop in DFAContentModel so that it is called only once per outer loop.
2001-11-06 | Khaled Noaman | [Bug 4644] Memory leak in schema traverser.
2001-11-02 | Jason Stewart | [Bug 4133] --prefix not used properly in configure.
2001-11-01 | Jason Stewart | [Bug 2730] Can't build xerces-c-1.5.1 with ICUMsgLoader.
2001-11-01 | Jason Stewart | [Bug 4578] No documentation for XMLTranscoder.
2001-11-01 | Tinny Ng | IDOM: Leak: should allocate the fNodeListPool with the overloaded new.
2001/10/29 | Tinny Ng | Update samples doc to reflect the latest changes. Also update runConfigure usage in build doc to reflect the latest changes.
2001-10-26 | PeiYong Zhang | Thread safe XMLFloat and XMLDouble.
2001-10-26 | Tinny Ng | Update SAX standard web link.

| Release Information for Xerces-C++ 1.5.2: October 26, 2001 |

| Below is the list of fixed bugzilla bugs that are resolved in this release, Xerces-C++ 1.5.2.

Date | Contributor | Description
2001-10-26 | Khaled Noaman | Schema: Support group, attributeGroup, all, any,
anyAttribute,
annotation,
notation,
redefine,
circular import.
Add AnySimpleTypeDatatypeValidator.
Add XercesGroupInfo.
More complex type constraint checking.
2001-10-26 | PeiYong Zhang | DatatypeValidator: Support DoubleDatatypeValidator, FloatDatatypeValidator, AnyURIDatatypeValidator, AbstractStringValidator,
AbstractNumericValidator,
AbstractNumericFacetValidator,
NCNameDatatypeValidator,
NameDatatypeValidator.
Add XMLDouble,
XMLFloat,
XMLInteger,
XMLNumber,
XMLUri.
2001-10-26 | Tinny Ng | Schema: Support xsi:type, Unique Particle Attribution Constraint Checking, anyAttribute in Scanner and Validator. Add XercesElementWildCard,
AllContentModel,
XMLInternalErrorHandler.
2001-10-25 | PeiYong Zhang | XMLDeleterFor related functions and data are removed. Replace with XMLRegisterCleanup.
2001-10-25 | Henry Zongaro | [Bug 2924] runConfigure script to accept multiple linker options.
2001-10-25 | John Warrier | [Bug 2924] runConfigure script to accept multiple compiler options.
2001-10-25 | Mark Weaver | [Bug 4213] BinHTTPURLInputStream initialization not thread safe.
2001-10-25 | John Clayton | [Bug 4121] BinHTTPUrlInputStream needs to read entire HTTP header.
2001-10-25 | Tinny Ng | [Bug 4318] Single threaded build fails due to obsolete #define.
2001-10-25 | Tinny Ng | [Bug 2860] gAtomicMutex should be used when APP_NO_THREADS is not defined in both Tru64 and OS400.
2001-10-25 | Tinny Ng | Comment outside root element should also be reported.
2001-10-24 | PeiYong Zhang | [Bug 4342] Validator mutex is not deleted.
2001-10-24 | PeiYong Zhang | [Bug 3975] XMLPlatformUtils::Initialize() leaks memory after thousands of calls.
2001-10-24 | Kevin Philips | [Bug 3813] BinHTTPURLInputStream has weak HTTP request capabilities.
2001-10-24 | Peter A. Volchek | [Bug 2305] Include stdlib.h to BinHTTPURLInputStream.cpp.
2001-10-24 | Sean Bright | [Bug 2456] loadXML gives an exception.
2001-10-24 | Curt Arnold | Fixed xml4com.idl which attempts to set the version of the type library to 1.5.2 when only major.minor format is allowed.
2001-10-23 | Mark Weaver | [Bug 4060] XMLPlatformUtils leaks a mutex on Solaris, Linux and others.
2001-10-23 | Mark Weaver | [Bug 880] XMLPlatformUtils::Terminate cannot be called more than once.
2001-10-22 | Tinny Ng | [Bug 3660] Off-by-one error in DOMString.cpp.
2001-10-22 | Tinny Ng | Check that memory has been acquired successfully after memory acquisition requests in DOMString.
2001-10-22 | Tinny Ng | [Bug 3361] "String pool id was not legal" error in Attributes::getURI().
2001-10-22 | Linda Swan | castToNodeImpl is inconsistent with other cast routines in IDCasts.
2001-10-19 | James Berry | Add new file name shortening hints; chmod +x.
2001-10-19 | James Berry | Cleanup handling of transcoder failure to transcode a character; implement canTranscodeTo; thanks to Geoff Coffey.
2001-10-19 | James Berry | Correctly swap / and : in classic environment MacOS pathnames; thanks to Geoff Coffey.
2001-10-19 | James Berry | Update MacOS projects for CodeWarrior 7 and ProjectBuilder 1.1, new files.
2001-10-19 | Tinny Ng | [Bug 3909] return non-zero an exit code when error was encountered.
2001-10-19 | Tinny Ng | Modify PParse not to hardcode the number of expected elements as this may vary.
2001-10-19 | David McCreedy | Fixed the binary search in XML256TableTranscoder.cpp which fails for the last item in whichever table it is searching.
2001-10-19 | David McCreedy | Added U+0110 to XMLEBCDICTranscoder.cpp's "Unicode to IBM037" translation table.
2001-10-19 | David McCreedy | Modified DOMPrint and IDOMPrint not to use "endl" method which puts out a newline in the local code page to generate output.
2001-10-18 | Jerry Carter | [Bug 3666] Win32MsgLoader unable to retrieve error text if DLL is renamed.
2001-10-18 | Tinny Ng | Use opt2 on AIX platform.
2001-10-18 | Tinny Ng | [Bug 1699] Redirect "delete this" to a temp ptr to bypass AIX xlC v5 optimization memory leak problem.
2001-10-18 | Tinny Ng | [Bug 4015] IDDOMImplementation::createDocumentType hopelessly broken.
2001-10-16 | Khaled Noaman | [Bug 3750] GeneralAttributeCheck threading bug.
2001-10-15 | Khaled Noaman | [Bug 4177] setupRange uses non-portable code.
2001-10-13 | Jason Stewart | [Bug 2409] undocumented XMLException in LocalFileInputSource::new().
2001-10-13 | Jason Stewart | [Bug 4133] --prefix not used properly in configure.
2001-10-10 | Jason Stewart | XMLURL::parse now throws an exception if it sees a an http URL without two forward slashes ('//') following the protocol.
2001-10-10 | Petr Gotthard | Add "Base64::encode" for encoding binary data.
2001-10-09 | Tinny Ng | [Bug 1685] memory leak after parsing document with validation error. And other miscellaneous memory leak.
2001-10-05 | PeiYong Zhang | [Bug 3831] -1 returned from getIndex() needs to be checked.
2001-10-03 | Tinny Ng | [Bug 3867] IDOM_Element::getElementsByTagName() threading problem.
2001-10-02 | Tinny Ng | Memory leak in IDOM, need to delete the fDocument created.
2001-09-13 | Artur Klauser | Patch: Xerces 1.5 w/ libWWW for Tru64.
2001-09-13 | Artur Klauser | Patch: Xerces 1.5 samples with g++ compiler.
2001-09-12 | PeiYong Zhang | [Bug 3565] Stream leaked in ReaderMgr.
2001-09-12 | Tinny Ng | [Bug 3155] SAX2 does not offer progressive parse.
2001-09-11 | Tinny Ng | [Bug 3523] SchemaElementDecl.cpp(242) : error C2202 : not all control paths return a value.
2001-09-10 | Tinny Ng | Performance: Store the fGrammarType instead of calling getGrammarType all the time for faster performance.
2001-09-04 | Christopher Just | Support IRIX's sproc().
2001-09-04 | Kevin Philips | [Bug 3170] URLs with ? type fragments in them don't work.
2001-08-29 | Henry Zongaro | Allowing -p as argument to -z or -l in runConfigure.
2001-08-29 | Tinny Ng | Performance: Use XMLBufBid instead of XMLBuffer directly for better performance.
2001-08-29 | Tinny Ng | Performance: No need to new the child QName in ElemStack addChild. Remove it for performance gain.
2001-08-22 | Don Mastrovito | Project files for BCB5.
2001-08-21 | PeiYong Zhang | [Bug 2816]Numerous datatype headers cause CC error 1144.
2001-08-21 | PeiYong Zhang | [Bug 3017] MSVC5.0: C2202: 'compareSpecial' : not all control paths return a value.
2001-08-17 | Nick Chiang | Fix to memory leak in buildDFA().
2001-08-16 | PeiYong Zhang | Performance: stateTable created to optimize the identification of new state created.
2001-08-10 | PeiYong Zhang | Add isHex(), isAlphaNum(), isAllWhiteSpace() and patternMatch() in XMLString.
2001-08-09 | Tinny Ng | [Bug 2947]IDOM segfault calling getElementsByTagName() using a DOM_Document().
2001-08-09 | Tinny Ng | Port test case DOMTest to IDOMTest.
2001-08-07 | Tinny Ng | [Bug 2676] IDOM: pure virtual called in IDDeepNodeListImpl::item().
2001-08-07 | Kari Whitcomb | IDOM: Unaligned Access warnings in IDOM samples.
2001-08-02 | Tinny Ng | [Bug 1329] SAX2XMLReaderImpl leaks XMLBuffers.
2001-08-02 | Tinny Ng | Allow DOMCount/SAXCount/IDOMCount/SAX2Count to take a file that has a list of xml file as input.
2001-07-31 | PeiYong Zhang | Fix: memory leak in DFAContentModel::postTreeBuildInit().
2001/07/27 | Tinny Ng | Fix bug in 'transcode' functions reported by Evgeniy Gabrilovich.
2001-07-27 | Tinny Ng | put getScanner() back as they were there before, not to break existing apps.
2001-07-26 | Tinny Ng | [Bug 2751] Several NameChar characters missing from internal tables.
2001-07-26 | Khaled Noaman | [Bug 2815] util/regx/RegxParser.cpp compile fails on HP-UX 10.20 with CC A.10.40.
2001-07-24 | PeiYong Zhang | [Bug 2707] DFAContentModel memory leaks.
2001-07-19 | Tinny Ng | Add IDOMCount, IDOMPrint, SAX2Count, and SAX2Print to samples.dsw.
2001-07-19 | Tinny Ng | Add more tests in sanityTest.pl.

| Release Information for Xerces-C++ 1.5.1: July 18, 2001 |

| Below is the list of fixed bugzilla bugs that are resolved in this release, Xerces-C++ 1.5.1.

Date | Contributor | Description
2001-07-17 | Khaled Noaman | [Bug 2643] - derivation by extension of complex types does not permit addition of ONLY element content.
2001-07-16 | Tinny Ng | [Bug 2410] DOMParser::parse() throws undocumented exceptions.
2001-07-16 | Tinny Ng | [Bug 2512] typing mistake in code example of chapter "Constructing an XML Reader".
2001-07-16 | Tinny Ng | APIDocs fix: default for schema processing in DOMParser, IDOMParser, and SAXParser should be false.
2001-07-15 | James Berry | Add new files to UnionTypeValidator and ListDataTypeValidator to MacOS Project files.
2001-07-09 | Khaled Noaman | Add constraint checking for simple types.
2001-07-11 | PeiYong Zhang | Fix to normalizeWhiteSpace: synchronize fDatatypeBuffer with toFill.
2001-07-05 | PeiYong Zhang | Add ListDatatypeValidator and UnionDatatypeValidator.
2001-07-10 | Tinny Ng | Give proper error message when scanning external id.
2001-07-10 | Tinny Ng | The first char of PI Target Name should be checked.
2001-07-09 | Khaled Noaman | Add <any> declaration.
2001-07-09 | Khaled Noaman | Fixes for import/include declarations.
2001-07-09 | Tinny Ng | Partial Markup in Parameter Entity is validity constraint and thus should be just error, not fatal error.
2001-07-08 | James Berry | Add new samples projects: IDOMPPrint and SAX2Print for ProjectBuilder
2001-07-08 | James Berry | Update ProjectBuilder Xerces project for latest file additions.
2001-07-08 | James Berry | [Bug 2486] Files missing from XercesLib.mcp.
2001-07-08 | James Berry | Add new samples for CodeWarrior build: IDOMPrint and SAX2Print.
2001-07-08 | James Berry | New file for use in building Carbon samples.
2001-07-08 | James Berry | Simplify file existence checks.
2001-07-08 | James Berry | [Bug 2495] Missing ( in xerces-c-src1_5_0/obj/Makefile.in.
2001-07-08 | James Berry | Fix clean and distclean targets; broken because rm fails if passed no files.
2001-07-06 | Tinny Ng | [Bug 2472] Linker options ignored on IRIX.
2001-07-06 | Martin Kalen | Automatic build of single-threaded library.
2001-07-05 | Tinny Ng | Encoding String must present for external entity text decl.
2001-07-05 | Tinny Ng | Standalone checking is validity constraint and thus should be just error, not fatal error.
2001-07-05 | PeiYong Zhang | Add NotationDatatypeValidator, QNameDatatypeValidator and ENTITYDatatypeValidator.
2001-07-04 | PeiYong Zhang | Add IDREFDatatypeValidator and IDDatatypeValidator.
2001-07-04 | PeiYong Zhang | XMLString:isValidName(): to validate Name (XML [4][5]).
2001-07-03 | Tinny Ng | Some compilers (e.g. the HP compiler) has mistaken the parameter 'std', which is short for standalone as the special prefix used by the standard libraries.
2001-07-03 | Miroslaw Dobrzanski-Neumann | Supporting dce threading on AIX and Solaris.
2001-06-27 | David Bertoni | [Bug 2365] Huge performance problem with the parser in XMLScanner::sendCharData().
2001-06-27 | David Bertoni | [Bug 2363] XMLScanner::sendCharData() can send the wrong length to the handler.
2001-06-27 | Khaled Noaman | [Bug 2353] Validating Parser parses after validation failed.
2001-06-27 | Murray Cumming | [Bug 1147] Headers install in wrong directory.
2001-06-26 | Tinny Ng | [Bug 2119] DOMString::print() should use DOMString::transcode() for transcoding.
2001-06-25 | Stephen Dulin | OS390 updates.
2001-06-25 | Linda Swan | AS400 updates.
2001-06-25 | PeiYong Zhang | [Bug 1393] Converting from Unicode to iso8859.
2001-06-25 | Matt Lovett | [Bug 965] scanDocTypeDecl messes up the source offsets.
2001-06-25 | Khaled Noaman | Add constraint checking on elements in complex types.
2001-06-22 | James Berry | [Bug 2277] Bad argument to ConvertFromUnicodeToText.
2001-06-22 | PeiYong Zhang | [Bug 2263] 'SIZE' : redefinition ( BooleanDatatypeValidator.cpp ).
2001-06-22 | Khaled Noaman | [Bug 2258] Bug in Iconv and Iconv390.
2001-06-22 | Tinny Ng | [Bug 2225] assignment vs. comparison in if clause.
2001-06-22 | Tinny Ng | [Bug 2257] 1.5 thinks a <?xml-stylesheet ...> tag is a <?xml ...> tag.
2001-06-21 | Khaled Noaman | [Bug 1946] Standalone validity check only for external decl.
2001-06-21 | Tinny Ng | [Bug 2262] Duplicated header guard.
2001-06-20 | PeiYong Zhang | Proper Debug Guard: Reported by Dean.
2001-06-19 | Tinny Ng | Namespace should be off by default in XMLScanner.
2001/06/19 | Tinny Ng | Add installAdvDocHandler to SAX2XMLReader as the code is there already.
2001-06-19 | Khaled Noaman | Handle maxChars > length(toTranscode).
2001-06-18 | Erik Rydgren | Memory leak fix: to addlevel().
2001-06-18 | Khaled Noaman and PeiYong Zhang | Add support for 'fixed' facet.
2001-06-15 | Khaled Noaman | Added constraint checking for ref on elements.
2001-06-15 | Tinny Ng | ICU 1.8.1 update.

| Release Information for Xerces-C++ 1.5.0: June 15, 2001 |

| Below is the list of fixed bugzilla bugs that are resolved in this release Xerces-C++ 1.5.0.

Date | Contributor | Description
2001-06-15 | Tinny Ng | Schema: Add Schema support in XMLParsers (DOM/SAX/SAX2), XMLScanner. Create SchemaValidator. Add Grammar Model. Support xsi:nil.
Support xsi:schemaLocation and xsi:noNamespaceSchemaLocation.
Update samples to enable schema.
2001-06-15 | Tinny Ng | Break DTDValidator into DTDGrammar, DTDScanner, and DTDValidator.
2001-06-15 | Tinny Ng | IDOM: Complete the Range, TreeWalker, NodeIterator, and other memory fixes. Support IDOM on UNIX platform. Add samples IDOMPrint, and IDOMCount. Add test cases IRangeTest and ITraversal.
2001-06-15 | Khaled Noaman | Schema: Add Regular Expression. Add Schema Messages. Add Schema Simple Type Support. Add Schema Complex Type Support (Except Group).
Add Schema Attribute Declarations support.
Add Schema Element Declarations support.
Support Simple Content and Complex Content.
Support Element and attribute reuse using "ref".
Support Schema Choice and Sequence.
Support Schema Import and Include.
2001-06-15 | Khaled Noaman | DatatypeValidator: Add DatatypeValidator and DatatypeValidatorFactory.
2001-06-15 | PeiYong Zhang | Schema: Add Schema support in Content Model. Add Schema Exception Handling. Add Schema XUtil. Add QName Support.
Support SubstitutionGroup.
2001-06-15 | PeiYong Zhang | DatatypeValidator: Support Base64DatatypeValidator, BooleanDatatypeValidator, DecimalDatatypeValidator, HexBinDatatypeValidator,
StringDatatypeValidator,
InvalidDatatypeFacetException,
InvalidDatatypeValueException.
2001-06-13 | Erik Rydgren | [Bug 812] Memory leak with multiple !ATTLIST on single !ELEMENT.
2001-06-08 | Tinny Ng | [Bug 2043] XMLFormatter unallocates arrays incorrectly.
2001-06-08 | PeiYong Zhang | Documentation and project files update for Xerces 1.5.
2001-06-08 | Khaled Noaman | IDOM Documentation.
2001-06-07 | Khaled Noaman | Fix no error message for faulted-in attributes if reuse grammar for 3+ times.
2001-06-06 | Peter A. Volchek | /Platforms/Win32/Win32PlatformUtils.cpp Include stdlib.h.
2001-06-06 | James Berry | Update Mac OS ProjectBuilder projects.
2001-06-06 | James Berry | Fix invalid file references in project.
2001-06-06 | James Berry | /src/util XMLString.cpp Clean up compiler warning.
2001-06-06 | James Berry | /src/util/regx RegxParser.cpp Fix two improper NULL tests.
2001-06-05 | James Berry | Add support for Mac OS X command line configuration and build.
2001-06-5 | Peter A. Volchek | Add 'const' to getGrammar.
2001-06-04 | PeiYong Zhang | The start tag "<?xml" could be followed by (#x20 | #x9 | #xD | #xA)+.
2001-06-04 | James Berry | Add support for tracking error count during parse; enables simple parse without requiring error handler.
2001-06-01 | Tinny Ng | /scripts/packageSources.pl Keep the BCB4 project files in the source package.
2001-05-22 | James Berry | Check for existence of MacOS Unicode Converter routines prior to instantiating our transcoder object; Xerces will thus panic, rather than crash, if they don't exist. Add support to check for existence of MacOS Unicode Converter to avoid calling through NULL pointer.
2001-05-16 | Henry Zongaro | IDOM: Add DeepNodeList support.
2001-05-16 | Henry Zongaro | IDOM: Add namespace support.
2001-05-10 | Christian Schuhegger | [Bug 1158] built-in buffer limit could be smaller than system limit, use PATH_MAX instead.
2001-05-10 | Arnaud LeHors | [Bug 1605] AttrNSImpl.cpp: fixed typo in constructor.
2001-05-09 | Curt Arnold | [Bug 1500] The public id was set twice and the system id was not set on Notations.
2001-05-04 | Tinny Ng | DOMPrint: Check error before continuing.
2001-05-03 | Tinny Ng | ICU 1.8 update.
2001-05-03 | Khaled Noaman | Added new option to the parsers so that the NEL (0x85) char can be treated as a newline character.
2001-04-23 | Erik Rydgren | DTDScanner: Reuse grammar should allow users to use any stored element decl as root.
2001-04-19 | William L Hopper | Win32PlatformUtils: InterlockedCompareExchange on different Windows.
2001-04-19 | William L Hopper | BCB project changes.
2001-04-16 | James Berry | MacOSUnicodeConverter: Fix include path, Updates to reflect changes for Mac OS X final and Update MacOS projects for Mac OS X final ProjectBuilder.
2001-04-11 | Arnaud LeHors | [Bug 1303] AttrImpl: allow value to be set to null.
2001-04-11 | Tinny Ng | DOMParser: Attribute default values not printed in document type internal subset interface.
2001-04-10 | Tinny Ng | createdocs.bat: fix PDF generation.
2001-04-04 | Alberto Massari | DTDElementDecl: Error checking for null content spec.
2001-04-02 | Andy Heninger | IDOM: imported.
2001-04-02 | Andy Heninger | IThreadTest: imported.
2001-03-30 | Tinny Ng | [Bug 1150] Problems with Namespaces and validating parsing.
2001-03-27 | Roman Sulzhyk | [Bug 1069] Explicit Makefile dependency for 'lib' build.
2001-03-26 | PeiYong Zhang | When Standalone="yes", it is NOT supposed to accept element which is defined in external DTD with #FIXED attribute.
2001-03-26 | Andy Heninger | Update packageBinaries.pl for ICU 1.8. ICU debug .lib file names and locations changed.
2001-03-23 | Jeff Harrell | [Bug 1018] AutoSense looks for "IRIX" when it should look for "sgi" or "__sgi".
2001-03-22 | Roman Sulzhyk | [Bug 1069] The Makefiles fail to locate .cpp -> .o dependency and rebuild .o all the time.
2001-03-22 | John Rope | [Bug 1021] Accessing an XML file using the file "protocol" and a UNC path fails to open the file.
2001-03-09 | Tinny Ng | [Bug 733] Seg fault when trying to parse empty filename.
2001-03-06 | Tinny Ng | [Bug 677] Infinite loop caused by malformed XML. Happen when namespace is on.
2001-03-02 | Martin Kalen | Enabling libWWW NetAccessor support under UNIX. Tested with latest tarball of libWWW (w3c-libwww-5.3.2) under RedHat Linux 6.1.
2001-02-27 | Tinny Ng | [Bug 676] Linux for S/390 build requires -fPIC.
2001-02-22 | Tinny Ng | [Bug 678] StdInParse doesn't output filename or duration.
2001-02-21 | Matt Lovett | ICUTranscoder::transcodeFrom() expects ICU function ucnv_toUnicode to return an extra element in fSrcOffsets to allow us to figure out the last char size, which in fact it is not. The fix is to compute the last char size ourselves using the total bytes used.
2001/02/16 | Andy Heninger | Change limit test to reduce spurious pointer assignment warnings from BoundsChecker.
2001-02-14 | Bob Kline | Better FAQ for the checksum error.
2001-02-14 | Mark Everline | Core dump when UTF-16 encoding contradicts actual encoding.
2001-02-13 | Hiram Clawson | Update samples/tests files for on UnixWare 7.1.1 with gcc 2.95. Add UNIXWARE platform defines to Makefile.incl, add recognition of sysv5uw7 to configure.in, and add unixware as recognized platform to runConfigure.
2001-02-09 | Martin Kalen | Update support for SCO UnixWare 7 (gcc). Tested under UnixWare 7.1.1 with gcc version 2.95.2 19991024 (release) with gmake 3.79.1.
2001-02-08 | Martin Kalen | Enable COMPAQ Tru64 UNIX machines to build xerces-c with gcc (tested using COMPAQ gcc version2.95.2 19991024 (release) and Tru64 V5.0 1094).
2001-02-07 | Bill Schindler | Rearranged statements in Initialize() so that platformInit() is called before an XMLMutex is created.
2001-02-07 | Richard Ko | Storage overlay in ucnv_setFromUCallBack.
2001-02-05 | Tinny Ng | [Bug 766] /src/util/Compilers/CSetDefs.hpp: define NO_NATIVE_BOOL macro only if not pre-defined/reserved.
2001-02-05 | Jordan Naftolin | Add createPDF.jar and apachPDFStyle.xsl to convert documentation xml files to pdf format.

| Release Information for Xerces-C++ 1.4.0: January 31, 2001 |

Date | Contributor | Description
2001-01-26 | Walker Curtis | Undefined symbol error when building a single threaded version of the xerces lib on irix.
2001-01-25 | Arnaud LeHors | Added a flag to turn off error checking in the DOM, this is primarily used while building the DOM from the parser to get better performance.
2001-01-25 | Khaled Noaman | Let users add their encoding to the intrinsic mapping table.
2001-01-25 | Khaled Noaman | const should be used instead of static const. And other clean up bug fixes.
2001-01-24 | Arnaud LeHors | Fixed replaceChild to handle the case where a node is replaced by itself. Cleaned up insertBefore.
2001-01-24 | Tinny Ng | Guard the use of '-ptr${OUTDIR}' in EnumVal/Makefile.in
2001-01-22 | Curt Arnold. | Loads winsock dynamically.
2001-01-19 | Curt Arnold. | COM various updates: updated the GUID's so both can coexist, better error reporting and fixed a new minor bugs.
2001-01-18 | Bill Schindler | FAQ spell check, fix typos, fix grammar, readability editing, clean up formatting, re-organize so related topics appear together.
2001-01-18 | Bill Schindler | Project file updated due to removal of ChildAndParentNode.cpp.
2001-01-17 | Arnaud LeHors | DOM Implementation Optimization.
2001-01-17 | Volker Krause | ElementImpl::getAttributeNS should check null pointer.
2001-01-17 | Arnaud LeHors | Have a single counter global to the document. Removed node basis change counter.
2001-01-17 | Arnaud LeHors | Removed unused field in NodeImpl that was left over.
2001-01-17 | Tinny Ng | Access violations and stack overflows in insertBefore.
2001-01-15 | David Bertoni | Performance Patches.
2001-01-12 | Tinny Ng | Fix style-ibm.zip for documentation generation.
2001-01-12 | Tinny Ng | Remove the two obsolete file: stylesheets\Copy of book2project.xsl and stylesheets\Copy of document2html.xsl in style-apachexml.jar
2001-01-12 | Tinny Ng | Documentation Enhancement: explain values of Val_Scheme.
2001-01-12 | Tinny Ng | Documentation Enhancement: Add list of SAX2 feature strings that are supported.
2001-01-04 | Khaled Noaman | Assertion `size > 0' failure when cloning a node if the last attributes has been removed.
2000-12-28 | James Berry | Omit include carbon.h in favor of specific include files.
2000-12-28 | James Berry | Add or modify cvs header in various files.
2000-12-28 | James Berry | Eliminate compiler warning in RangeImpl.cpp.
2000-12-28 | James Berry | Replace include of Carbon.h with specific include files.
2000-12-28 | James Berry | Move away from include of Carbon.h; include only needed files instead. Fix bug in parsing of upwardly relative paths under classic (thanks to Lawrence You).
2000-12-22 | Tinny Ng | XMLUni::fgEmptyString which is defined as "EMPTY" is incorrectly used as an empty string; in fact XMLUni::fgZeroLenString should be used instead.
2000-12-22 | Tinny Ng | Add the new header LexicalHandler.hpp to Makefile.in.
2000-12-22 | Murray Cumming | removes '-instances=static' from the Linux link sections.
2000-12-22 | David Bertoni | SAX2-ext's LexicalHandler support.
2000-12-14 | Tinny Ng | Better instruction for using packageBinaries.pl. Use symbol XercesCInstallDir and XercesCSrcInstallDir instead of hardcoding the Xerces version number in the file.
2000-12-14 | Tinny Ng | Fix API document generation warning: "Warning: end of member group without matching begin".
2000-12-14 | Tinny Ng | Add RangeTest as part of the xerces-all MSVC++ workspace.
2000-12-12 | Gareth Reakes | null pointer bug.
2000-12-08 | Tinny Ng | Entity Reference cleanup dumping core if the last entity reference is deleted.
2000-12-06 | Tinny Ng | fix the link to FAQ.
2000-12-06 | Tinny Ng | further fixes to Range, and update RangeTest.cpp with more test coverage.
2000-11-30 | Bill Schindler | Spell check, fix typos, fix grammar, readability editing, clean up formatting.
2000-11-30 | Bill Schindler | Remove dead code (old StdOut and StdErr functions); minor clean-up.
2000-11-30 | Tinny Ng | patch to fix a number of Range problems. See mail of 11/21/2000.
2000-11-30 | Tinny Ng | DOM_Text::splitText(), fix off by one error in the test for index too big error.
2000-11-30 | Tinny Ng | reuseValidator - fix bugs (spurious errors) that occurred on reuse due to pools already containing some items.
2000-11-08 | Andrei Smirnov | Build updates for Solaris 2.8 64 bit.
2000/11/07 | Tinny Ng | Bug fix for DTD entity reference problem reported by Tony Wuebben on 10/25.
2000-11-07 | Tinny Ng | config.guess and config.sub updated to newer versions.
2000-11-07 | Pieter Van-Dyck | Change InterlockedCompareExchange for compatibility with Borland BCB5
2000-11-07 | Pieter Van-Dyck | Fix incorrect version number in gXercesMinVersion.
2000-11-01 | Tinny Ng | SAX bug fix: Attribute lists were throwing exceptions rather than returning null when an attribute could not be found by name.
2000-11-01 | Tinny Ng | Scanner bug fix: with progressive parsing, namespace and validation options were not being set correctly. Symptoms included failure to detect ignorable white space.
2000-10-31 | Tinny Ng | DOM NodeIterator bug fix: iterators would sometimes continue beyond their starting (root) node.
2000-10-20 | Andy Heninger | DOMParser bug fix - erroneous attempt to look up name space URIs while scanning default attribute values in DTD removed. Was a crashing bug when namespaces were enabled.
2000-10-20 | Andy Heninger | DOM NodeFilter - define values for FilterAction enum to match those in the DOM spec.
2000-10-19 | Andy Heninger | SAXCount sample, allow multiple files on command line. DOMCount sample, rename error handler class to say that it is an error handler.
2000-10-18 | James Berry | MacOS project file updates. Small code optimization. Add comments to clarify and to reflect new fixed XMLCh size.
2000-10-17 | Andy Heninger | Bug Fix - problems with multi-byte characters on input buffer boundaries.
2000-10-17 | Andy Heninger | DOMPRintFormatTarget, bad override of writeChars fixed (missing const). XMLFormatTarget, removed version of writeChars with no length. Can not be safely used, and obscured other errors.
2000-10-16 | Andy Heninger | Change XMLCh back to unsigned short on all platforms
2000-10-13 | Devin Barnhart | COM: interpret BSTR as UTF-16 in documents
2000-10-13 | Edward Bortner | Solaris: change detection for native support for type bool to defined(_BOOL).
2000-10-13 | Nadav Aharoni | MXLString::trim() bug fix: failure to null terminate result.
2000-10-10 | Bill Schindler | XMLFormatter: Fix problems with output to multi-byte encodings.
2000-10-10 | Andy Heninger | From Janitor, remove the addition that is having compile problems in MSVC.
2000-10-10 | James Berry | Fix a bug in returned length of transcoded string. Add a few comments.
2000-10-09 | James Berry | ProjectBuilder project to build Xerces.
2000-10-09 | James Berry | Numerous Changes: - Increase environmental sensitivity with hope of supporting pre OS 9 OS versions. - Enhanced path creation/interpretation to support proper unix style paths under Mac OS X instead of the volume rooted paths we previously used. Paths under Classic remain the same. - Better timer resolution. - Detect functionality via unresolved symbols rather than Gestalt where possible. - Softly back away from URLAccess...if it's not installed, we just don't support a net accessor. - Additional support for XMLCh/UniChar size differences under GCC on Mac OS X. - Fix Mac OS X support. GCC in this environment sets wchar_t to a 32 bit value which requires an additional transcoding stage (bleh...) - Improve sensitivity to environment in order to support a broader range of system versions. - Fix a few compiler sensitivities. - Carbon.h header support
2000-10-09 | James Berry | Add some auto_ptr functionality to allow modification of monitored pointer value. This eases use of Janitor in some situations.
2000-10-09 | James Berry | Autosense.hpp: modify sensing of Mac OS X.
2000-09-28 | Andy Heninger | DOM_Document::putIdentifier() removed. There never was an implementation for this function.
2000-09-28 | Curt Arnold | COM wrappers updated.
2000-09-28 | Linda Swan | AS400 related changes.
2000-09-28 | Andy Heninger | DOM_Document - remove the un-implemented function putIdentifier() from the header.
2000-09-28 | Andy Heninger | DOMParser MemoryLeak fixed. Occurred when a document redefined the a builtin entity, e.g. <.
2000-09-28 | Andy Heninger | DOMPrint sample: add deletes before exit so boundschecker runs cleanly.
2000-09-22 | James Berry | Change file access permissions to fsRdPerm. Since we never write, there's no reason to request write access. Thanks to John Mostrom @ Adobe. Also nuke a few spaces and the entire defunct support for reading directly from MacOS resources.
2000-09-22 | Arundhari Bhowmick | DOM Parser: internal subset entity printing update.

| Release Information for Xerces-C++ 1.3.0: Sept 21, 2000 |

Date | Contributor | Description
2000-09-21 | Torbjörn Bäckström | HPUX - Incorrect use of Array Janitor in Platform Utils removed.
2000-09-21 | Arundhati Bhowmick | DOMPrint - DTD internal subset, printing of attribute value enumerations was broken.
2000/09/19 | Arundhati Bhowmick | DOMPrint - output entity reference nodes as XML entity references, instead of just printing their children.
2000-09-19 | Bill Schindler | OS/2 - port update
2000-09-18 | Arundhati Bhowmick | DOM EntityReferences, fixed bugs with length() and hasChildNodes() methods.
2000-09-12 | Arundhati Bhowmick | DOM: changed name of expandEntityReferences option to createEntityReferenceNodes. More accurately describes what it does. Fixed bugs that caused creation of Entity Reference nodes to fail.
2000-09-12 | IBM | AS400 - transcoder updates.
2000-09-11 | Shengkai Qu | OS390 - makefile updates
2000-09-11 | Kirk Wylie | Alpha processor support update in config.sub.
2000-09-08 | Kirk Wylie | Reordered member variables in ThrowEOEJanitor.
2000-09-08 | Arnaud LeHors | DOM NamedNodeMap - because in many cases we may have to deal with both nodes with a namespace and nodes without any, NS methods through findNamePoint must handle both types of nodes.
2000-09-08 | Kirk Wylie | Some destructors not virtual that should have been; some members of DOM_Entity virtual that should not have been.
2000-09-08 | Andy Heninger | Removed incorrect detection of nested CDATA sections. Problem reported by Johannes Lipp.
2000-09-08 | Andy Heninger | DOMPrint incorrectly handled DOCTYPE declarations containing both a public and system id. Problem reported by Jesse Pelton.
2000-09-08 | Radovan Chytracek | MSVC: RangeTest project settings incorrect, build failed.
2000-09-07 | Bob Kline | XMLReader::skippedString(), failed under certain rare circumstances.
2000-09-07 | Andy Heninger | Fix SAXException assignment operator. Now non-virtual, and SAXParseException subclass invokes base class operator.
2000-09-06 | William L. Hopper | Borland updates. It had fallen way behind.
2000-09-06 | Andy Heninger | HPUX 11, packageBinaries build script, DCEThreads no longer default
2000-09-06 | James Berry | Macintosh: Add support for new compile time options defined in prefix file. These control the selection of the msgloader, transcoder, and netaccessor. Add a tiny bit of robustness to the nasty panic method..
2000-09-06 | Shengkai Qu | S390: socket related changes
2000-09-06 | James Berry | Macintosh: Allow ShortenFiles to work even when destination directory already exists.
2000-09-06 | Arundhati Bhowmick | HP compile options modified for ICU compatibility
2000-09-05 | Michael Crawford | Macintosh: Fix atomic increment & decrement to return value after operation rather than before.
2000-09-05 | Andy Heninger | Cleaned up various compiler warnings.
2000-09-05 | Andy Heninger | SAX parser: added advanced callback support for XMLDecl
2000-09-01 | Andy Heninger | Fix ICU transcoding service, crashing bug on Linux, Solaris
2000-08-30 | Andy Heninger | Builds - clean up a number of compiler warnings.
2000-08-24 | Andy Heninger | DOMPrint - fixed crash when input xml file was not found.
2000-08-23 | Andy Heninger | Build Script updates and cleanups
2000-08-18 | Andy Heninger | Version number bumped to 1.3 in preparation for the upcoming xerces 1.3 / xml4c 3.3 release
2000-08-17 | Arnaud Lehors | DOM: Rewrote code updating the linked list on node addition and removal. I believe it is now easier to read and it uses fewer tests so it is also a little faster.
2000-08-17 | Arnaud Lehors | DOM: small cleanup: renamed a set of [] boolean flag methods. yes, I know, I also wish I got them right in the first place...
2000-08-17 | Sumit Chawla | PTX port updates
2000-08-16 | Andy Heninger | Fixed crash when XML text content has very long lines. Bug pointed out by Simon Fell.
2000-08-14 | Joe Polastre | SAX2 DefaultHandler, inconsistency in const parameters fixed.
2000-08-11 | Arundhati Bhowmick | ICU Transcoding - updates to support ICU 1.6
2000-08-09 | Arundhati Bhowmick | DOM Range: Add const to API where appropriate.
2000-08-09 | Joe Polastre | Many conformance and stability changes: - ContentHandler::resetDocument() removed - attrs param of ContentHandler::startDocument() made const - SAXExceptions thrown now have msgs - removed duplicate function signatures that had 'const'
[ eg: getContentHander() ]
- changed getFeature and getProperty to apply to const objs
- setProperty now takes a void* instead of const void*
- SAX2XMLReaderImpl does not inherit from SAXParser anymore
- Reuse Validator (http://apache.org/xml/features/reuse-validator) implemented
- Features & Properties now read-only during parse
2000-08-09 | Joe Polastre | Namespaces bug - bogus default namespace removed.
2000-08-09 | Joe Polastre | SAXException enhanced, messages added.
2000-08-08 | Joe Polastre | SAX2Count - new sample program for SAX2.
2000-08-07 | Arundhati Bhowmick | Remove detach() method from TreeWalker.
2000-08-03 | James Berry | Add Mac Codewarrior projects.
2000-08-01 | Joe Polastre | SAX2 support added
2000-08-01 | Gary Gale | Compaq Tru64 port added.
2000-07-31 | Joe Polastre | bug fix in removeAll() to zero out all the pointers.
2000-07-31 | Andy Heninger | utf-8 byte order mark recognition
2000-07-29 | James Berry | Mac OS Port, general cleanups.
2000-07-28 | James Berry | Addition of NetAccessor functionality for MacOS, built on URLAccess library.
2000-07-28 | Arundhati Bhowmick | ICU Transcoding service: changes for move to ICU 1.6
2000-07-27 | Arundhati Bhowmick | DOM Range added. (Major new feature)
2000-07-27 | Murray Cumming | makefile fixes for SUNW_0.7
2000-07-25 | Arundhati Bhowmick | XMLCh character constants definitions moved to XMLUniDefs.h. Removes name clashes with application defined symbols.
2000-07-25 | Joe Polastre | allow nesting of PlatformUtils::Init() and Terminate()
2000-07-25 | Gary Gale | ICU transcoding: fix off by one error.
2000-07-21 | <check> | Change wcsupr to _wcsupr
2000-07-21 | Eric Schroeder | Win32TransService - fix error in use of hashtables
2000-07-21 | Joe Polastre | DOMPrint: fixed error in handling of null CDATA sections.
2000-07-20 | Andy Heninger | Improved net access (parse of URLs). Still weak, though.
2000-07-20 | Erik Schroeder | XMLScaner.cpp bugfix: call startDocument() at beginning of scan.
2000-07-20 | Arundhati Bhowmick | DOMCount exception handling cleaned up.
2000-07-19 | Todd Collins | runConfigure: modified to take "configureoptions"
2000-07-19 | <check> | Add 'make install' target to src/util/Platforms/Makefile.in
2000-07-19 | <check> | DOM: BugFix: DocumentType nodes can not have children.
2000-07-19 | <check> | DOM: Bug in NodeIDMap constructor.
2000-07-18 | Anupam Bagchi | Documentation generation tools updated.
2000-07-17 | James Berry | Mac OS port brought up to date (was very old)
2000-07-17 | Andy Heninger | Change windows project to link with ws2_32.lib instead of winsock32.lib
2000-07-17 | Grace Yan, Joe Kesselman | DOM NodeIterator: bug fix for SHOW_ELEMENT flag incorrectly being retrieved.
2000-07-17 | Joe Polastre | switched scanMisc() with endDoc() in scanNext. Pointed out by Dean Roddey.
2000-07-17 | Jim Reitz | fix for uninitialized variable gotData bug in XMLScanner.cpp.
2000-07-12 | Arundhati Bhowmick | DOM: fix bug in setting previous sibling pointer during insertNode
2000-07-07 | Joe Polastre | Update to use of hashtables.
2000-07-07 | Joe Polastre | DOM userdata: several bug fixes.
2000-07-06 | Andy Heninger | Speedups in XMLScanner, XMLReader
2000-07-07 | <check> | bug fixes in IXMLDOM*
2000-07-06 | Joe Polastre | Performance tweaks, added more inlines.
2000-07-05 | Anupam Bagchi | Documentation updates.
2000-07-05 | Joe Polastre | DOM: Attribute node default value handling implemented.
2000-07-05 | Joe Polastre | DOM Attr nodes - fixed setting of specified when cloning. (change may be in error)
2000-07-04 | Dean Roddey | Fixed a memory leak when namespaces are enabled.
2000-06-28 | Curt Arnold | COM object usage documentation update.
2000-06-28 | Joe Polastre | DOM Userdata - put pointers in a hash table rather than having one pre-allocated per node. Memory footprint reduction.
2000-06-27 | Joe Polastre | extended the (implementation) hash table classes.
2000-06-26 | John Roper@iOra.com | Bug fix: check if initialized in Terminate() to stop access violations.
2000-06-26 | <check> | Solaris build - template directory related changes.

| Release Information for Xerces-C++ 1.2.0: June 22, 2000 |

Date | Contributor | Description
2000/06/22 | <check> | OS/2 Port updated.
2000-06-22 | Joe Polastre | DOM Attr nodes, specified flag not set correctly by parser. Fixed.
2000-06-20 | Rahul, Joe, Arundhati | Many doc updates in preparation for release of 1.2
2000-06-19 | Rahul Jain | Update Package Binaries script to build Xerces with ICU.
2000-06-19 | Joe Polastre | Added help messages to PParse and StdInParse samples.
2000-06-19 | Joe Polastre | Changed "XML4C" to "Xerces-C" in DOMPrint. (Missed in earlier mass name change.)
2000-06-19 | Arundhati Bhowmick | Moved version.incl up one directory level.
2000-06-19 | Curt Arnold | Improved Windows project file.
2000-06-16 | John Smirl | Bug Fix: Document Handler was not called for PIs occurring before the document element. Bug identified by John Smirl and Rich Taylor
2000-06-16 | Rahul Jain | DOMPrint, SAXPrint: remove extra space in printing PIs.
2000-06-16 | Rahul Jain | Windows Debug Build: add 'D' suffix to DLL name in VCPPDefs.hpp
2000-06-16 | Rahul Jain | Samples: added -v option (validate always). Needed for testing scripts.
2000-06-14 | Joe Polastre | Fixed null ptr failures in DOM NamedNodeMap
2000-06-12 | Andy Heninger | Fixed bug in XMLString::trim(), reported by Michele Laghi
2000-06-07 | Joe Polastre | DOM: reduced memory usage for elements with no attributes.
2000-06-01 | Andy Heninger | DOMString - add const to return type of const XMLCh *DOMString::rawBuffer()
2000-06-01 | Arundhati Bhowmick | Fix crash with Solaris optimized build. Modified XMLURL.cpp to dodge compiler code generation error.
2000-06-01 | Joe Polastre | Bug fix: DOM Attr Specified flag was incorrectly set when cloning or importing attributes.
2000-05-31 | Andy Heninger | MSVC projects modified to produce separate debug and release versions of Xerces lib and dll.
2000-05-31 | Rahul Jain | Bug fix: DOMPrint, SAXPrint produced garbage output on Solaris. Solaris library problem.
2000-05-31 | Joe Polastre | Fixed incorrect error check for end of file in Win32 platform utils.
2000-05-31 | Rahul Jain | DOMPrint enhancements. Add options for specifying character encoding of the output, better control over escaping of characters, better handling of CDATA sections. Default validation is now "auto"
2000-05-22 | Dean Roddey | XMLFormatter now escapes characters, as reqd., occurring midway in strings. Reported by Hugo Duncan.
2000-05-22 | Andy Heninger | Bug fix in implementation of DOM_Document::GetElementById()
2000-05-18 | Anupam Bagchi | Documentation, DTD for source xml files moved into xerces-c project, sbk: prefixes removed, xml can now be validated locally.
2000-05-15 | Dean | Fixed 'fatal error' when 'reusing the validator' problem reported by Rocky Raccoon (rrockey@bigfoot.com). Fix submitted by Dean Roddey (droddey@charmedquark.com).
2000-05-15 | James Berry | Changed #include <memory.h> to <string.h> everywhere. <jberry@criticalpath.com>
2000-05-15 | Andy H. | DOMTest: removed incorrectly failing entity tests
2000-05-12 | Andy H. | Revised implementation of DOMDocument::getElementsById(), removed memory leaks, new test program for it.
2000-05-12 | Dean | Bug fix - A PE ref appearing at the start of a skipped conditional section was incorrectly being processed rather than ignored. Fix from Dean Roddey.
2000-05-11 | Rahul Jain | Start using the socket based netaccessor by default on most Unix platforms.
2000-05-11 | Rahul Jain | Update ICUTransService to work with latest revision of ICU which provides a hard linked data DLL. i.e. icudata.dll will be loaded when xerces-c is loaded.
2000-05-05 | Dean | Problem with progressive parsing. parseNext() would through an exception when the document contains entities, either or external.
2000-05-11 | Sean MacRoibeaird | Add missing validity checks for stand-alone documents, character range and Well-formed parsed entities.
2000-05-10 | Radovan Chytracek | Fix compilation problems on MSVC 5. <Radovan.Chytracek@cern.ch>
2000-05-10 | Dean | Fix XMLReader defect reported by SHOGO SAWAKI
2000-05-09 | Andy H | Fix problem with Windows filenames containing '\' in Japanese and Korean encodings.
2000-05-08 | Andy H | Memory Cleanup. XMLPlatformUtils::Terminate() deletes all lazily allocated memory
2000-05-05 | Dean | Fixed defect in progressive parsing 'parseNext()' reported by Tim Johnston
2000-05-03 | Tom Jordahl | Fixed Solaris build problems with static character constants. Tom Jordahl <tomj@allaire.com>
2000-04-28 | Arnaud LeHors | Reduced memory usage for DOM Attributes.
2000-04-28 | boercher@kidata.de | New runConfigure options -P and -C
2000-04-27 | Andy H | Memory leaks in TransService. Joseph Chen <JosephC@plumtree.com>
2000-04-27 | Arnaud LeHors | DOM - storage requirements for nodes substantially reduced.
2000-04-27 | Arundhati | Added DOM XMLDecl node type; provides access to XML declaration.
2000-04-20 | Arundhati | Added DOM access to DTD subset (DOM Level 2 feature)
2000-04-19 | Anupam Bagchi | API document generation changed to Doxygen from Doc++
2000-04-18 | Arundhati | Full support for DOM_EntityReference, DOM_Entity and DOM_DocumentType introduced
2000-04-18 | Dean Roddey | Don't allow spaces before PI target. Bug #42
2000-04-17 | Anupam Bagchi | Follow the SMP/E procedures for the OS/390 BATCH install
2000-04-12 | Dean Roddey | Auto-validate mode. Validate only when a DTD is present.
2000-04-11 | Dean Roddey | If a SAX error handler is installed, then the resetErrors() event handler should call the one on the installed SAX error handler.
2000-04-10 | Dean Roddey | Allow an empty DOCTYPE declaration, with just the root name.
2000-04-06 | Dean Roddey | Add low level support for transcoding XML output to different character encodings.
2000-04-06 | Arnaud Lehors | DOM node memory footprint reduction.
2000-04-06 | Dean Roddey | Fixed hanging bug in character transcoding.
2000-04-05 | Dean Roddey | Enable installation of DTDHandler on SAX parser.
2000-04-04 | Anupam Bagchi | Support for PTX platform
2000-04-03 |  | IRIX 6.5 port
2000-03-30 |  | COM wrappers
2000-03-24 | Jeff Lewis | DOM_Document::GetElementsByTagId() added.
2000-03-23 | Chih Hsiang Chou | DOM: support for identifying "ignorable white space" text nodes.
2000-03-23 | Rahul Jain | URL Net Accessor added.
2000-03-20 | Dean Roddey | Fix null pointer exception with some bad documents.
2000-03-17 | Dean Roddey | Initial support for two-way transcoding.
2000-03-17 | Dean Roddey | Intrinsic transcoding table generation utility added.
2000-03-17 | Anupam Bagchi | UNIX build: Now generates object files in platform-specific directories
2000-03-13 | Anupam Bagchi | Fix GCC build problem: Changed XML_GNUG to XML_GCC
2000-03-13 | Helmut Eiken | Fixed #54. Changed self-assignment to now use the parameter value. Reported by Helmut Eiken <H.Eiken@cli.de>
2000-03-10 | Chih Hsiang Chou | Fix bug # 19, add const keyword to API. As a result, update test case.
2000-03-10 | Chih Hsiang Chou | DOM: "specified" flag of attributes now set correctly.
2000-03-08 | Dean Roddey | Some fixes for content models that have multiple, trailing, empty PE refs (for content model extension.)
2000-03-07 | Dean Roddey | First cut for additions to Win32 xcode. Based very loosely on a prototype from Eric Ulevik.
2000-03-03 | Dean Roddey | Fixed a bug in SimpleContentModel that allowed an <a/> to be taken as valid for a content model of (a,b).
2000-03-02 | Dean Roddey | Added a scanReset()/parseReset() method to the scanner and parsers, to allow for reset after early exit from a progressive parse. Added calls to new Terminate() call to all of the samples. Improved documentation in SAX and DOM parsers.
2000-03-02 | Dean Roddey | Change "XML4C" to "Xerces" in many places Add a cleanup method to XMLPlatformUtils. Implement the Locator scheme for SAX. Add a -n option to most of the samples, to enable namespaces Fix an error where XMLScanner::parseNext() was falling through on an
exception instead of return a failure.
Implement the specialized string loading for Win98, since LoadStringW()
doesn't work on 98 and makes the loaded error text from the Win32
message loader come out junk
fix error when two trailing entity references in a content model, like so:
<!ELEMENT foo (a|b|c|d|e %one;%two;)*>

| Release Information for Xerces-C++ 1.1.0: Feb 28, 2000 |

Date | Contributor | Description
2000/02/18 | Dean Roddey | XMLCh defaults to wchar_t on platforms where wchar_t uses Unicode.
2000-02-18 | Dean Roddey | Add Windows-1252 as a built in encoding
2000-02-17 | Dean Roddey | Fixed an infinite loop caused while trying to trim leading white space from the raw URL during parsing.
2000-02-17 | Rahul Jain | Add LibWWW based net accessor
2000-02-17 | Chih Hsiang Chou | DOM: NodeIterator, TreeWalker added.
2000-02-16 | Dean Roddey | Updates for EBCDIC code page issues.
2000-02-15 | Chih Hsiang Chou | DOM: several namespace bugfixes
2000-02-14 | Dean Roddey | Disallow EBCDIC documents without an encoding declaration
2000-02-10 | Bill Schindler | Fixed defect in compare[N]IString function. Defect and fix reported by Bill Schindler from developer@bitranch.com
2000-02-10 | Anupam Bagchi | Sample source code cleaned up.
2000-02-08 | Dean Roddey | Fixed bug: xmlns:xxx="" should affect the mapping of the prefixes of sibling attributes
2000-02-07 | Dean Roddey | Don't weave base and relative paths unless relative part is really relative.
2000-02-03 | Dietrich Wolf | C++-Builder 4 support
2000-02-03 | Robert Weir | DOMString enhancements
2000-01-31 | Dean Roddey | Win32 mutex implementation was changed to use critical sections for speed.
2000-01-28 | Dean Roddey | The API is not in place to allow client code to make sense of start/end entity ref calls from attribute values. So suppress them for now.
2000-01-28 | Andy Heninger | Fix multi-threading problem in DOM.
2000-01-27 | Dean Roddey | Fixed bug: If an entity ends on the last > of some markup, then the end of entity won't be sent because the end of entity is not sensed.
2000-01-24 | Dean Roddey | Fixes a bogus error about ]]> in char data.
2000-01-24 | Dean Roddey | Exposed the APIs to get to the byte offset in the source XML buffer.
2000-01-21 | Dean Roddey | Added a check for a broken pipe error on file read.
2000-01-18 | Dean Roddey | Update to support new ICU 1.4 release
2000-01-18 | Dean Roddey | Remove dependence on old utils standard streams
2000-01-18 | Rahul Jain | Added CreateDOMDocument sample.
2000-01-13 | Dean Roddey | Added a NetAccessorException for use by implementations of the NetAccessor abstraction, if they need to report errors during processing
2000-01-12 | Dean Roddey | get the C++ and Java versions of error messages more into sync.
2000-01-11 | Dean Roddey | Moved the input source classes from / to framework/.
2000-01-11 | Dean Roddey | Changes to deal with multiply nested, relative paths, entities

| Release Information for Xerces-C++ 1.0.1: December 15, 1999 |

- Port to Solaris.
- Improved error recovery and clarified error messages.
- Added DOMTest program.

| Release Information for Xerces-C++ 1.0.0: December 7, 1999 |

- Released Xerces-C++ after incorporating ICU as a value-added plug-in.
- Has bug fixes, better conformance, better speed and cleaner internal architecture
- Three additional samples added: PParse, StdInParse and EnumVal
- Experimental DOM Level 2 support
- Support for namespaces
- Loadable message text enabling future translations to be easily plugged-in
- Pluggable validators
- Pluggable transcoders
- Reorganized the util directory to better manage different platforms and compilers

| Release Information for Xerces-C++ BETA: November 5, 1999 |

- Created initial code base derived from IBM's XML4C Version 2.0
- Modified documentation to reflect new name (Xerces-C)

Copyright © 1999-2017 The Apache Software Foundation. All Rights Reserved.